// Copyright (C) 2005 CEREA
//     Authors: Lin Wu, Vivien Mallet
//
// CEREA (http://www.enpc.fr/cerea) is a joint laboratory of
// ENPC (http://www.enpc.fr) and EDF R&D (http://www.edf.fr).
//
// This file is part of the chemistry-transport model Polair3D.
//
// This code is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This file is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License (file "license") for more details.


#ifndef POLYPHEMUS_FILE_DRIVER_ALGEBRAFUNCTIONS_HXX


#include "AtmoData.hxx"


namespace Polyphemus
{


  using namespace AtmoData;


  //////////////////////
  // ALGEBRAFUNCTIONS //
  //////////////////////

  template<class T>
  int TruncateMatrixByColumn(Array<T, 2>& Matrix, int num_truncate,
			     Array<T, 2>& TruncateMatrix);

  template<class T>
  void ComputeSqrtMatrix(Array<T, 2>& Matrix, int num_mode,
			 Array<T, 2>& SqrtMatrix>);


} // namespace Polyphemus.


#define POLYPHEMUS_FILE_DRIVER_ALGEBRAFUNCTIONS_HXX
#endif
