// Copyright (C) 2005 CEREA
//     Authors: Lin Wu, Vivien Mallet
//
// CEREA (http://www.enpc.fr/cerea) is a joint laboratory of
// ENPC (http://www.enpc.fr) and EDF R&D (http://www.edf.fr).
//
// This file is part of the chemistry-transport model Polair3D.
//
// This code is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This file is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License (file "license") for more details.


#ifndef POLYPHEMUS_FILE_DRIVER_SEQUENTIALDRIVER_CXX


#include "SequentialDriver.hxx"


namespace Polyphemus
{


  //! Constructor.
  /*!
    \param config_file configuration file.
   */
  template<class T, class ClassModel, class ClassOutputSaver,
	   class ClassObsManager>
  SequentialDriver<T, ClassModel, ClassOutputSaver, ClassObsManager>
  ::SequentialDriver(string config_file):
    AssimilationDriver<T, ClassModel, ClassOutputSaver,
		       ClassObsManager>(config_file)
  {
  }

  
  //! Destructor.
  template<class T, class ClassModel, class ClassOutputSaver,
	   class ClassObsManager>
  SequentialDriver<T, ClassModel, ClassOutputSaver, ClassObsManager>
  ::~SequentialDriver()
  {
  }


  //! Empty method.
  template<class T, class ClassModel, class ClassOutputSaver,
	   class ClassObsManager>
  void SequentialDriver<T, ClassModel, ClassOutputSaver, ClassObsManager>
  ::Run()
  {
    throw string("No assimilation method is implemented in class")
      + string(" SequentialDriver.");
  }


} // namespace Polyphemus.


#define POLYPHEMUS_FILE_DRIVER_SEQUENTIALDRIVER_CXX
#endif
