// Copyright (C) 2005 CEREA
//     Author: Lin Wu
//
// CEREA (http://www.enpc.fr/cerea) is a joint laboratory of
// ENPC (http://www.enpc.fr) and EDF R&D (http://www.edf.fr).
//
// This file is part of the chemistry-transport model Polair3D.
//
// This code is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This file is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License (file "license") for more details.


#ifndef POLYPHEMUS_FILE_DRIVER_SEQUENTIALDRIVER_HXX


#include "AssimilationDriver.cxx"
#include <map>


namespace Polyphemus
{


  //////////////////////
  // SEQUENTIALDRIVER //
  //////////////////////


  /*! \brief This class is the base class for most sequential
    data-assimilation drivers. */
  template<class T, class ClassModel, class ClassOutputSaver,
	   class ClassObsManager>
  class SequentialDriver:
    public AssimilationDriver<T, ClassModel, ClassOutputSaver,
			      ClassObsManager>
  {

  protected:

  public:

    /*** Constructor and destructor ***/

    SequentialDriver(string config_file);
    virtual ~SequentialDriver();

    virtual void Run();

  };


} // namespace Polyphemus.


#define POLYPHEMUS_FILE_DRIVER_SEQUENTIALDRIVER_HXX
#endif
