// Copyright (C) 2005 CEREA
//     Author: Vivien Mallet, Lin Wu
//
// CEREA (http://www.enpc.fr/cerea) is a joint laboratory of
// ENPC (http://www.enpc.fr) and EDF R&D (http://www.edf.fr).
//
// This file is part of the chemistry-transport model Polair3D.
//
// This code is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This file is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License (file "license") for more details.


#ifndef POLYPHEMUS_FILE_OUTPUT_SAVER_SAVERUNITDOMAIN_ASSIMILATION_HXX


#include "SaverUnitDomain.cxx"


namespace Polyphemus
{


  //////////////
  // INCLUDES //
  //////////////


#include <vector>
#include <fstream>
  using namespace std;

#include "AtmoData.hxx"
  using namespace AtmoData;


  /////////////////////
  // SAVERUNITDOMAIN //
  /////////////////////


  /*! \brief This class is used to save concentrations over the whole domain
    of the underlying model, in the context of data assimilation. Chemical
    species and vertical levels may be selected. */
  template<class T, class ClassModel>
  class SaverUnitDomain_assimilation: public SaverUnitDomain<T, ClassModel>
  {

  protected:

    /*! Name of the file in which dates associated with the analyses are
      saved. */
    string date_file;

  public:

    SaverUnitDomain_assimilation();
    virtual ~SaverUnitDomain_assimilation();
    
    virtual string GetType() const;

    virtual string GetGroup() const;

    virtual void Init(ConfigStream& config_stream, ClassModel& Model);

    virtual void Save(ClassModel& Model);

  };


} // namespace Polyphemus.


#define POLYPHEMUS_FILE_OUTPUT_SAVER_SAVERUNITDOMAIN_ASSIMILATION_HXX
#endif
