//////////////
// INCLUDES //

#define SELDONDATA_DEBUG_LEVEL_4
#define SELDONDATA_WITH_GRIB

#include "AtmoData.hxx"

#include "OptimalInterpolationDriver.cxx"
#include "Polair3DChemistryAssimConc.cxx"
#include "AdvectionDST3.cxx"
#include "DiffusionROS2.cxx"
#include "ChemistryRACM.cxx"
#include "BaseOutputSaver.cxx"
#include "SimObservationManager.cxx"

using namespace Polyphemus;

// INCLUDES //
//////////////


int main(int argc, char** argv)
{

  TRY;

  if (argc != 2)
    {
      string mesg  = "Usage:\n";
      mesg += string("  ") + argv[0] + " [configuration file]";
      cout << mesg << endl;
      return 1;
    }

  typedef double real;
  typedef Polair3DChemistryAssimConc<real, AdvectionDST3<real>,
    DiffusionROS2<real>,
    ChemistryRACM<real> > ClassModel;

  OptimalInterpolationDriver<real, ClassModel,
    BaseOutputSaver<real, ClassModel>,
    SimObservationManager<real> >
    Driver(argv[1]);

  Driver.Run();

  END;

  return 0;

}
