////////////
// INCLUDES //

#define SELDONDATA_DEBUG_LEVEL_4
#define SELDONDATA_WITH_GRIB

#include "AtmoData.hxx"

#include "BaseDriver.cxx"
#include "Polair3DAerosol.cxx"
#include "AdvectionDST3.cxx"
#include "DiffusionROS2.cxx"
#include "ChemistryRACM_SIREAM.cxx"
#include "BaseOutputSaver.cxx"

using namespace Polyphemus;

// INCLUDES //
//////////////


int main(int argc, char** argv)
{

  TRY;

  if (argc != 2)
    {
      string mesg  = "Usage:\n";
      mesg += string("  ") + argv[0] + " [configuration file]";
      cout << mesg << endl;
      return 1;
    }

  typedef double real;
  typedef Polair3DAerosol<real, AdvectionDST3<real>,
    DiffusionROS2<real>,
    ChemistryRACM_SIREAM<real> > ClassModel;

  BaseDriver<real, ClassModel, BaseOutputSaver<real, ClassModel> >
    Driver(argv[1]);

  Driver.Run();

  END;

  return 0;

}
