//////////////
// INCLUDES //

#define SELDONDATA_DEBUG_LEVEL_4

#include "AtmoData.hxx"

#include "PuffDriver.cxx"
#include "GaussianPuff_aer.cxx"
#include "BaseOutputSaver.cxx"

using namespace Polyphemus;

// INCLUDES //
//////////////


int main(int argc, char** argv)
{

  TRY;

  if (argc != 2)
    {
      string mesg  = "Usage:\n";
      mesg += string("  ") + argv[0] + " [configuration file]";
      cout << mesg << endl;
      return 1;
    }

  typedef double real;
  typedef GaussianPuff_aer<real> ClassModel;

  PuffDriver < real, ClassModel, BaseOutputSaver<real, ClassModel> > 
    Driver(argv[1]);

  Driver.Run();
 

  END;

  return 0;

}
