**************************************************
*     *
*     PARAMETERS NEEDED FOR                      *
*     DIFFUSION COEFFICIENTS                     *
*     *
*     SIGM(*)    molecular diameter (A)         *
*     PARM(*)    collision factor                *
*     *
*     for inorganic : Hirschfelder et al. (1954) *
*     for organic   : Tao, Y. and McMurry, P.H.  *
*     Envir. Sci. Tech. (1989)   *
*     vol 23, pp 1519-1523       *
*     *
*     for na, poa and h2o parameters set to      *
*     arbitrary high values because not used     *
*     *
**************************************************
      DOUBLE PRECISION SIGM(NEXT),PARM(NEXT)
******
      DATA SIGM/ 1.00D10,       !Dust
     &     1.00D10,             !BC
     &     1.00D10,             !Na
     &     5.500D0,             !H2SO4
     &     2.900D0,             !NH3
     &     3.300D0,             !HNO3
     &     3.339D0,             !HCl
     &     8.390D0,             !ARO1
     &     8.390D0,             !ARO2
     &     8.390D0,             !ALK1
     &     8.390D0,             !OLE1
     &     8.390D0,             !API1
     &     8.390D0,             !API2
     &     8.390D0,             !LIM1
     &     8.390D0,             !LIM2
     &     1.00D10,             !POA
     &     1.00D10 /            !H2O

      DATA PARM/ 1.000D10,      !Dust
     &     1.000D10,            !BC
     &     1.000D10,            !Na
     &     7.730D01,            !H2SO4
     &     5.583D02,            !NH3
     &     4.759D02,            !HNO3
     &     3.447D02,            !HCl
     &     6.870D02,            !ARO1
     &     6.870D02,            !ARO2
     &     6.870D02,            !ALK1
     &     6.870D02,            !OLE1
     &     6.870D02,            !API1
     &     6.870D02,            !API2
     &     6.870D02,            !LIM1
     &     6.870D02,            !LIM2
     &     1.000D10,            !POA
     &     1.000D10 /           !H2O
**************************************************
