C------------------------------------------------------------------------
C     
C     Copyright (C) 2003-2006 CEREA (ENPC)
C     
C     This file is part of Polair.
C     Polair is a 3D eulerian chemistry-transport-model.
C     
C     Polair is free software; you can redistribute it and/or modify
C     it under the terms of the GNU General Public License as published by
C     the Free Software Foundation; either version 2 of the License, or
C     (at your option) any later version.
C     
C     Polair is distributed in the hope that it will be useful,
C     but WITHOUT ANY WARRANTY; without even the implied warranty of
C     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
C     GNU General Public License (file "LICENSE") for more details.
C     
C------------------------------------------------------------------------

      SUBROUTINE INITPOINT(nbin_aer,iq)

C------------------------------------------------------------------------
C     
C     -- DESCRIPTION 
C     
C     This subroutine performs the initialization of all the pointers
C     related to the Q(*) vector at current time.     
C     All the variables are in common blocks.
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     
C     -- OUTPUT VARIABLES
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
C     
C     2005/3/23: cleaning (Bruno Sportisse, CEREA).
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C     2004: Edouard Debry, CEREA.
C     
C------------------------------------------------------------------------

      IMPLICIT NONE

      INCLUDE 'param.inc'
      INCLUDE 'pointer.inc'
      INCLUDE 'dynaero.inc'
      INCLUDE 'varq.inc'
      INCLUDE 'varp.inc'

      INTEGER nbin_aer,iq(NEXT,nbin_aer)
      INTEGER jesp,js,icpt

C     Species to be computed

      E1=EMD
      E2=MAX0(IORG*EPOA,ECl)
      G1=ESO4
      G2=MAX0(IORG*ELIM2,ECl)

C     Pointer for concentrations

      icpt=nbin_aer

                                ! pointer of species at equilibrium
      DO jesp=E1,E2
         DO js=1,ICUT
            icpt=icpt+1
            IQ(jesp,js)=icpt
         END DO
      END DO

                                ! pointer of dynamic species
      DO jesp=E1,E2
         DO js=ICUT+1,nbin_aer
            icpt=icpt+1
            IQ(jesp,js)=icpt
         END DO
      END DO
      
                                ! H2O pointers
      DO js=1,nbin_aer
         icpt=icpt+1
         IQ(EH2O,js)=icpt
      END DO
      
                                ! IQ1 first aero conc
                                ! IQ2 last  aero conc
      IQ1=nbin_aer+1
      IQ2=IQ(E2,nbin_aer)

C     Pointer for gas-phase concentration

      DO jesp=1,NEXT
         icpt=icpt+1
         IG(jesp)=icpt
      END DO

      IG1=IG(1)

C     Pointers related to the Jacobian matrix.

      G12=MAX0(G1,ENH3)

      END
