      subroutine jacdchemdc(NESP,nr,y,rk,JacC)
      
C------------------------------------------------------------------------
C     
C     -- DESCRIPTION
C     
C     This routine computes the Jacobian matrix for the gas-phase.
C     This routine is automatically generated by SPACK.
C     Mechanism: REACTIONS           
C     Species: _NAMSPECIES         
C     
C------------------------------------------------------------------------
C     
C     -- INPUT VARIABLES
C     
C     Y: chemical concentrations.
C     RK: kinetic rates.
C     
C     -- INPUT/OUTPUT VARIABLES
C     
C     -- OUTPUT VARIABLES
C     
C     JACC: Jacobian matrix.
C     
C------------------------------------------------------------------------
C     
C     -- REMARKS
C     
C     The matrix JACC could be stored in a low-dimensional vector.
C     
C------------------------------------------------------------------------
C     
C     -- MODIFICATIONS
C     
C------------------------------------------------------------------------
C     
C     -- AUTHOR(S)
C     
C     SPACK.
C     
C------------------------------------------------------------------------
      
      implicit none
      
C     -- INCLUDE FILES
C     PARACHEM: parameters for sizes of chemical arrays.
      
      INTEGER NESP,nr
      
      integer i,j
      double precision dw(nr,NESP),rk(nr),y(NESP),JacC(NESP,NESP)
      
      do j=1,NESP
         do i=1,NESP
            JacC(i,j)=0.d0
         enddo
      enddo
      
      call dratedc(NESP,nr,rk,y,dw)
      
      JacC( 34, 80) = JacC( 34, 80) + dw(  1, 80)
      JacC( 78, 80) = JacC( 78, 80) + dw(  1, 80)
      JacC( 80, 80) = JacC( 80, 80) - dw(  1, 80)
      JacC(  7, 59) = JacC(  7, 59) + dw(  2, 59)
      JacC( 59, 59) = JacC( 59, 59) - dw(  2, 59)
      JacC( 34, 59) = JacC( 34, 59) + dw(  3, 59)
      JacC( 59, 59) = JacC( 59, 59) - dw(  3, 59)
      JacC( 32, 32) = JacC( 32, 32) - dw(  4, 32)
      JacC( 75, 32) = JacC( 75, 32) + dw(  4, 32)
      JacC( 78, 32) = JacC( 78, 32) + dw(  4, 32)
      JacC( 67, 67) = JacC( 67, 67) - dw(  5, 67)
      JacC( 75, 67) = JacC( 75, 67) + dw(  5, 67)
      JacC( 80, 67) = JacC( 80, 67) + dw(  5, 67)
      JacC( 24, 24) = JacC( 24, 24) - dw(  6, 24)
      JacC( 75, 24) = JacC( 75, 24)+ 0.3500000000000000D+00*dw(  6, 24)
      JacC( 77, 24) = JacC( 77, 24)+ 0.3500000000000000D+00*dw(  6, 24)
      JacC( 80, 24) = JacC( 80, 24)+ 0.6500000000000000D+00*dw(  6, 24)
      JacC( 81, 24) = JacC( 81, 24)+ 0.6500000000000000D+00*dw(  6, 24)
      JacC( 77, 77) = JacC( 77, 77) - dw(  7, 77)
      JacC( 78, 77) = JacC( 78, 77) + dw(  7, 77)
      JacC( 34, 77) = JacC( 34, 77) + dw(  8, 77)
      JacC( 77, 77) = JacC( 77, 77) - dw(  8, 77)
      JacC( 80, 77) = JacC( 80, 77) + dw(  8, 77)
      JacC( 45, 45) = JacC( 45, 45) - dw(  9, 45)
      JacC( 75, 45) = JacC( 75, 45)+ 0.2000000000000000D+01*dw(  9, 45)
      JacC( 60, 74) = JacC( 60, 74) + dw( 10, 74)
      JacC( 74, 74) = JacC( 74, 74) - dw( 10, 74)
      JacC( 60, 74) = JacC( 60, 74) + dw( 11, 74)
      JacC( 74, 74) = JacC( 74, 74) - dw( 11, 74)
      JacC( 81, 74) = JacC( 81, 74)+ 0.2000000000000000D+01*dw( 11, 74)
      JacC( 60, 71) = JacC( 60, 71) + dw( 12, 71)
      JacC( 71, 71) = JacC( 71, 71) - dw( 12, 71)
      JacC( 73, 71) = JacC( 73, 71) + dw( 12, 71)
      JacC( 81, 71) = JacC( 81, 71) + dw( 12, 71)
      JacC( 25, 25) = JacC( 25, 25) - dw( 13, 25)
      JacC( 74, 25) = JacC( 74, 25) + dw( 13, 25)
      JacC( 75, 25) = JacC( 75, 25) + dw( 13, 25)
      JacC( 81, 25) = JacC( 81, 25) + dw( 13, 25)
      JacC( 65, 65) = JacC( 65, 65) - dw( 14, 65)
      JacC( 71, 65) = JacC( 71, 65) + dw( 14, 65)
      JacC( 75, 65) = JacC( 75, 65) + dw( 14, 65)
      JacC( 81, 65) = JacC( 81, 65) + dw( 14, 65)
      JacC( 35, 35) = JacC( 35, 35) - dw( 15, 35)
      JacC( 73, 35) = JacC( 73, 35) + dw( 15, 35)
      JacC( 75, 35) = JacC( 75, 35) + dw( 15, 35)
      JacC( 69, 69) = JacC( 69, 69) - dw( 16, 69)
      JacC( 70, 69) = JacC( 70, 69) + dw( 16, 69)
      JacC( 76, 69) = JacC( 76, 69) + dw( 16, 69)
      JacC( 60, 61) = JacC( 60, 61)+ 0.1870000000000000D+01*dw( 17, 61)
      JacC( 61, 61) = JacC( 61, 61) - dw( 17, 61)
      JacC( 74, 61) = JacC( 74, 61)+ 0.1300000000000000D+00*dw( 17, 61)
      JacC( 60, 61) = JacC( 60, 61)+ 0.1550000000000000D+01*dw( 18, 61)
      JacC( 61, 61) = JacC( 61, 61) - dw( 18, 61)
      JacC( 74, 61) = JacC( 74, 61)+ 0.4500000000000000D+00*dw( 18, 61)
      JacC( 81, 61) = JacC( 81, 61)+ 0.8000000000000000D+00*dw( 18, 61)
      JacC( 60, 66) = JacC( 60, 66) + dw( 19, 66)
      JacC( 66, 66) = JacC( 66, 66) - dw( 19, 66)
      JacC( 76, 66) = JacC( 76, 66) + dw( 19, 66)
      JacC( 81, 66) = JacC( 81, 66) + dw( 19, 66)
      JacC( 46, 46) = JacC( 46, 46) - dw( 20, 46)
      JacC( 79, 46) = JacC( 79, 46) + dw( 20, 46)
      JacC( 81, 46) = JacC( 81, 46) + dw( 20, 46)
      JacC( 69, 82) = JacC( 69, 82)+ 0.8000000000000000D+00*dw( 21, 82)
      JacC( 71, 82) = JacC( 71, 82)+ 0.2000000000000000D+00*dw( 21, 82)
      JacC( 80, 82) = JacC( 80, 82) + dw( 21, 82)
      JacC( 81, 82) = JacC( 81, 82) + dw( 21, 82)
      JacC( 82, 82) = JacC( 82, 82) - dw( 21, 82)
      JacC( 52, 52) = JacC( 52, 52) - dw( 22, 52)
      JacC( 60, 52) = JacC( 60, 52) + dw( 22, 52)
      JacC( 74, 52) = JacC( 74, 52) + dw( 22, 52)
      JacC( 76, 52) = JacC( 76, 52) + dw( 22, 52)
      JacC( 81, 52) = JacC( 81, 52) + dw( 22, 52)
      JacC( 41, 41) = JacC( 41, 41) - dw( 23, 41)
      JacC( 74, 41) = JacC( 74, 41) + dw( 23, 41)
      JacC( 76, 41) = JacC( 76, 41) + dw( 23, 41)
      JacC( 81, 41) = JacC( 81, 41) + dw( 23, 41)
      JacC( 34, 34) = JacC( 34, 34) - dw( 24, 34)
      JacC( 59, 34) = JacC( 59, 34) + dw( 24, 34)
      JacC( 34, 34) = JacC( 34, 34) - dw( 25, 34)
      JacC( 34, 59) = JacC( 34, 59) - dw( 25, 59)
      JacC( 59, 34) = JacC( 59, 34) - dw( 25, 34)
      JacC( 59, 59) = JacC( 59, 59) - dw( 25, 59)
      JacC(  7,  7) = JacC(  7,  7) - dw( 26,  7)
      JacC( 34,  7) = JacC( 34,  7) + dw( 26,  7)
      JacC(  7,  7) = JacC(  7,  7) - dw( 27,  7)
      JacC( 34,  7) = JacC( 34,  7) + dw( 27,  7)
      JacC(  7,  7) = JacC(  7,  7) - dw( 28,  7)
      JacC( 75,  7) = JacC( 75,  7)+ 0.2000000000000000D+01*dw( 28,  7)
      JacC( 59, 59) = JacC( 59, 59) - dw( 29, 59)
      JacC( 59, 75) = JacC( 59, 75) - dw( 29, 75)
      JacC( 75, 59) = JacC( 75, 59) - dw( 29, 59)
      JacC( 75, 75) = JacC( 75, 75) - dw( 29, 75)
      JacC( 81, 59) = JacC( 81, 59) + dw( 29, 59)
      JacC( 81, 75) = JacC( 81, 75) + dw( 29, 75)
      JacC( 59, 59) = JacC( 59, 59) - dw( 30, 59)
      JacC( 59, 81) = JacC( 59, 81) - dw( 30, 81)
      JacC( 75, 59) = JacC( 75, 59) + dw( 30, 59)
      JacC( 75, 81) = JacC( 75, 81) + dw( 30, 81)
      JacC( 81, 59) = JacC( 81, 59) - dw( 30, 59)
      JacC( 81, 81) = JacC( 81, 81) - dw( 30, 81)
      JacC( 75, 75) = JacC( 75, 75) - dw( 31, 75)
      JacC( 75, 81) = JacC( 75, 81) - dw( 31, 81)
      JacC( 81, 75) = JacC( 81, 75) - dw( 31, 75)
      JacC( 81, 81) = JacC( 81, 81) - dw( 31, 81)
      JacC( 45, 45) = JacC( 45, 45) - dw( 32, 45)
      JacC( 45, 75) = JacC( 45, 75) - dw( 32, 75)
      JacC( 75, 45) = JacC( 75, 45) - dw( 32, 45)
      JacC( 75, 75) = JacC( 75, 75) - dw( 32, 75)
      JacC( 81, 45) = JacC( 81, 45) + dw( 32, 45)
      JacC( 81, 75) = JacC( 81, 75) + dw( 32, 75)
      JacC( 45, 81) = JacC( 45, 81) + dw( 33, 81)
      JacC( 45, 81) = JacC( 45, 81) + dw( 33, 81)
      JacC( 81, 81) = JacC( 81, 81)- 0.2000000000000000D+01*dw( 33, 81)
      JacC( 81, 81) = JacC( 81, 81)- 0.2000000000000000D+01*dw( 33, 81)
      JacC( 45, 81) = JacC( 45, 81) + dw( 34, 81)
      JacC( 45, 81) = JacC( 45, 81) + dw( 34, 81)
      JacC( 81, 81) = JacC( 81, 81)- 0.2000000000000000D+01*dw( 34, 81)
      JacC( 81, 81) = JacC( 81, 81)- 0.2000000000000000D+01*dw( 34, 81)
      JacC( 34, 34) = JacC( 34, 34) - dw( 35, 34)
      JacC( 34, 78) = JacC( 34, 78) - dw( 35, 78)
      JacC( 78, 34) = JacC( 78, 34) - dw( 35, 34)
      JacC( 78, 78) = JacC( 78, 78) - dw( 35, 78)
      JacC( 80, 34) = JacC( 80, 34) + dw( 35, 34)
      JacC( 80, 78) = JacC( 80, 78) + dw( 35, 78)
      JacC( 34, 34) = JacC( 34, 34) - dw( 36, 34)
      JacC( 34, 80) = JacC( 34, 80) - dw( 36, 80)
      JacC( 78, 34) = JacC( 78, 34) + dw( 36, 34)
      JacC( 78, 80) = JacC( 78, 80) + dw( 36, 80)
      JacC( 80, 34) = JacC( 80, 34) - dw( 36, 34)
      JacC( 80, 80) = JacC( 80, 80) - dw( 36, 80)
      JacC( 34, 34) = JacC( 34, 34) - dw( 37, 34)
      JacC( 34, 80) = JacC( 34, 80) - dw( 37, 80)
      JacC( 77, 34) = JacC( 77, 34) + dw( 37, 34)
      JacC( 77, 80) = JacC( 77, 80) + dw( 37, 80)
      JacC( 80, 34) = JacC( 80, 34) - dw( 37, 34)
      JacC( 80, 80) = JacC( 80, 80) - dw( 37, 80)
      JacC( 32, 75) = JacC( 32, 75) + dw( 38, 75)
      JacC( 32, 78) = JacC( 32, 78) + dw( 38, 78)
      JacC( 75, 75) = JacC( 75, 75) - dw( 38, 75)
      JacC( 75, 78) = JacC( 75, 78) - dw( 38, 78)
      JacC( 78, 75) = JacC( 78, 75) - dw( 38, 75)
      JacC( 78, 78) = JacC( 78, 78) - dw( 38, 78)
      JacC( 67, 75) = JacC( 67, 75) + dw( 39, 75)
      JacC( 67, 80) = JacC( 67, 80) + dw( 39, 80)
      JacC( 75, 75) = JacC( 75, 75) - dw( 39, 75)
      JacC( 75, 80) = JacC( 75, 80) - dw( 39, 80)
      JacC( 80, 75) = JacC( 80, 75) - dw( 39, 75)
      JacC( 80, 80) = JacC( 80, 80) - dw( 39, 80)
      JacC( 75, 75) = JacC( 75, 75) - dw( 40, 75)
      JacC( 75, 77) = JacC( 75, 77) - dw( 40, 77)
      JacC( 77, 75) = JacC( 77, 75) - dw( 40, 75)
      JacC( 77, 77) = JacC( 77, 77) - dw( 40, 77)
      JacC( 80, 75) = JacC( 80, 75) + dw( 40, 75)
      JacC( 80, 77) = JacC( 80, 77) + dw( 40, 77)
      JacC( 81, 75) = JacC( 81, 75) + dw( 40, 75)
      JacC( 81, 77) = JacC( 81, 77) + dw( 40, 77)
      JacC( 75, 81) = JacC( 75, 81) + dw( 41, 81)
      JacC( 75, 78) = JacC( 75, 78) + dw( 41, 78)
      JacC( 78, 81) = JacC( 78, 81) - dw( 41, 81)
      JacC( 78, 78) = JacC( 78, 78) - dw( 41, 78)
      JacC( 80, 81) = JacC( 80, 81) + dw( 41, 81)
      JacC( 80, 78) = JacC( 80, 78) + dw( 41, 78)
      JacC( 81, 81) = JacC( 81, 81) - dw( 41, 81)
      JacC( 81, 78) = JacC( 81, 78) - dw( 41, 78)
      JacC( 24, 81) = JacC( 24, 81) + dw( 42, 81)
      JacC( 24, 80) = JacC( 24, 80) + dw( 42, 80)
      JacC( 80, 81) = JacC( 80, 81) - dw( 42, 81)
      JacC( 80, 80) = JacC( 80, 80) - dw( 42, 80)
      JacC( 81, 81) = JacC( 81, 81) - dw( 42, 81)
      JacC( 81, 80) = JacC( 81, 80) - dw( 42, 80)
      JacC( 24, 24) = JacC( 24, 24) - dw( 43, 24)
      JacC( 80, 24) = JacC( 80, 24) + dw( 43, 24)
      JacC( 81, 24) = JacC( 81, 24) + dw( 43, 24)
      JacC( 67, 81) = JacC( 67, 81)+ 0.3000000000000000D+00*dw( 44, 81)
      JacC( 67, 77) = JacC( 67, 77)+ 0.3000000000000000D+00*dw( 44, 77)
      JacC( 75, 81) = JacC( 75, 81)+ 0.7000000000000000D+00*dw( 44, 81)
      JacC( 75, 77) = JacC( 75, 77)+ 0.7000000000000000D+00*dw( 44, 77)
      JacC( 77, 81) = JacC( 77, 81) - dw( 44, 81)
      JacC( 77, 77) = JacC( 77, 77) - dw( 44, 77)
      JacC( 80, 81) = JacC( 80, 81)+ 0.7000000000000000D+00*dw( 44, 81)
      JacC( 80, 77) = JacC( 80, 77)+ 0.7000000000000000D+00*dw( 44, 77)
      JacC( 81, 81) = JacC( 81, 81) - dw( 44, 81)
      JacC( 81, 77) = JacC( 81, 77) - dw( 44, 77)
      JacC( 32, 75) = JacC( 32, 75) - dw( 45, 75)
      JacC( 32, 32) = JacC( 32, 32) - dw( 45, 32)
      JacC( 75, 75) = JacC( 75, 75) - dw( 45, 75)
      JacC( 75, 32) = JacC( 75, 32) - dw( 45, 32)
      JacC( 80, 75) = JacC( 80, 75) + dw( 45, 75)
      JacC( 80, 32) = JacC( 80, 32) + dw( 45, 32)
      JacC( 67, 75) = JacC( 67, 75) - dw( 46, 75)
      JacC( 67, 67) = JacC( 67, 67) - dw( 46, 67)
      JacC( 75, 75) = JacC( 75, 75) - dw( 46, 75)
      JacC( 75, 67) = JacC( 75, 67) - dw( 46, 67)
      JacC( 77, 75) = JacC( 77, 75) + dw( 46, 75)
      JacC( 77, 67) = JacC( 77, 67) + dw( 46, 67)
      JacC( 24, 75) = JacC( 24, 75) - dw( 47, 75)
      JacC( 24, 24) = JacC( 24, 24) - dw( 47, 24)
      JacC( 75, 75) = JacC( 75, 75) - dw( 47, 75)
      JacC( 75, 24) = JacC( 75, 24) - dw( 47, 24)
      JacC( 80, 75) = JacC( 80, 75) + dw( 47, 75)
      JacC( 80, 24) = JacC( 80, 24) + dw( 47, 24)
      JacC( 59, 59) = JacC( 59, 59) - dw( 48, 59)
      JacC( 59, 78) = JacC( 59, 78) - dw( 48, 78)
      JacC( 78, 59) = JacC( 78, 59) - dw( 48, 59)
      JacC( 78, 78) = JacC( 78, 78) - dw( 48, 78)
      JacC( 80, 59) = JacC( 80, 59) + dw( 48, 59)
      JacC( 80, 78) = JacC( 80, 78) + dw( 48, 78)
      JacC( 59, 59) = JacC( 59, 59) - dw( 49, 59)
      JacC( 59, 80) = JacC( 59, 80) - dw( 49, 80)
      JacC( 77, 59) = JacC( 77, 59) + dw( 49, 59)
      JacC( 77, 80) = JacC( 77, 80) + dw( 49, 80)
      JacC( 80, 59) = JacC( 80, 59) - dw( 49, 59)
      JacC( 80, 80) = JacC( 80, 80) - dw( 49, 80)
      JacC( 78, 78) = JacC( 78, 78)- 0.2000000000000000D+01*dw( 50, 78)
      JacC( 78, 78) = JacC( 78, 78)- 0.2000000000000000D+01*dw( 50, 78)
      JacC( 80, 78) = JacC( 80, 78)+ 0.2000000000000000D+01*dw( 50, 78)
      JacC( 80, 78) = JacC( 80, 78)+ 0.2000000000000000D+01*dw( 50, 78)
      JacC( 77, 77) = JacC( 77, 77) - dw( 51, 77)
      JacC( 77, 78) = JacC( 77, 78) - dw( 51, 78)
      JacC( 78, 77) = JacC( 78, 77) - dw( 51, 77)
      JacC( 78, 78) = JacC( 78, 78) - dw( 51, 78)
      JacC( 80, 77) = JacC( 80, 77)+ 0.2000000000000000D+01*dw( 51, 77)
      JacC( 80, 78) = JacC( 80, 78)+ 0.2000000000000000D+01*dw( 51, 78)
      JacC( 77, 77) = JacC( 77, 77) - dw( 52, 77)
      JacC( 77, 80) = JacC( 77, 80) - dw( 52, 80)
      JacC( 78, 77) = JacC( 78, 77) + dw( 52, 77)
      JacC( 78, 80) = JacC( 78, 80) + dw( 52, 80)
      JacC( 13, 77) = JacC( 13, 77) + dw( 53, 77)
      JacC( 13, 80) = JacC( 13, 80) + dw( 53, 80)
      JacC( 77, 77) = JacC( 77, 77) - dw( 53, 77)
      JacC( 77, 80) = JacC( 77, 80) - dw( 53, 80)
      JacC( 80, 77) = JacC( 80, 77) - dw( 53, 77)
      JacC( 80, 80) = JacC( 80, 80) - dw( 53, 80)
      JacC( 13, 13) = JacC( 13, 13) - dw( 54, 13)
      JacC( 77, 13) = JacC( 77, 13) + dw( 54, 13)
      JacC( 80, 13) = JacC( 80, 13) + dw( 54, 13)
      JacC( 77, 77) = JacC( 77, 77)- 0.2000000000000000D+01*dw( 55, 77)
      JacC( 77, 77) = JacC( 77, 77)- 0.2000000000000000D+01*dw( 55, 77)
      JacC( 80, 77) = JacC( 80, 77)+ 0.2000000000000000D+01*dw( 55, 77)
      JacC( 80, 77) = JacC( 80, 77)+ 0.2000000000000000D+01*dw( 55, 77)
      JacC( 75, 75) = JacC( 75, 75) - dw( 56, 75)
      JacC( 81, 75) = JacC( 81, 75) + dw( 56, 75)
      JacC(  9, 75) = JacC(  9, 75) - dw( 57, 75)
      JacC(  9,  9) = JacC(  9,  9) - dw( 57,  9)
      JacC( 10, 75) = JacC( 10, 75) + dw( 57, 75)
      JacC( 10,  9) = JacC( 10,  9) + dw( 57,  9)
      JacC( 75, 75) = JacC( 75, 75) - dw( 57, 75)
      JacC( 75,  9) = JacC( 75,  9) - dw( 57,  9)
      JacC( 81, 75) = JacC( 81, 75) + dw( 57, 75)
      JacC( 81,  9) = JacC( 81,  9) + dw( 57,  9)
      JacC( 60, 60) = JacC( 60, 60) - dw( 58, 60)
      JacC( 60, 75) = JacC( 60, 75) - dw( 58, 75)
      JacC( 75, 60) = JacC( 75, 60) - dw( 58, 60)
      JacC( 75, 75) = JacC( 75, 75) - dw( 58, 75)
      JacC( 81, 60) = JacC( 81, 60) + dw( 58, 60)
      JacC( 81, 75) = JacC( 81, 75) + dw( 58, 75)
      JacC( 28, 28) = JacC( 28, 28) - dw( 59, 28)
      JacC( 28, 34) = JacC( 28, 34) - dw( 59, 34)
      JacC( 34, 28) = JacC( 34, 28) - dw( 59, 28)
      JacC( 34, 34) = JacC( 34, 34) - dw( 59, 34)
      JacC( 46, 28) = JacC( 46, 28)+ 0.1300000000000000D+00*dw( 59, 28)
      JacC( 46, 34) = JacC( 46, 34)+ 0.1300000000000000D+00*dw( 59, 34)
      JacC( 53, 28) = JacC( 53, 28)+ 0.8600000000000000D+00*dw( 59, 28)
      JacC( 53, 34) = JacC( 53, 34)+ 0.8600000000000000D+00*dw( 59, 34)
      JacC( 60, 28) = JacC( 60, 28)+ 0.1000000000000000D-01*dw( 59, 28)
      JacC( 60, 34) = JacC( 60, 34)+ 0.1000000000000000D-01*dw( 59, 34)
      JacC( 72, 28) = JacC( 72, 28)+ 0.1500000000000000D+00*dw( 59, 28)
      JacC( 72, 34) = JacC( 72, 34)+ 0.1500000000000000D+00*dw( 59, 34)
      JacC( 74, 28) = JacC( 74, 28)+ 0.5000000000000000D-01*dw( 59, 28)
      JacC( 74, 34) = JacC( 74, 34)+ 0.5000000000000000D-01*dw( 59, 34)
      JacC( 75, 28) = JacC( 75, 28)+ 0.2000000000000000D-01*dw( 59, 28)
      JacC( 75, 34) = JacC( 75, 34)+ 0.2000000000000000D-01*dw( 59, 34)
      JacC( 81, 28) = JacC( 81, 28)+ 0.2800000000000000D+00*dw( 59, 28)
      JacC( 81, 34) = JacC( 81, 34)+ 0.2800000000000000D+00*dw( 59, 34)
      JacC( 34, 52) = JacC( 34, 52) - dw( 60, 52)
      JacC( 34, 34) = JacC( 34, 34) - dw( 60, 34)
      JacC( 52, 52) = JacC( 52, 52) - dw( 60, 52)
      JacC( 52, 34) = JacC( 52, 34) - dw( 60, 34)
      JacC( 71, 52) = JacC( 71, 52) + dw( 60, 52)
      JacC( 71, 34) = JacC( 71, 34) + dw( 60, 34)
      JacC( 29, 29) = JacC( 29, 29) - dw( 61, 29)
      JacC( 29, 75) = JacC( 29, 75) - dw( 61, 75)
      JacC( 73, 29) = JacC( 73, 29) + dw( 61, 29)
      JacC( 73, 75) = JacC( 73, 75) + dw( 61, 75)
      JacC( 75, 29) = JacC( 75, 29) - dw( 61, 29)
      JacC( 75, 75) = JacC( 75, 75) - dw( 61, 75)
      JacC( 30, 30) = JacC( 30, 30) - dw( 62, 30)
      JacC( 30, 75) = JacC( 30, 75) - dw( 62, 75)
      JacC( 70, 30) = JacC( 70, 30) + dw( 62, 30)
      JacC( 70, 75) = JacC( 70, 75) + dw( 62, 75)
      JacC( 75, 30) = JacC( 75, 30) - dw( 62, 30)
      JacC( 75, 75) = JacC( 75, 75) - dw( 62, 75)
      JacC( 11, 11) = JacC( 11, 11) - dw( 63, 11)
      JacC( 11, 75) = JacC( 11, 75) - dw( 63, 75)
      JacC( 43, 11) = JacC( 43, 11)+ 0.3600000000000000D-01*dw( 63, 11)
      JacC( 43, 75) = JacC( 43, 75)+ 0.3600000000000000D-01*dw( 63, 75)
      JacC( 60, 11) = JacC( 60, 11)+ 0.3600000000000000D-01*dw( 63, 11)
      JacC( 60, 75) = JacC( 60, 75)+ 0.3600000000000000D-01*dw( 63, 75)
      JacC( 61, 11) = JacC( 61, 11)+ 0.3600000000000000D-01*dw( 63, 11)
      JacC( 61, 75) = JacC( 61, 75)+ 0.3600000000000000D-01*dw( 63, 75)
      JacC( 68, 11) = JacC( 68, 11)+ 0.5830000000000000D+00*dw( 63, 11)
      JacC( 68, 75) = JacC( 68, 75)+ 0.5830000000000000D+00*dw( 63, 75)
      JacC( 71, 11) = JacC( 71, 11)+ 0.3350000000000000D+00*dw( 63, 11)
      JacC( 71, 75) = JacC( 71, 75)+ 0.3350000000000000D+00*dw( 63, 75)
      JacC( 74, 11) = JacC( 74, 11)+ 0.1000000000000000D-01*dw( 63, 11)
      JacC( 74, 75) = JacC( 74, 75)+ 0.1000000000000000D-01*dw( 63, 75)
      JacC( 75, 11) = JacC( 75, 11)- 0.9640000000000000D+00*dw( 63, 11)
      JacC( 75, 75) = JacC( 75, 75)- 0.9640000000000000D+00*dw( 63, 75)
      JacC( 81, 11) = JacC( 81, 11)+ 0.3810000000000000D+00*dw( 63, 11)
      JacC( 81, 75) = JacC( 81, 75)+ 0.3810000000000000D+00*dw( 63, 75)
      JacC(  3,  3) = JacC(  3,  3) - dw( 64,  3)
      JacC(  3, 75) = JacC(  3, 75) - dw( 64, 75)
      JacC( 48,  3) = JacC( 48,  3)+ 0.7500000000000000D+00*dw( 64,  3)
      JacC( 48, 75) = JacC( 48, 75)+ 0.7500000000000000D+00*dw( 64, 75)
      JacC( 69,  3) = JacC( 69,  3)+ 0.2500000000000000D+00*dw( 64,  3)
      JacC( 69, 75) = JacC( 69, 75)+ 0.2500000000000000D+00*dw( 64, 75)
      JacC( 75,  3) = JacC( 75,  3) - dw( 64,  3)
      JacC( 75, 75) = JacC( 75, 75) - dw( 64, 75)
      JacC( 81,  3) = JacC( 81,  3)+ 0.2500000000000000D+00*dw( 64,  3)
      JacC( 81, 75) = JacC( 81, 75)+ 0.2500000000000000D+00*dw( 64, 75)
      JacC(  4,  4) = JacC(  4,  4) - dw( 65,  4)
      JacC(  4, 75) = JacC(  4, 75) - dw( 65, 75)
      JacC(  8,  4) = JacC(  8,  4)+ 0.4800000000000000D-01*dw( 65,  4)
      JacC(  8, 75) = JacC(  8, 75)+ 0.4800000000000000D-01*dw( 65, 75)
      JacC( 41,  4) = JacC( 41,  4)+ 0.2400000000000000D-01*dw( 65,  4)
      JacC( 41, 75) = JacC( 41, 75)+ 0.2400000000000000D-01*dw( 65, 75)
      JacC( 49,  4) = JacC( 49,  4)+ 0.9510000000000000D+00*dw( 65,  4)
      JacC( 49, 75) = JacC( 49, 75)+ 0.9510000000000000D+00*dw( 65, 75)
      JacC( 71,  4) = JacC( 71,  4)+ 0.2500000000000000D-01*dw( 65,  4)
      JacC( 71, 75) = JacC( 71, 75)+ 0.2500000000000000D-01*dw( 65, 75)
      JacC( 75,  4) = JacC( 75,  4) - dw( 65,  4)
      JacC( 75, 75) = JacC( 75, 75) - dw( 65, 75)
      JacC( 81,  4) = JacC( 81,  4)+ 0.4900000000000000D-01*dw( 65,  4)
      JacC( 81, 75) = JacC( 81, 75)+ 0.4900000000000000D-01*dw( 65, 75)
      JacC( 27, 27) = JacC( 27, 27) - dw( 66, 27)
      JacC( 27, 75) = JacC( 27, 75) - dw( 66, 75)
      JacC( 50, 27) = JacC( 50, 27) + dw( 66, 27)
      JacC( 50, 75) = JacC( 50, 75) + dw( 66, 75)
      JacC( 75, 27) = JacC( 75, 27) - dw( 66, 27)
      JacC( 75, 75) = JacC( 75, 75) - dw( 66, 75)
      JacC( 38, 53) = JacC( 38, 53)+ 0.8000000000000000D-02*dw( 67, 53)
      JacC( 38, 75) = JacC( 38, 75)+ 0.8000000000000000D-02*dw( 67, 75)
      JacC( 53, 53) = JacC( 53, 53) - dw( 67, 53)
      JacC( 53, 75) = JacC( 53, 75) - dw( 67, 75)
      JacC( 54, 53) = JacC( 54, 53) + dw( 67, 53)
      JacC( 54, 75) = JacC( 54, 75) + dw( 67, 75)
      JacC( 75, 53) = JacC( 75, 53) - dw( 67, 53)
      JacC( 75, 75) = JacC( 75, 75) - dw( 67, 75)
      JacC( 38, 56) = JacC( 38, 56)+ 0.8000000000000000D-02*dw( 68, 56)
      JacC( 38, 75) = JacC( 38, 75)+ 0.8000000000000000D-02*dw( 68, 75)
      JacC( 56, 56) = JacC( 56, 56) - dw( 68, 56)
      JacC( 56, 75) = JacC( 56, 75) - dw( 68, 75)
      JacC( 62, 56) = JacC( 62, 56) + dw( 68, 56)
      JacC( 62, 75) = JacC( 62, 75) + dw( 68, 75)
      JacC( 75, 56) = JacC( 75, 56) - dw( 68, 56)
      JacC( 75, 75) = JacC( 75, 75) - dw( 68, 75)
      JacC( 21, 21) = JacC( 21, 21) - dw( 69, 21)
      JacC( 21, 75) = JacC( 21, 75) - dw( 69, 75)
      JacC( 51, 21) = JacC( 51, 21) + dw( 69, 21)
      JacC( 51, 75) = JacC( 51, 75) + dw( 69, 75)
      JacC( 75, 21) = JacC( 75, 21) - dw( 69, 21)
      JacC( 75, 75) = JacC( 75, 75) - dw( 69, 75)
      JacC( 28, 28) = JacC( 28, 28) - dw( 70, 28)
      JacC( 28, 75) = JacC( 28, 75) - dw( 70, 75)
      JacC( 51, 28) = JacC( 51, 28) + dw( 70, 28)
      JacC( 51, 75) = JacC( 51, 75) + dw( 70, 75)
      JacC( 75, 28) = JacC( 75, 28) - dw( 70, 28)
      JacC( 75, 75) = JacC( 75, 75) - dw( 70, 75)
      JacC( 22, 26) = JacC( 22, 26)+ 0.6384000000000000D-02*dw( 71, 26)
      JacC( 22, 75) = JacC( 22, 75)+ 0.6384000000000000D-02*dw( 71, 75)
      JacC( 23, 26) = JacC( 23, 26)+ 0.5494800000000000D-01*dw( 71, 26)
      JacC( 23, 75) = JacC( 23, 75)+ 0.5494800000000000D-01*dw( 71, 75)
      JacC( 26, 26) = JacC( 26, 26) - dw( 71, 26)
      JacC( 26, 75) = JacC( 26, 75) - dw( 71, 75)
      JacC( 55, 26) = JacC( 55, 26) + dw( 71, 26)
      JacC( 55, 75) = JacC( 55, 75) + dw( 71, 75)
      JacC( 75, 26) = JacC( 75, 26) - dw( 71, 26)
      JacC( 75, 75) = JacC( 75, 75) - dw( 71, 75)
      JacC( 14, 14) = JacC( 14, 14) - dw( 72, 14)
      JacC( 14, 75) = JacC( 14, 75) - dw( 72, 75)
      JacC( 15, 14) = JacC( 15, 14)+ 0.3716400000000000D-01*dw( 72, 14)
      JacC( 15, 75) = JacC( 15, 75)+ 0.3716400000000000D-01*dw( 72, 75)
      JacC( 16, 14) = JacC( 16, 14)+ 0.5631600000000000D-01*dw( 72, 14)
      JacC( 16, 75) = JacC( 16, 75)+ 0.5631600000000000D-01*dw( 72, 75)
      JacC( 47, 14) = JacC( 47, 14) + dw( 72, 14)
      JacC( 47, 75) = JacC( 47, 75) + dw( 72, 75)
      JacC( 75, 14) = JacC( 75, 14) - dw( 72, 14)
      JacC( 75, 75) = JacC( 75, 75) - dw( 72, 75)
      JacC(  5,  5) = JacC(  5,  5) - dw( 73,  5)
      JacC(  5, 75) = JacC(  5, 75) - dw( 73, 75)
      JacC( 17,  5) = JacC( 17,  5)+ 0.9000000000000000D+00*dw( 73,  5)
      JacC( 17, 75) = JacC( 17, 75)+ 0.9000000000000000D+00*dw( 73, 75)
      JacC( 19,  5) = JacC( 19,  5)+ 0.3900000000000000D-01*dw( 73,  5)
      JacC( 19, 75) = JacC( 19, 75)+ 0.3900000000000000D-01*dw( 73, 75)
      JacC( 20,  5) = JacC( 20,  5)+ 0.1080000000000000D+00*dw( 73,  5)
      JacC( 20, 75) = JacC( 20, 75)+ 0.1080000000000000D+00*dw( 73, 75)
      JacC( 72,  5) = JacC( 72,  5)+ 0.1000000000000000D+00*dw( 73,  5)
      JacC( 72, 75) = JacC( 72, 75)+ 0.1000000000000000D+00*dw( 73, 75)
      JacC( 75,  5) = JacC( 75,  5) - dw( 73,  5)
      JacC( 75, 75) = JacC( 75, 75) - dw( 73, 75)
      JacC( 81,  5) = JacC( 81,  5)+ 0.1000000000000000D+00*dw( 73,  5)
      JacC( 81, 75) = JacC( 81, 75)+ 0.1000000000000000D+00*dw( 73, 75)
      JacC(  6,  6) = JacC(  6,  6) - dw( 74,  6)
      JacC(  6, 75) = JacC(  6, 75) - dw( 74, 75)
      JacC( 18,  6) = JacC( 18,  6)+ 0.9000000000000000D+00*dw( 74,  6)
      JacC( 18, 75) = JacC( 18, 75)+ 0.9000000000000000D+00*dw( 74, 75)
      JacC( 19,  6) = JacC( 19,  6)+ 0.3900000000000000D-01*dw( 74,  6)
      JacC( 19, 75) = JacC( 19, 75)+ 0.3900000000000000D-01*dw( 74, 75)
      JacC( 20,  6) = JacC( 20,  6)+ 0.1080000000000000D+00*dw( 74,  6)
      JacC( 20, 75) = JacC( 20, 75)+ 0.1080000000000000D+00*dw( 74, 75)
      JacC( 72,  6) = JacC( 72,  6)+ 0.1000000000000000D+00*dw( 74,  6)
      JacC( 72, 75) = JacC( 72, 75)+ 0.1000000000000000D+00*dw( 74, 75)
      JacC( 75,  6) = JacC( 75,  6) - dw( 74,  6)
      JacC( 75, 75) = JacC( 75, 75) - dw( 74, 75)
      JacC( 81,  6) = JacC( 81,  6)+ 0.1000000000000000D+00*dw( 74,  6)
      JacC( 81, 75) = JacC( 81, 75)+ 0.1000000000000000D+00*dw( 74, 75)
      JacC( 19, 37) = JacC( 19, 37)+ 0.3900000000000000D-01*dw( 75, 37)
      JacC( 19, 75) = JacC( 19, 75)+ 0.3900000000000000D-01*dw( 75, 75)
      JacC( 20, 37) = JacC( 20, 37)+ 0.1080000000000000D+00*dw( 75, 37)
      JacC( 20, 75) = JacC( 20, 75)+ 0.1080000000000000D+00*dw( 75, 75)
      JacC( 31, 37) = JacC( 31, 37)+ 0.8500000000000000D+00*dw( 75, 37)
      JacC( 31, 75) = JacC( 31, 75)+ 0.8500000000000000D+00*dw( 75, 75)
      JacC( 36, 37) = JacC( 36, 37)+ 0.1000000000000000D+00*dw( 75, 37)
      JacC( 36, 75) = JacC( 36, 75)+ 0.1000000000000000D+00*dw( 75, 75)
      JacC( 37, 37) = JacC( 37, 37) - dw( 75, 37)
      JacC( 37, 75) = JacC( 37, 75) - dw( 75, 75)
      JacC( 72, 37) = JacC( 72, 37)+ 0.5000000000000000D-01*dw( 75, 37)
      JacC( 72, 75) = JacC( 72, 75)+ 0.5000000000000000D-01*dw( 75, 75)
      JacC( 75, 37) = JacC( 75, 37) - dw( 75, 37)
      JacC( 75, 75) = JacC( 75, 75) - dw( 75, 75)
      JacC( 81, 37) = JacC( 81, 37)+ 0.5000000000000000D-01*dw( 75, 37)
      JacC( 81, 75) = JacC( 81, 75)+ 0.5000000000000000D-01*dw( 75, 75)
      JacC( 60, 74) = JacC( 60, 74) + dw( 76, 74)
      JacC( 60, 75) = JacC( 60, 75) + dw( 76, 75)
      JacC( 74, 74) = JacC( 74, 74) - dw( 76, 74)
      JacC( 74, 75) = JacC( 74, 75) - dw( 76, 75)
      JacC( 75, 74) = JacC( 75, 74) - dw( 76, 74)
      JacC( 75, 75) = JacC( 75, 75) - dw( 76, 75)
      JacC( 81, 74) = JacC( 81, 74) + dw( 76, 74)
      JacC( 81, 75) = JacC( 81, 75) + dw( 76, 75)
      JacC( 71, 71) = JacC( 71, 71) - dw( 77, 71)
      JacC( 71, 75) = JacC( 71, 75) - dw( 77, 75)
      JacC( 75, 71) = JacC( 75, 71) - dw( 77, 71)
      JacC( 75, 75) = JacC( 75, 75) - dw( 77, 75)
      JacC( 76, 71) = JacC( 76, 71) + dw( 77, 71)
      JacC( 76, 75) = JacC( 76, 75) + dw( 77, 75)
      JacC( 64, 69) = JacC( 64, 69) + dw( 78, 69)
      JacC( 64, 75) = JacC( 64, 75) + dw( 78, 75)
      JacC( 69, 69) = JacC( 69, 69) - dw( 78, 69)
      JacC( 69, 75) = JacC( 69, 75) - dw( 78, 75)
      JacC( 75, 69) = JacC( 75, 69) - dw( 78, 69)
      JacC( 75, 75) = JacC( 75, 75) - dw( 78, 75)
      JacC( 41, 41) = JacC( 41, 41) - dw( 79, 41)
      JacC( 41, 75) = JacC( 41, 75) - dw( 79, 75)
      JacC( 66, 41) = JacC( 66, 41) + dw( 79, 41)
      JacC( 66, 75) = JacC( 66, 75) + dw( 79, 75)
      JacC( 75, 41) = JacC( 75, 41) - dw( 79, 41)
      JacC( 75, 75) = JacC( 75, 75) - dw( 79, 75)
      JacC( 81, 41) = JacC( 81, 41) + dw( 79, 41)
      JacC( 81, 75) = JacC( 81, 75) + dw( 79, 75)
      JacC( 60, 61) = JacC( 60, 61)+ 0.2000000000000000D+01*dw( 80, 61)
      JacC( 60, 75) = JacC( 60, 75)+ 0.2000000000000000D+01*dw( 80, 75)
      JacC( 61, 61) = JacC( 61, 61) - dw( 80, 61)
      JacC( 61, 75) = JacC( 61, 75) - dw( 80, 75)
      JacC( 75, 61) = JacC( 75, 61) - dw( 80, 61)
      JacC( 75, 75) = JacC( 75, 75) - dw( 80, 75)
      JacC( 81, 61) = JacC( 81, 61) + dw( 80, 61)
      JacC( 81, 75) = JacC( 81, 75) + dw( 80, 75)
      JacC( 60, 66) = JacC( 60, 66) + dw( 81, 66)
      JacC( 60, 75) = JacC( 60, 75) + dw( 81, 75)
      JacC( 66, 66) = JacC( 66, 66) - dw( 81, 66)
      JacC( 66, 75) = JacC( 66, 75) - dw( 81, 75)
      JacC( 75, 66) = JacC( 75, 66) - dw( 81, 66)
      JacC( 75, 75) = JacC( 75, 75) - dw( 81, 75)
      JacC( 76, 66) = JacC( 76, 66) + dw( 81, 66)
      JacC( 76, 75) = JacC( 76, 75) + dw( 81, 75)
      JacC( 41, 52) = JacC( 41, 52)+ 0.4100000000000000D+00*dw( 82, 52)
      JacC( 41, 75) = JacC( 41, 75)+ 0.4100000000000000D+00*dw( 82, 75)
      JacC( 52, 52) = JacC( 52, 52) - dw( 82, 52)
      JacC( 52, 75) = JacC( 52, 75) - dw( 82, 75)
      JacC( 60, 52) = JacC( 60, 52)+ 0.4100000000000000D+00*dw( 82, 52)
      JacC( 60, 75) = JacC( 60, 75)+ 0.4100000000000000D+00*dw( 82, 75)
      JacC( 66, 52) = JacC( 66, 52)+ 0.8000000000000000D-01*dw( 82, 52)
      JacC( 66, 75) = JacC( 66, 75)+ 0.8000000000000000D-01*dw( 82, 75)
      JacC( 72, 52) = JacC( 72, 52)+ 0.4900000000000000D+00*dw( 82, 52)
      JacC( 72, 75) = JacC( 72, 75)+ 0.4900000000000000D+00*dw( 82, 75)
      JacC( 74, 52) = JacC( 74, 52)+ 0.8000000000000000D-01*dw( 82, 52)
      JacC( 74, 75) = JacC( 74, 75)+ 0.8000000000000000D-01*dw( 82, 75)
      JacC( 75, 52) = JacC( 75, 52) - dw( 82, 52)
      JacC( 75, 75) = JacC( 75, 75) - dw( 82, 75)
      JacC( 79, 52) = JacC( 79, 52)+ 0.5100000000000000D+00*dw( 82, 52)
      JacC( 79, 75) = JacC( 79, 75)+ 0.5100000000000000D+00*dw( 82, 75)
      JacC( 81, 52) = JacC( 81, 52)+ 0.4900000000000000D+00*dw( 82, 52)
      JacC( 81, 75) = JacC( 81, 75)+ 0.4900000000000000D+00*dw( 82, 75)
      JacC( 12, 75) = JacC( 12, 75)+ 0.3500000000000000D+00*dw( 83, 75)
      JacC( 12, 46) = JacC( 12, 46)+ 0.3500000000000000D+00*dw( 83, 46)
      JacC( 46, 75) = JacC( 46, 75) - dw( 83, 75)
      JacC( 46, 46) = JacC( 46, 46) - dw( 83, 46)
      JacC( 61, 75) = JacC( 61, 75)+ 0.1500000000000000D+00*dw( 83, 75)
      JacC( 61, 46) = JacC( 61, 46)+ 0.1500000000000000D+00*dw( 83, 46)
      JacC( 66, 75) = JacC( 66, 75)+ 0.1500000000000000D+00*dw( 83, 75)
      JacC( 66, 46) = JacC( 66, 46)+ 0.1500000000000000D+00*dw( 83, 46)
      JacC( 72, 75) = JacC( 72, 75)+ 0.5000000000000000D+00*dw( 83, 75)
      JacC( 72, 46) = JacC( 72, 46)+ 0.5000000000000000D+00*dw( 83, 46)
      JacC( 75, 75) = JacC( 75, 75) - dw( 83, 75)
      JacC( 75, 46) = JacC( 75, 46) - dw( 83, 46)
      JacC( 79, 75) = JacC( 79, 75)+ 0.5000000000000000D+00*dw( 83, 75)
      JacC( 79, 46) = JacC( 79, 46)+ 0.5000000000000000D+00*dw( 83, 46)
      JacC( 81, 75) = JacC( 81, 75)+ 0.5000000000000000D+00*dw( 83, 75)
      JacC( 81, 46) = JacC( 81, 46)+ 0.5000000000000000D+00*dw( 83, 46)
      JacC( 12, 75) = JacC( 12, 75) - dw( 84, 75)
      JacC( 12, 12) = JacC( 12, 12) - dw( 84, 12)
      JacC( 69, 75) = JacC( 69, 75)+ 0.1200000000000000D+00*dw( 84, 75)
      JacC( 69, 12) = JacC( 69, 12)+ 0.1200000000000000D+00*dw( 84, 12)
      JacC( 71, 75) = JacC( 71, 75)+ 0.8800000000000000D+00*dw( 84, 75)
      JacC( 71, 12) = JacC( 71, 12)+ 0.8800000000000000D+00*dw( 84, 12)
      JacC( 75, 75) = JacC( 75, 75) - dw( 84, 75)
      JacC( 75, 12) = JacC( 75, 12) - dw( 84, 12)
      JacC( 81, 75) = JacC( 81, 75) + dw( 84, 75)
      JacC( 81, 12) = JacC( 81, 12) + dw( 84, 12)
      JacC( 25, 25) = JacC( 25, 25) - dw( 85, 25)
      JacC( 25, 75) = JacC( 25, 75) - dw( 85, 75)
      JacC( 73, 25) = JacC( 73, 25)+ 0.6500000000000000D+00*dw( 85, 25)
      JacC( 73, 75) = JacC( 73, 75)+ 0.6500000000000000D+00*dw( 85, 75)
      JacC( 74, 25) = JacC( 74, 25)+ 0.3500000000000000D+00*dw( 85, 25)
      JacC( 74, 75) = JacC( 74, 75)+ 0.3500000000000000D+00*dw( 85, 75)
      JacC( 75, 25) = JacC( 75, 25)- 0.6500000000000000D+00*dw( 85, 25)
      JacC( 75, 75) = JacC( 75, 75)- 0.6500000000000000D+00*dw( 85, 75)
      JacC( 65, 65) = JacC( 65, 65) - dw( 86, 65)
      JacC( 65, 75) = JacC( 65, 75) - dw( 86, 75)
      JacC( 68, 65) = JacC( 68, 65)+ 0.4400000000000000D+00*dw( 86, 65)
      JacC( 68, 75) = JacC( 68, 75)+ 0.4400000000000000D+00*dw( 86, 75)
      JacC( 69, 65) = JacC( 69, 65)+ 0.4100000000000000D+00*dw( 86, 65)
      JacC( 69, 75) = JacC( 69, 75)+ 0.4100000000000000D+00*dw( 86, 75)
      JacC( 71, 65) = JacC( 71, 65)+ 0.8000000000000000D-01*dw( 86, 65)
      JacC( 71, 75) = JacC( 71, 75)+ 0.8000000000000000D-01*dw( 86, 75)
      JacC( 72, 65) = JacC( 72, 65)+ 0.7000000000000001D-01*dw( 86, 65)
      JacC( 72, 75) = JacC( 72, 75)+ 0.7000000000000001D-01*dw( 86, 75)
      JacC( 75, 65) = JacC( 75, 65)- 0.5100000000000000D+00*dw( 86, 65)
      JacC( 75, 75) = JacC( 75, 75)- 0.5100000000000000D+00*dw( 86, 75)
      JacC( 35, 35) = JacC( 35, 35) - dw( 87, 35)
      JacC( 35, 75) = JacC( 35, 75) - dw( 87, 75)
      JacC( 72, 35) = JacC( 72, 35)+ 0.3500000000000000D+00*dw( 87, 35)
      JacC( 72, 75) = JacC( 72, 75)+ 0.3500000000000000D+00*dw( 87, 75)
      JacC( 74, 35) = JacC( 74, 35)+ 0.3500000000000000D+00*dw( 87, 35)
      JacC( 74, 75) = JacC( 74, 75)+ 0.3500000000000000D+00*dw( 87, 75)
      JacC( 75, 35) = JacC( 75, 35) - dw( 87, 35)
      JacC( 75, 75) = JacC( 75, 75) - dw( 87, 75)
      JacC( 76, 35) = JacC( 76, 35)+ 0.6500000000000000D+00*dw( 87, 35)
      JacC( 76, 75) = JacC( 76, 75)+ 0.6500000000000000D+00*dw( 87, 75)
      JacC( 81, 35) = JacC( 81, 35)+ 0.3500000000000000D+00*dw( 87, 35)
      JacC( 81, 75) = JacC( 81, 75)+ 0.3500000000000000D+00*dw( 87, 75)
      JacC( 44, 44) = JacC( 44, 44) - dw( 88, 44)
      JacC( 44, 75) = JacC( 44, 75) - dw( 88, 75)
      JacC( 72, 44) = JacC( 72, 44) + dw( 88, 44)
      JacC( 72, 75) = JacC( 72, 75) + dw( 88, 75)
      JacC( 74, 44) = JacC( 74, 44) + dw( 88, 44)
      JacC( 74, 75) = JacC( 74, 75) + dw( 88, 75)
      JacC( 75, 44) = JacC( 75, 44) - dw( 88, 44)
      JacC( 75, 75) = JacC( 75, 75) - dw( 88, 75)
      JacC( 77, 44) = JacC( 77, 44) + dw( 88, 44)
      JacC( 77, 75) = JacC( 77, 75) + dw( 88, 75)
      JacC( 41, 42) = JacC( 41, 42)+ 0.6000000000000000D+00*dw( 89, 42)
      JacC( 41, 75) = JacC( 41, 75)+ 0.6000000000000000D+00*dw( 89, 75)
      JacC( 42, 42) = JacC( 42, 42) - dw( 89, 42)
      JacC( 42, 75) = JacC( 42, 75) - dw( 89, 75)
      JacC( 44, 42) = JacC( 44, 42)+ 0.4000000000000000D+00*dw( 89, 42)
      JacC( 44, 75) = JacC( 44, 75)+ 0.4000000000000000D+00*dw( 89, 75)
      JacC( 72, 42) = JacC( 72, 42) + dw( 89, 42)
      JacC( 72, 75) = JacC( 72, 75) + dw( 89, 75)
      JacC( 74, 42) = JacC( 74, 42)+ 0.4000000000000000D+00*dw( 89, 42)
      JacC( 74, 75) = JacC( 74, 75)+ 0.4000000000000000D+00*dw( 89, 75)
      JacC( 75, 42) = JacC( 75, 42) - dw( 89, 42)
      JacC( 75, 75) = JacC( 75, 75) - dw( 89, 75)
      JacC( 77, 42) = JacC( 77, 42)+ 0.6000000000000000D+00*dw( 89, 42)
      JacC( 77, 75) = JacC( 77, 75)+ 0.6000000000000000D+00*dw( 89, 75)
      JacC( 81, 42) = JacC( 81, 42)+ 0.4000000000000000D+00*dw( 89, 42)
      JacC( 81, 75) = JacC( 81, 75)+ 0.4000000000000000D+00*dw( 89, 75)
      JacC( 68, 82) = JacC( 68, 82) + dw( 90, 82)
      JacC( 68, 75) = JacC( 68, 75) + dw( 90, 75)
      JacC( 75, 82) = JacC( 75, 82) - dw( 90, 82)
      JacC( 75, 75) = JacC( 75, 75) - dw( 90, 75)
      JacC( 80, 82) = JacC( 80, 82) + dw( 90, 82)
      JacC( 80, 75) = JacC( 80, 75) + dw( 90, 75)
      JacC( 82, 82) = JacC( 82, 82) - dw( 90, 82)
      JacC( 82, 75) = JacC( 82, 75) - dw( 90, 75)
      JacC( 60, 74) = JacC( 60, 74) + dw( 91, 74)
      JacC( 60, 77) = JacC( 60, 77) + dw( 91, 77)
      JacC( 67, 74) = JacC( 67, 74) + dw( 91, 74)
      JacC( 67, 77) = JacC( 67, 77) + dw( 91, 77)
      JacC( 74, 74) = JacC( 74, 74) - dw( 91, 74)
      JacC( 74, 77) = JacC( 74, 77) - dw( 91, 77)
      JacC( 77, 74) = JacC( 77, 74) - dw( 91, 74)
      JacC( 77, 77) = JacC( 77, 77) - dw( 91, 77)
      JacC( 81, 74) = JacC( 81, 74) + dw( 91, 74)
      JacC( 81, 77) = JacC( 81, 77) + dw( 91, 77)
      JacC( 67, 71) = JacC( 67, 71) + dw( 92, 71)
      JacC( 67, 77) = JacC( 67, 77) + dw( 92, 77)
      JacC( 71, 71) = JacC( 71, 71) - dw( 92, 71)
      JacC( 71, 77) = JacC( 71, 77) - dw( 92, 77)
      JacC( 76, 71) = JacC( 76, 71) + dw( 92, 71)
      JacC( 76, 77) = JacC( 76, 77) + dw( 92, 77)
      JacC( 77, 71) = JacC( 77, 71) - dw( 92, 71)
      JacC( 77, 77) = JacC( 77, 77) - dw( 92, 77)
      JacC( 60, 61) = JacC( 60, 61)+ 0.2000000000000000D+01*dw( 93, 61)
      JacC( 60, 77) = JacC( 60, 77)+ 0.2000000000000000D+01*dw( 93, 77)
      JacC( 61, 61) = JacC( 61, 61) - dw( 93, 61)
      JacC( 61, 77) = JacC( 61, 77) - dw( 93, 77)
      JacC( 67, 61) = JacC( 67, 61) + dw( 93, 61)
      JacC( 67, 77) = JacC( 67, 77) + dw( 93, 77)
      JacC( 77, 61) = JacC( 77, 61) - dw( 93, 61)
      JacC( 77, 77) = JacC( 77, 77) - dw( 93, 77)
      JacC( 81, 61) = JacC( 81, 61) + dw( 93, 61)
      JacC( 81, 77) = JacC( 81, 77) + dw( 93, 77)
      JacC( 60, 66) = JacC( 60, 66) + dw( 94, 66)
      JacC( 60, 77) = JacC( 60, 77) + dw( 94, 77)
      JacC( 66, 66) = JacC( 66, 66) - dw( 94, 66)
      JacC( 66, 77) = JacC( 66, 77) - dw( 94, 77)
      JacC( 67, 66) = JacC( 67, 66) + dw( 94, 66)
      JacC( 67, 77) = JacC( 67, 77) + dw( 94, 77)
      JacC( 76, 66) = JacC( 76, 66) + dw( 94, 66)
      JacC( 76, 77) = JacC( 76, 77) + dw( 94, 77)
      JacC( 77, 66) = JacC( 77, 66) - dw( 94, 66)
      JacC( 77, 77) = JacC( 77, 77) - dw( 94, 77)
      JacC( 52, 52) = JacC( 52, 52) - dw( 95, 52)
      JacC( 52, 77) = JacC( 52, 77) - dw( 95, 77)
      JacC( 57, 52) = JacC( 57, 52)+ 0.8000000000000000D+00*dw( 95, 52)
      JacC( 57, 77) = JacC( 57, 77)+ 0.8000000000000000D+00*dw( 95, 77)
      JacC( 60, 52) = JacC( 60, 52)+ 0.8000000000000000D+00*dw( 95, 52)
      JacC( 60, 77) = JacC( 60, 77)+ 0.8000000000000000D+00*dw( 95, 77)
      JacC( 67, 52) = JacC( 67, 52)+ 0.2000000000000000D+00*dw( 95, 52)
      JacC( 67, 77) = JacC( 67, 77)+ 0.2000000000000000D+00*dw( 95, 77)
      JacC( 77, 52) = JacC( 77, 52) - dw( 95, 52)
      JacC( 77, 77) = JacC( 77, 77) - dw( 95, 77)
      JacC( 79, 52) = JacC( 79, 52)+ 0.2000000000000000D+00*dw( 95, 52)
      JacC( 79, 77) = JacC( 79, 77)+ 0.2000000000000000D+00*dw( 95, 77)
      JacC( 46, 46) = JacC( 46, 46) - dw( 96, 46)
      JacC( 46, 77) = JacC( 46, 77) - dw( 96, 77)
      JacC( 61, 46) = JacC( 61, 46)+ 0.2500000000000000D+00*dw( 96, 46)
      JacC( 61, 77) = JacC( 61, 77)+ 0.2500000000000000D+00*dw( 96, 77)
      JacC( 66, 46) = JacC( 66, 46)+ 0.2500000000000000D+00*dw( 96, 46)
      JacC( 66, 77) = JacC( 66, 77)+ 0.2500000000000000D+00*dw( 96, 77)
      JacC( 67, 46) = JacC( 67, 46)+ 0.5000000000000000D+00*dw( 96, 46)
      JacC( 67, 77) = JacC( 67, 77)+ 0.5000000000000000D+00*dw( 96, 77)
      JacC( 69, 46) = JacC( 69, 46)+ 0.3000000000000000D-01*dw( 96, 46)
      JacC( 69, 77) = JacC( 69, 77)+ 0.3000000000000000D-01*dw( 96, 77)
      JacC( 71, 46) = JacC( 71, 46)+ 0.2500000000000000D+00*dw( 96, 46)
      JacC( 71, 77) = JacC( 71, 77)+ 0.2500000000000000D+00*dw( 96, 77)
      JacC( 72, 46) = JacC( 72, 46)+ 0.5000000000000000D+00*dw( 96, 46)
      JacC( 72, 77) = JacC( 72, 77)+ 0.5000000000000000D+00*dw( 96, 77)
      JacC( 77, 46) = JacC( 77, 46) - dw( 96, 46)
      JacC( 77, 77) = JacC( 77, 77) - dw( 96, 77)
      JacC( 79, 46) = JacC( 79, 46)+ 0.5000000000000000D+00*dw( 96, 46)
      JacC( 79, 77) = JacC( 79, 77)+ 0.5000000000000000D+00*dw( 96, 77)
      JacC( 80, 46) = JacC( 80, 46)+ 0.5000000000000000D+00*dw( 96, 46)
      JacC( 80, 77) = JacC( 80, 77)+ 0.5000000000000000D+00*dw( 96, 77)
      JacC( 81, 46) = JacC( 81, 46)+ 0.5000000000000000D+00*dw( 96, 46)
      JacC( 81, 77) = JacC( 81, 77)+ 0.5000000000000000D+00*dw( 96, 77)
      JacC( 19, 37) = JacC( 19, 37)+ 0.3900000000000000D-01*dw( 97, 37)
      JacC( 19, 77) = JacC( 19, 77)+ 0.3900000000000000D-01*dw( 97, 77)
      JacC( 20, 37) = JacC( 20, 37)+ 0.1080000000000000D+00*dw( 97, 37)
      JacC( 20, 77) = JacC( 20, 77)+ 0.1080000000000000D+00*dw( 97, 77)
      JacC( 36, 37) = JacC( 36, 37) + dw( 97, 37)
      JacC( 36, 77) = JacC( 36, 77) + dw( 97, 77)
      JacC( 37, 37) = JacC( 37, 37) - dw( 97, 37)
      JacC( 37, 77) = JacC( 37, 77) - dw( 97, 77)
      JacC( 67, 37) = JacC( 67, 37) + dw( 97, 37)
      JacC( 67, 77) = JacC( 67, 77) + dw( 97, 77)
      JacC( 77, 37) = JacC( 77, 37) - dw( 97, 37)
      JacC( 77, 77) = JacC( 77, 77) - dw( 97, 77)
      JacC( 27, 27) = JacC( 27, 27) - dw( 98, 27)
      JacC( 27, 77) = JacC( 27, 77) - dw( 98, 77)
      JacC( 57, 27) = JacC( 57, 27)+ 0.8000000000000000D+00*dw( 98, 27)
      JacC( 57, 77) = JacC( 57, 77)+ 0.8000000000000000D+00*dw( 98, 77)
      JacC( 58, 27) = JacC( 58, 27)+ 0.2000000000000000D+00*dw( 98, 27)
      JacC( 58, 77) = JacC( 58, 77)+ 0.2000000000000000D+00*dw( 98, 77)
      JacC( 77, 27) = JacC( 77, 27) - dw( 98, 27)
      JacC( 77, 77) = JacC( 77, 77) - dw( 98, 77)
      JacC( 38, 53) = JacC( 38, 53)+ 0.8000000000000000D-02*dw( 99, 53)
      JacC( 38, 77) = JacC( 38, 77)+ 0.8000000000000000D-02*dw( 99, 77)
      JacC( 53, 53) = JacC( 53, 53) - dw( 99, 53)
      JacC( 53, 77) = JacC( 53, 77) - dw( 99, 77)
      JacC( 57, 53) = JacC( 57, 53)+ 0.4300000000000000D+00*dw( 99, 53)
      JacC( 57, 77) = JacC( 57, 77)+ 0.4300000000000000D+00*dw( 99, 77)
      JacC( 58, 53) = JacC( 58, 53)+ 0.5700000000000000D+00*dw( 99, 53)
      JacC( 58, 77) = JacC( 58, 77)+ 0.5700000000000000D+00*dw( 99, 77)
      JacC( 77, 53) = JacC( 77, 53) - dw( 99, 53)
      JacC( 77, 77) = JacC( 77, 77) - dw( 99, 77)
      JacC( 38, 56) = JacC( 38, 56)+ 0.8000000000000000D-02*dw(100, 56)
      JacC( 38, 77) = JacC( 38, 77)+ 0.8000000000000000D-02*dw(100, 77)
      JacC( 56, 56) = JacC( 56, 56) - dw(100, 56)
      JacC( 56, 77) = JacC( 56, 77) - dw(100, 77)
      JacC( 57, 56) = JacC( 57, 56)+ 0.1100000000000000D+00*dw(100, 56)
      JacC( 57, 77) = JacC( 57, 77)+ 0.1100000000000000D+00*dw(100, 77)
      JacC( 58, 56) = JacC( 58, 56)+ 0.8900000000000000D+00*dw(100, 56)
      JacC( 58, 77) = JacC( 58, 77)+ 0.8900000000000000D+00*dw(100, 77)
      JacC( 77, 56) = JacC( 77, 56) - dw(100, 56)
      JacC( 77, 77) = JacC( 77, 77) - dw(100, 77)
      JacC( 21, 21) = JacC( 21, 21) - dw(101, 21)
      JacC( 21, 77) = JacC( 21, 77) - dw(101, 77)
      JacC( 52, 21) = JacC( 52, 21)+ 0.9000000000000000D+00*dw(101, 21)
      JacC( 52, 77) = JacC( 52, 77)+ 0.9000000000000000D+00*dw(101, 77)
      JacC( 57, 21) = JacC( 57, 21)+ 0.9000000000000000D+00*dw(101, 21)
      JacC( 57, 77) = JacC( 57, 77)+ 0.9000000000000000D+00*dw(101, 77)
      JacC( 58, 21) = JacC( 58, 21)+ 0.1000000000000000D+00*dw(101, 21)
      JacC( 58, 77) = JacC( 58, 77)+ 0.1000000000000000D+00*dw(101, 77)
      JacC( 77, 21) = JacC( 77, 21) - dw(101, 21)
      JacC( 77, 77) = JacC( 77, 77) - dw(101, 77)
      JacC( 28, 28) = JacC( 28, 28) - dw(102, 28)
      JacC( 28, 77) = JacC( 28, 77) - dw(102, 77)
      JacC( 52, 28) = JacC( 52, 28)+ 0.9000000000000000D+00*dw(102, 28)
      JacC( 52, 77) = JacC( 52, 77)+ 0.9000000000000000D+00*dw(102, 77)
      JacC( 57, 28) = JacC( 57, 28)+ 0.9000000000000000D+00*dw(102, 28)
      JacC( 57, 77) = JacC( 57, 77)+ 0.9000000000000000D+00*dw(102, 77)
      JacC( 58, 28) = JacC( 58, 28)+ 0.1000000000000000D+00*dw(102, 28)
      JacC( 58, 77) = JacC( 58, 77)+ 0.1000000000000000D+00*dw(102, 77)
      JacC( 77, 28) = JacC( 77, 28) - dw(102, 28)
      JacC( 77, 77) = JacC( 77, 77) - dw(102, 77)
      JacC( 26, 26) = JacC( 26, 26) - dw(103, 26)
      JacC( 26, 77) = JacC( 26, 77) - dw(103, 77)
      JacC( 57, 26) = JacC( 57, 26)+ 0.1000000000000000D+00*dw(103, 26)
      JacC( 57, 77) = JacC( 57, 77)+ 0.1000000000000000D+00*dw(103, 77)
      JacC( 58, 26) = JacC( 58, 26)+ 0.9000000000000000D+00*dw(103, 26)
      JacC( 58, 77) = JacC( 58, 77)+ 0.9000000000000000D+00*dw(103, 77)
      JacC( 77, 26) = JacC( 77, 26) - dw(103, 26)
      JacC( 77, 77) = JacC( 77, 77) - dw(103, 77)
      JacC( 14, 14) = JacC( 14, 14) - dw(104, 14)
      JacC( 14, 77) = JacC( 14, 77) - dw(104, 77)
      JacC( 57, 14) = JacC( 57, 14)+ 0.1300000000000000D+00*dw(104, 14)
      JacC( 57, 77) = JacC( 57, 77)+ 0.1300000000000000D+00*dw(104, 77)
      JacC( 58, 14) = JacC( 58, 14)+ 0.8700000000000000D+00*dw(104, 14)
      JacC( 58, 77) = JacC( 58, 77)+ 0.8700000000000000D+00*dw(104, 77)
      JacC( 77, 14) = JacC( 77, 14) - dw(104, 14)
      JacC( 77, 77) = JacC( 77, 77) - dw(104, 77)
      JacC( 42, 42) = JacC( 42, 42) - dw(105, 42)
      JacC( 42, 77) = JacC( 42, 77) - dw(105, 77)
      JacC( 44, 42) = JacC( 44, 42)+ 0.4000000000000000D+00*dw(105, 42)
      JacC( 44, 77) = JacC( 44, 77)+ 0.4000000000000000D+00*dw(105, 77)
      JacC( 72, 42) = JacC( 72, 42) + dw(105, 42)
      JacC( 72, 77) = JacC( 72, 77) + dw(105, 77)
      JacC( 74, 42) = JacC( 74, 42)+ 0.4000000000000000D+00*dw(105, 42)
      JacC( 74, 77) = JacC( 74, 77)+ 0.4000000000000000D+00*dw(105, 77)
      JacC( 77, 42) = JacC( 77, 42)- 0.4000000000000000D+00*dw(105, 42)
      JacC( 77, 77) = JacC( 77, 77)- 0.4000000000000000D+00*dw(105, 77)
      JacC( 80, 42) = JacC( 80, 42)+ 0.4000000000000000D+00*dw(105, 42)
      JacC( 80, 77) = JacC( 80, 77)+ 0.4000000000000000D+00*dw(105, 77)
      JacC( 82, 42) = JacC( 82, 42)+ 0.6000000000000000D+00*dw(105, 42)
      JacC( 82, 77) = JacC( 82, 77)+ 0.6000000000000000D+00*dw(105, 77)
      JacC( 27, 27) = JacC( 27, 27) - dw(106, 27)
      JacC( 27, 59) = JacC( 27, 59) - dw(106, 59)
      JacC( 43, 27) = JacC( 43, 27)+ 0.3700000000000000D+00*dw(106, 27)
      JacC( 43, 59) = JacC( 43, 59)+ 0.3700000000000000D+00*dw(106, 59)
      JacC( 59, 27) = JacC( 59, 27) - dw(106, 27)
      JacC( 59, 59) = JacC( 59, 59) - dw(106, 59)
      JacC( 60, 27) = JacC( 60, 27)+ 0.4300000000000000D+00*dw(106, 27)
      JacC( 60, 59) = JacC( 60, 59)+ 0.4300000000000000D+00*dw(106, 59)
      JacC( 74, 27) = JacC( 74, 27) + dw(106, 27)
      JacC( 74, 59) = JacC( 74, 59) + dw(106, 59)
      JacC( 75, 27) = JacC( 75, 27)+ 0.1200000000000000D+00*dw(106, 27)
      JacC( 75, 59) = JacC( 75, 59)+ 0.1200000000000000D+00*dw(106, 59)
      JacC( 81, 27) = JacC( 81, 27)+ 0.2600000000000000D+00*dw(106, 27)
      JacC( 81, 59) = JacC( 81, 59)+ 0.2600000000000000D+00*dw(106, 59)
      JacC( 29, 53) = JacC( 29, 53)+ 0.6000000000000000D-01*dw(107, 53)
      JacC( 29, 59) = JacC( 29, 59)+ 0.6000000000000000D-01*dw(107, 59)
      JacC( 30, 53) = JacC( 30, 53)+ 0.3000000000000000D-01*dw(107, 53)
      JacC( 30, 59) = JacC( 30, 59)+ 0.3000000000000000D-01*dw(107, 59)
      JacC( 38, 53) = JacC( 38, 53)+ 0.8000000000000000D-02*dw(107, 53)
      JacC( 38, 59) = JacC( 38, 59)+ 0.8000000000000000D-02*dw(107, 59)
      JacC( 43, 53) = JacC( 43, 53)+ 0.1400000000000000D+00*dw(107, 53)
      JacC( 43, 59) = JacC( 43, 59)+ 0.1400000000000000D+00*dw(107, 59)
      JacC( 45, 53) = JacC( 45, 53)+ 0.6000000000000000D-02*dw(107, 53)
      JacC( 45, 59) = JacC( 45, 59)+ 0.6000000000000000D-02*dw(107, 59)
      JacC( 53, 53) = JacC( 53, 53) - dw(107, 53)
      JacC( 53, 59) = JacC( 53, 59) - dw(107, 59)
      JacC( 59, 53) = JacC( 59, 53) - dw(107, 53)
      JacC( 59, 59) = JacC( 59, 59) - dw(107, 59)
      JacC( 60, 53) = JacC( 60, 53)+ 0.3700000000000000D+00*dw(107, 53)
      JacC( 60, 59) = JacC( 60, 59)+ 0.3700000000000000D+00*dw(107, 59)
      JacC( 63, 53) = JacC( 63, 53)+ 0.1000000000000000D+00*dw(107, 53)
      JacC( 63, 59) = JacC( 63, 59)+ 0.1000000000000000D+00*dw(107, 59)
      JacC( 64, 53) = JacC( 64, 53)+ 0.3000000000000000D-01*dw(107, 53)
      JacC( 64, 59) = JacC( 64, 59)+ 0.3000000000000000D-01*dw(107, 59)
      JacC( 69, 53) = JacC( 69, 53)+ 0.3000000000000000D-01*dw(107, 53)
      JacC( 69, 59) = JacC( 69, 59)+ 0.3000000000000000D-01*dw(107, 59)
      JacC( 70, 53) = JacC( 70, 53)+ 0.1000000000000000D+00*dw(107, 53)
      JacC( 70, 59) = JacC( 70, 59)+ 0.1000000000000000D+00*dw(107, 59)
      JacC( 71, 53) = JacC( 71, 53)+ 0.4400000000000000D+00*dw(107, 53)
      JacC( 71, 59) = JacC( 71, 59)+ 0.4400000000000000D+00*dw(107, 59)
      JacC( 73, 53) = JacC( 73, 53)+ 0.1900000000000000D+00*dw(107, 53)
      JacC( 73, 59) = JacC( 73, 59)+ 0.1900000000000000D+00*dw(107, 59)
      JacC( 74, 53) = JacC( 74, 53)+ 0.6400000000000000D+00*dw(107, 53)
      JacC( 74, 59) = JacC( 74, 59)+ 0.6400000000000000D+00*dw(107, 59)
      JacC( 75, 53) = JacC( 75, 53)+ 0.4000000000000000D+00*dw(107, 53)
      JacC( 75, 59) = JacC( 75, 59)+ 0.4000000000000000D+00*dw(107, 59)
      JacC( 81, 53) = JacC( 81, 53)+ 0.2500000000000000D+00*dw(107, 53)
      JacC( 81, 59) = JacC( 81, 59)+ 0.2500000000000000D+00*dw(107, 59)
      JacC( 29, 56) = JacC( 29, 56)+ 0.7000000000000001D-01*dw(108, 56)
      JacC( 29, 59) = JacC( 29, 59)+ 0.7000000000000001D-01*dw(108, 59)
      JacC( 30, 56) = JacC( 30, 56)+ 0.6000000000000000D-01*dw(108, 56)
      JacC( 30, 59) = JacC( 30, 59)+ 0.6000000000000000D-01*dw(108, 59)
      JacC( 38, 56) = JacC( 38, 56)+ 0.8000000000000000D-02*dw(108, 56)
      JacC( 38, 59) = JacC( 38, 59)+ 0.8000000000000000D-02*dw(108, 59)
      JacC( 45, 56) = JacC( 45, 56)+ 0.1100000000000000D-01*dw(108, 56)
      JacC( 45, 59) = JacC( 45, 59)+ 0.1100000000000000D-01*dw(108, 59)
      JacC( 56, 56) = JacC( 56, 56) - dw(108, 56)
      JacC( 56, 59) = JacC( 56, 59) - dw(108, 59)
      JacC( 59, 56) = JacC( 59, 56) - dw(108, 56)
      JacC( 59, 59) = JacC( 59, 59) - dw(108, 59)
      JacC( 60, 56) = JacC( 60, 56)+ 0.3000000000000000D+00*dw(108, 56)
      JacC( 60, 59) = JacC( 60, 59)+ 0.3000000000000000D+00*dw(108, 59)
      JacC( 63, 56) = JacC( 63, 56)+ 0.1400000000000000D+00*dw(108, 56)
      JacC( 63, 59) = JacC( 63, 59)+ 0.1400000000000000D+00*dw(108, 59)
      JacC( 64, 56) = JacC( 64, 56)+ 0.1200000000000000D+00*dw(108, 56)
      JacC( 64, 59) = JacC( 64, 59)+ 0.1200000000000000D+00*dw(108, 59)
      JacC( 69, 56) = JacC( 69, 56)+ 0.1600000000000000D+00*dw(108, 56)
      JacC( 69, 59) = JacC( 69, 59)+ 0.1600000000000000D+00*dw(108, 59)
      JacC( 70, 56) = JacC( 70, 56)+ 0.1800000000000000D+00*dw(108, 56)
      JacC( 70, 59) = JacC( 70, 59)+ 0.1800000000000000D+00*dw(108, 59)
      JacC( 71, 56) = JacC( 71, 56)+ 0.9900000000000000D+00*dw(108, 56)
      JacC( 71, 59) = JacC( 71, 59)+ 0.9900000000000000D+00*dw(108, 59)
      JacC( 73, 56) = JacC( 73, 56)+ 0.2300000000000000D+00*dw(108, 56)
      JacC( 73, 59) = JacC( 73, 59)+ 0.2300000000000000D+00*dw(108, 59)
      JacC( 74, 56) = JacC( 74, 56)+ 0.2000000000000000D-01*dw(108, 56)
      JacC( 74, 59) = JacC( 74, 59)+ 0.2000000000000000D-01*dw(108, 59)
      JacC( 75, 56) = JacC( 75, 56)+ 0.6300000000000000D+00*dw(108, 56)
      JacC( 75, 59) = JacC( 75, 59)+ 0.6300000000000000D+00*dw(108, 59)
      JacC( 81, 56) = JacC( 81, 56)+ 0.2200000000000000D+00*dw(108, 56)
      JacC( 81, 59) = JacC( 81, 59)+ 0.2200000000000000D+00*dw(108, 59)
      JacC( 21, 21) = JacC( 21, 21) - dw(109, 21)
      JacC( 21, 59) = JacC( 21, 59) - dw(109, 59)
      JacC( 34, 21) = JacC( 34, 21)+ 0.9000000000000000D-01*dw(109, 21)
      JacC( 34, 59) = JacC( 34, 59)+ 0.9000000000000000D-01*dw(109, 59)
      JacC( 43, 21) = JacC( 43, 21)+ 0.1500000000000000D+00*dw(109, 21)
      JacC( 43, 59) = JacC( 43, 59)+ 0.1500000000000000D+00*dw(109, 59)
      JacC( 45, 21) = JacC( 45, 21)+ 0.1000000000000000D-02*dw(109, 21)
      JacC( 45, 59) = JacC( 45, 59)+ 0.1000000000000000D-02*dw(109, 59)
      JacC( 52, 21) = JacC( 52, 21)+ 0.3900000000000000D+00*dw(109, 21)
      JacC( 52, 59) = JacC( 52, 59)+ 0.3900000000000000D+00*dw(109, 59)
      JacC( 53, 21) = JacC( 53, 21)+ 0.3500000000000000D+00*dw(109, 21)
      JacC( 53, 59) = JacC( 53, 59)+ 0.3500000000000000D+00*dw(109, 59)
      JacC( 59, 21) = JacC( 59, 21) - dw(109, 21)
      JacC( 59, 59) = JacC( 59, 59) - dw(109, 59)
      JacC( 60, 21) = JacC( 60, 21)+ 0.3600000000000000D+00*dw(109, 21)
      JacC( 60, 59) = JacC( 60, 59)+ 0.3600000000000000D+00*dw(109, 59)
      JacC( 64, 21) = JacC( 64, 21)+ 0.2000000000000000D-01*dw(109, 21)
      JacC( 64, 59) = JacC( 64, 59)+ 0.2000000000000000D-01*dw(109, 59)
      JacC( 72, 21) = JacC( 72, 21)+ 0.1300000000000000D+00*dw(109, 21)
      JacC( 72, 59) = JacC( 72, 59)+ 0.1300000000000000D+00*dw(109, 59)
      JacC( 73, 21) = JacC( 73, 21)+ 0.3000000000000000D-01*dw(109, 21)
      JacC( 73, 59) = JacC( 73, 59)+ 0.3000000000000000D-01*dw(109, 59)
      JacC( 74, 21) = JacC( 74, 21)+ 0.9000000000000000D+00*dw(109, 21)
      JacC( 74, 59) = JacC( 74, 59)+ 0.9000000000000000D+00*dw(109, 59)
      JacC( 75, 21) = JacC( 75, 21)+ 0.2800000000000000D+00*dw(109, 21)
      JacC( 75, 59) = JacC( 75, 59)+ 0.2800000000000000D+00*dw(109, 59)
      JacC( 76, 21) = JacC( 76, 21)+ 0.1500000000000000D+00*dw(109, 21)
      JacC( 76, 59) = JacC( 76, 59)+ 0.1500000000000000D+00*dw(109, 59)
      JacC( 81, 21) = JacC( 81, 21)+ 0.3000000000000000D+00*dw(109, 21)
      JacC( 81, 59) = JacC( 81, 59)+ 0.3000000000000000D+00*dw(109, 59)
      JacC( 28, 28) = JacC( 28, 28) - dw(110, 28)
      JacC( 28, 59) = JacC( 28, 59) - dw(110, 59)
      JacC( 34, 28) = JacC( 34, 28)+ 0.9000000000000000D-01*dw(110, 28)
      JacC( 34, 59) = JacC( 34, 59)+ 0.9000000000000000D-01*dw(110, 59)
      JacC( 43, 28) = JacC( 43, 28)+ 0.1500000000000000D+00*dw(110, 28)
      JacC( 43, 59) = JacC( 43, 59)+ 0.1500000000000000D+00*dw(110, 59)
      JacC( 45, 28) = JacC( 45, 28)+ 0.1000000000000000D-02*dw(110, 28)
      JacC( 45, 59) = JacC( 45, 59)+ 0.1000000000000000D-02*dw(110, 59)
      JacC( 52, 28) = JacC( 52, 28)+ 0.3900000000000000D+00*dw(110, 28)
      JacC( 52, 59) = JacC( 52, 59)+ 0.3900000000000000D+00*dw(110, 59)
      JacC( 53, 28) = JacC( 53, 28)+ 0.3500000000000000D+00*dw(110, 28)
      JacC( 53, 59) = JacC( 53, 59)+ 0.3500000000000000D+00*dw(110, 59)
      JacC( 59, 28) = JacC( 59, 28) - dw(110, 28)
      JacC( 59, 59) = JacC( 59, 59) - dw(110, 59)
      JacC( 60, 28) = JacC( 60, 28)+ 0.3600000000000000D+00*dw(110, 28)
      JacC( 60, 59) = JacC( 60, 59)+ 0.3600000000000000D+00*dw(110, 59)
      JacC( 64, 28) = JacC( 64, 28)+ 0.2000000000000000D-01*dw(110, 28)
      JacC( 64, 59) = JacC( 64, 59)+ 0.2000000000000000D-01*dw(110, 59)
      JacC( 72, 28) = JacC( 72, 28)+ 0.1300000000000000D+00*dw(110, 28)
      JacC( 72, 59) = JacC( 72, 59)+ 0.1300000000000000D+00*dw(110, 59)
      JacC( 73, 28) = JacC( 73, 28)+ 0.3000000000000000D-01*dw(110, 28)
      JacC( 73, 59) = JacC( 73, 59)+ 0.3000000000000000D-01*dw(110, 59)
      JacC( 74, 28) = JacC( 74, 28)+ 0.9000000000000000D+00*dw(110, 28)
      JacC( 74, 59) = JacC( 74, 59)+ 0.9000000000000000D+00*dw(110, 59)
      JacC( 75, 28) = JacC( 75, 28)+ 0.2800000000000000D+00*dw(110, 28)
      JacC( 75, 59) = JacC( 75, 59)+ 0.2800000000000000D+00*dw(110, 59)
      JacC( 76, 28) = JacC( 76, 28)+ 0.1500000000000000D+00*dw(110, 28)
      JacC( 76, 59) = JacC( 76, 59)+ 0.1500000000000000D+00*dw(110, 59)
      JacC( 81, 28) = JacC( 81, 28)+ 0.3000000000000000D+00*dw(110, 28)
      JacC( 81, 59) = JacC( 81, 59)+ 0.3000000000000000D+00*dw(110, 59)
      JacC( 22, 26) = JacC( 22, 26)+ 0.2158800000000000D-01*dw(111, 26)
      JacC( 22, 59) = JacC( 22, 59)+ 0.2158800000000000D-01*dw(111, 59)
      JacC( 23, 26) = JacC( 23, 26)+ 0.1858110000000000D+00*dw(111, 26)
      JacC( 23, 59) = JacC( 23, 59)+ 0.1858110000000000D+00*dw(111, 59)
      JacC( 26, 26) = JacC( 26, 26) - dw(111, 26)
      JacC( 26, 59) = JacC( 26, 59) - dw(111, 59)
      JacC( 45, 26) = JacC( 45, 26)+ 0.2000000000000000D-01*dw(111, 26)
      JacC( 45, 59) = JacC( 45, 59)+ 0.2000000000000000D-01*dw(111, 59)
      JacC( 59, 26) = JacC( 59, 26) - dw(111, 26)
      JacC( 59, 59) = JacC( 59, 59) - dw(111, 59)
      JacC( 60, 26) = JacC( 60, 26)+ 0.1400000000000000D+00*dw(111, 26)
      JacC( 60, 59) = JacC( 60, 59)+ 0.1400000000000000D+00*dw(111, 59)
      JacC( 64, 26) = JacC( 64, 26)+ 0.4200000000000000D+00*dw(111, 26)
      JacC( 64, 59) = JacC( 64, 59)+ 0.4200000000000000D+00*dw(111, 59)
      JacC( 69, 26) = JacC( 69, 26)+ 0.5300000000000000D+00*dw(111, 26)
      JacC( 69, 59) = JacC( 69, 59)+ 0.5300000000000000D+00*dw(111, 59)
      JacC( 70, 26) = JacC( 70, 26)+ 0.2000000000000000D+00*dw(111, 26)
      JacC( 70, 59) = JacC( 70, 59)+ 0.2000000000000000D+00*dw(111, 59)
      JacC( 71, 26) = JacC( 71, 26)+ 0.6500000000000000D+00*dw(111, 26)
      JacC( 71, 59) = JacC( 71, 59)+ 0.6500000000000000D+00*dw(111, 59)
      JacC( 75, 26) = JacC( 75, 26)+ 0.8500000000000000D+00*dw(111, 26)
      JacC( 75, 59) = JacC( 75, 59)+ 0.8500000000000000D+00*dw(111, 59)
      JacC( 81, 26) = JacC( 81, 26)+ 0.1000000000000000D+00*dw(111, 26)
      JacC( 81, 59) = JacC( 81, 59)+ 0.1000000000000000D+00*dw(111, 59)
      JacC( 14, 14) = JacC( 14, 14) - dw(112, 14)
      JacC( 14, 59) = JacC( 14, 59) - dw(112, 59)
      JacC( 15, 14) = JacC( 15, 14)+ 0.1256730000000000D+00*dw(112, 14)
      JacC( 15, 59) = JacC( 15, 59)+ 0.1256730000000000D+00*dw(112, 59)
      JacC( 16, 14) = JacC( 16, 14)+ 0.1904370000000000D+00*dw(112, 14)
      JacC( 16, 59) = JacC( 16, 59)+ 0.1904370000000000D+00*dw(112, 59)
      JacC( 43, 14) = JacC( 43, 14)+ 0.1000000000000000D-01*dw(112, 14)
      JacC( 43, 59) = JacC( 43, 59)+ 0.1000000000000000D-01*dw(112, 59)
      JacC( 45, 14) = JacC( 45, 14)+ 0.2000000000000000D-01*dw(112, 14)
      JacC( 45, 59) = JacC( 45, 59)+ 0.2000000000000000D-01*dw(112, 59)
      JacC( 52, 14) = JacC( 52, 14)+ 0.7900000000000000D+00*dw(112, 14)
      JacC( 52, 59) = JacC( 52, 59)+ 0.7900000000000000D+00*dw(112, 59)
      JacC( 53, 14) = JacC( 53, 14)+ 0.4600000000000000D+00*dw(112, 14)
      JacC( 53, 59) = JacC( 53, 59)+ 0.4600000000000000D+00*dw(112, 59)
      JacC( 59, 14) = JacC( 59, 14) - dw(112, 14)
      JacC( 59, 59) = JacC( 59, 59) - dw(112, 59)
      JacC( 60, 14) = JacC( 60, 14)+ 0.1400000000000000D+00*dw(112, 14)
      JacC( 60, 59) = JacC( 60, 59)+ 0.1400000000000000D+00*dw(112, 59)
      JacC( 63, 14) = JacC( 63, 14)+ 0.7000000000000001D-01*dw(112, 14)
      JacC( 63, 59) = JacC( 63, 59)+ 0.7000000000000001D-01*dw(112, 59)
      JacC( 64, 14) = JacC( 64, 14)+ 0.4200000000000000D+00*dw(112, 14)
      JacC( 64, 59) = JacC( 64, 59)+ 0.4200000000000000D+00*dw(112, 59)
      JacC( 70, 14) = JacC( 70, 14)+ 0.1600000000000000D+00*dw(112, 14)
      JacC( 70, 59) = JacC( 70, 59)+ 0.1600000000000000D+00*dw(112, 59)
      JacC( 74, 14) = JacC( 74, 14)+ 0.4000000000000000D-01*dw(112, 14)
      JacC( 74, 59) = JacC( 74, 59)+ 0.4000000000000000D-01*dw(112, 59)
      JacC( 75, 14) = JacC( 75, 14)+ 0.8500000000000000D+00*dw(112, 14)
      JacC( 75, 59) = JacC( 75, 59)+ 0.8500000000000000D+00*dw(112, 59)
      JacC( 81, 14) = JacC( 81, 14)+ 0.1000000000000000D+00*dw(112, 14)
      JacC( 81, 59) = JacC( 81, 59)+ 0.1000000000000000D+00*dw(112, 59)
      JacC( 43, 52) = JacC( 43, 52)+ 0.2200000000000000D+00*dw(113, 52)
      JacC( 43, 59) = JacC( 43, 59)+ 0.2200000000000000D+00*dw(113, 59)
      JacC( 52, 52) = JacC( 52, 52) - dw(113, 52)
      JacC( 52, 59) = JacC( 52, 59) - dw(113, 59)
      JacC( 59, 52) = JacC( 59, 52) - dw(113, 52)
      JacC( 59, 59) = JacC( 59, 59) - dw(113, 59)
      JacC( 60, 52) = JacC( 60, 52)+ 0.5400000000000000D+00*dw(113, 52)
      JacC( 60, 59) = JacC( 60, 59)+ 0.5400000000000000D+00*dw(113, 59)
      JacC( 63, 52) = JacC( 63, 52)+ 0.1300000000000000D+00*dw(113, 52)
      JacC( 63, 59) = JacC( 63, 59)+ 0.1300000000000000D+00*dw(113, 59)
      JacC( 65, 52) = JacC( 65, 52)+ 0.1300000000000000D+00*dw(113, 52)
      JacC( 65, 59) = JacC( 65, 59)+ 0.1300000000000000D+00*dw(113, 59)
      JacC( 66, 52) = JacC( 66, 52)+ 0.6000000000000000D+00*dw(113, 52)
      JacC( 66, 59) = JacC( 66, 59)+ 0.6000000000000000D+00*dw(113, 59)
      JacC( 74, 52) = JacC( 74, 52)+ 0.4000000000000000D+00*dw(113, 52)
      JacC( 74, 59) = JacC( 74, 59)+ 0.4000000000000000D+00*dw(113, 59)
      JacC( 75, 52) = JacC( 75, 52)+ 0.7000000000000001D-01*dw(113, 52)
      JacC( 75, 59) = JacC( 75, 59)+ 0.7000000000000001D-01*dw(113, 59)
      JacC( 76, 52) = JacC( 76, 52)+ 0.1300000000000000D+00*dw(113, 52)
      JacC( 76, 59) = JacC( 76, 59)+ 0.1300000000000000D+00*dw(113, 59)
      JacC( 81, 52) = JacC( 81, 52)+ 0.2900000000000000D+00*dw(113, 52)
      JacC( 81, 59) = JacC( 81, 59)+ 0.2900000000000000D+00*dw(113, 59)
      JacC( 35, 46) = JacC( 35, 46)+ 0.1100000000000000D+00*dw(114, 46)
      JacC( 35, 59) = JacC( 35, 59)+ 0.1100000000000000D+00*dw(114, 59)
      JacC( 43, 46) = JacC( 43, 46)+ 0.1100000000000000D+00*dw(114, 46)
      JacC( 43, 59) = JacC( 43, 59)+ 0.1100000000000000D+00*dw(114, 59)
      JacC( 46, 46) = JacC( 46, 46) - dw(114, 46)
      JacC( 46, 59) = JacC( 46, 59) - dw(114, 59)
      JacC( 59, 46) = JacC( 59, 46) - dw(114, 46)
      JacC( 59, 59) = JacC( 59, 59) - dw(114, 59)
      JacC( 60, 46) = JacC( 60, 46)+ 0.6600000000000000D+00*dw(114, 46)
      JacC( 60, 59) = JacC( 60, 59)+ 0.6600000000000000D+00*dw(114, 59)
      JacC( 61, 46) = JacC( 61, 46)+ 0.5000000000000000D+00*dw(114, 46)
      JacC( 61, 59) = JacC( 61, 59)+ 0.5000000000000000D+00*dw(114, 59)
      JacC( 63, 46) = JacC( 63, 46)+ 0.2100000000000000D+00*dw(114, 46)
      JacC( 63, 59) = JacC( 63, 59)+ 0.2100000000000000D+00*dw(114, 59)
      JacC( 66, 46) = JacC( 66, 46)+ 0.6200000000000000D+00*dw(114, 46)
      JacC( 66, 59) = JacC( 66, 59)+ 0.6200000000000000D+00*dw(114, 59)
      JacC( 71, 46) = JacC( 71, 46)+ 0.1600000000000000D+00*dw(114, 46)
      JacC( 71, 59) = JacC( 71, 59)+ 0.1600000000000000D+00*dw(114, 59)
      JacC( 75, 46) = JacC( 75, 46)+ 0.2100000000000000D+00*dw(114, 46)
      JacC( 75, 59) = JacC( 75, 59)+ 0.2100000000000000D+00*dw(114, 59)
      JacC( 76, 46) = JacC( 76, 46)+ 0.2800000000000000D+00*dw(114, 46)
      JacC( 76, 59) = JacC( 76, 59)+ 0.2800000000000000D+00*dw(114, 59)
      JacC( 81, 46) = JacC( 81, 46)+ 0.2900000000000000D+00*dw(114, 46)
      JacC( 81, 59) = JacC( 81, 59)+ 0.2900000000000000D+00*dw(114, 59)
      JacC( 42, 42) = JacC( 42, 42) - dw(115, 42)
      JacC( 42, 59) = JacC( 42, 59) - dw(115, 59)
      JacC( 43, 42) = JacC( 43, 42)+ 0.1100000000000000D+00*dw(115, 42)
      JacC( 43, 59) = JacC( 43, 59)+ 0.1100000000000000D+00*dw(115, 59)
      JacC( 44, 42) = JacC( 44, 42)+ 0.3000000000000000D+00*dw(115, 42)
      JacC( 44, 59) = JacC( 44, 59)+ 0.3000000000000000D+00*dw(115, 59)
      JacC( 59, 42) = JacC( 59, 42) - dw(115, 42)
      JacC( 59, 59) = JacC( 59, 59) - dw(115, 59)
      JacC( 60, 42) = JacC( 60, 42)+ 0.1300000000000000D+00*dw(115, 42)
      JacC( 60, 59) = JacC( 60, 59)+ 0.1300000000000000D+00*dw(115, 59)
      JacC( 74, 42) = JacC( 74, 42)+ 0.7000000000000000D+00*dw(115, 42)
      JacC( 74, 59) = JacC( 74, 59)+ 0.7000000000000000D+00*dw(115, 59)
      JacC( 75, 42) = JacC( 75, 42)+ 0.3600000000000000D-01*dw(115, 42)
      JacC( 75, 59) = JacC( 75, 59)+ 0.3600000000000000D-01*dw(115, 59)
      JacC( 76, 42) = JacC( 76, 42)+ 0.7000000000000000D+00*dw(115, 42)
      JacC( 76, 59) = JacC( 76, 59)+ 0.7000000000000000D+00*dw(115, 59)
      JacC( 80, 42) = JacC( 80, 42)+ 0.7000000000000000D+00*dw(115, 42)
      JacC( 80, 59) = JacC( 80, 59)+ 0.7000000000000000D+00*dw(115, 59)
      JacC( 81, 42) = JacC( 81, 42)+ 0.8000000000000000D-01*dw(115, 42)
      JacC( 81, 59) = JacC( 81, 59)+ 0.8000000000000000D-01*dw(115, 59)
      JacC( 36, 36) = JacC( 36, 36) - dw(116, 36)
      JacC( 36, 80) = JacC( 36, 80) - dw(116, 80)
      JacC( 37, 36) = JacC( 37, 36)+ 0.1000000000000000D+00*dw(116, 36)
      JacC( 37, 80) = JacC( 37, 80)+ 0.1000000000000000D+00*dw(116, 80)
      JacC( 80, 36) = JacC( 80, 36) - dw(116, 36)
      JacC( 80, 80) = JacC( 80, 80) - dw(116, 80)
      JacC( 82, 36) = JacC( 82, 36) + dw(116, 36)
      JacC( 82, 80) = JacC( 82, 80) + dw(116, 80)
      JacC( 36, 36) = JacC( 36, 36) - dw(117, 36)
      JacC( 36, 81) = JacC( 36, 81) - dw(117, 81)
      JacC( 37, 36) = JacC( 37, 36) + dw(117, 36)
      JacC( 37, 81) = JacC( 37, 81) + dw(117, 81)
      JacC( 81, 36) = JacC( 81, 36) - dw(117, 36)
      JacC( 81, 81) = JacC( 81, 81) - dw(117, 81)
      JacC( 17, 17) = JacC( 17, 17) - dw(118, 17)
      JacC( 17, 80) = JacC( 17, 80) - dw(118, 80)
      JacC( 32, 17) = JacC( 32, 17) + dw(118, 17)
      JacC( 32, 80) = JacC( 32, 80) + dw(118, 80)
      JacC( 37, 17) = JacC( 37, 17) + dw(118, 17)
      JacC( 37, 80) = JacC( 37, 80) + dw(118, 80)
      JacC( 80, 17) = JacC( 80, 17) - dw(118, 17)
      JacC( 80, 80) = JacC( 80, 80) - dw(118, 80)
      JacC( 17, 17) = JacC( 17, 17) - dw(119, 17)
      JacC( 37, 17) = JacC( 37, 17)+ 0.2000000000000000D-01*dw(119, 17)
      JacC( 39, 17) = JacC( 39, 17)+ 0.9800000000000000D+00*dw(119, 17)
      JacC( 81, 17) = JacC( 81, 17)+ 0.2000000000000000D-01*dw(119, 17)
      JacC( 17, 17) = JacC( 17, 17) - dw(120, 17)
      JacC( 17, 59) = JacC( 17, 59) - dw(120, 59)
      JacC( 37, 17) = JacC( 37, 17) + dw(120, 17)
      JacC( 37, 59) = JacC( 37, 59) + dw(120, 59)
      JacC( 59, 17) = JacC( 59, 17) - dw(120, 17)
      JacC( 59, 59) = JacC( 59, 59) - dw(120, 59)
      JacC( 75, 17) = JacC( 75, 17) + dw(120, 17)
      JacC( 75, 59) = JacC( 75, 59) + dw(120, 59)
      JacC( 18, 18) = JacC( 18, 18) - dw(121, 18)
      JacC( 18, 80) = JacC( 18, 80) - dw(121, 80)
      JacC( 32, 18) = JacC( 32, 18) + dw(121, 18)
      JacC( 32, 80) = JacC( 32, 80) + dw(121, 80)
      JacC( 37, 18) = JacC( 37, 18) + dw(121, 18)
      JacC( 37, 80) = JacC( 37, 80) + dw(121, 80)
      JacC( 80, 18) = JacC( 80, 18) - dw(121, 18)
      JacC( 80, 80) = JacC( 80, 80) - dw(121, 80)
      JacC( 18, 18) = JacC( 18, 18) - dw(122, 18)
      JacC( 37, 18) = JacC( 37, 18)+ 0.2000000000000000D-01*dw(122, 18)
      JacC( 40, 18) = JacC( 40, 18)+ 0.9800000000000000D+00*dw(122, 18)
      JacC( 81, 18) = JacC( 81, 18)+ 0.2000000000000000D-01*dw(122, 18)
      JacC( 18, 18) = JacC( 18, 18) - dw(123, 18)
      JacC( 18, 59) = JacC( 18, 59) - dw(123, 59)
      JacC( 37, 18) = JacC( 37, 18) + dw(123, 18)
      JacC( 37, 59) = JacC( 37, 59) + dw(123, 59)
      JacC( 59, 18) = JacC( 59, 18) - dw(123, 18)
      JacC( 59, 59) = JacC( 59, 59) - dw(123, 59)
      JacC( 75, 18) = JacC( 75, 18) + dw(123, 18)
      JacC( 75, 59) = JacC( 75, 59) + dw(123, 59)
      JacC( 31, 31) = JacC( 31, 31) - dw(124, 31)
      JacC( 31, 80) = JacC( 31, 80) - dw(124, 80)
      JacC( 32, 31) = JacC( 32, 31) + dw(124, 31)
      JacC( 32, 80) = JacC( 32, 80) + dw(124, 80)
      JacC( 37, 31) = JacC( 37, 31) + dw(124, 31)
      JacC( 37, 80) = JacC( 37, 80) + dw(124, 80)
      JacC( 80, 31) = JacC( 80, 31) - dw(124, 31)
      JacC( 80, 80) = JacC( 80, 80) - dw(124, 80)
      JacC( 31, 31) = JacC( 31, 31) - dw(125, 31)
      JacC( 33, 31) = JacC( 33, 31)+ 0.9800000000000000D+00*dw(125, 31)
      JacC( 37, 31) = JacC( 37, 31)+ 0.2000000000000000D-01*dw(125, 31)
      JacC( 81, 31) = JacC( 81, 31)+ 0.2000000000000000D-01*dw(125, 31)
      JacC( 31, 31) = JacC( 31, 31) - dw(126, 31)
      JacC( 31, 59) = JacC( 31, 59) - dw(126, 59)
      JacC( 37, 31) = JacC( 37, 31) + dw(126, 31)
      JacC( 37, 59) = JacC( 37, 59) + dw(126, 59)
      JacC( 59, 31) = JacC( 59, 31) - dw(126, 31)
      JacC( 59, 59) = JacC( 59, 59) - dw(126, 59)
      JacC( 75, 31) = JacC( 75, 31) + dw(126, 31)
      JacC( 75, 59) = JacC( 75, 59) + dw(126, 59)
      JacC( 44, 76) = JacC( 44, 76) + dw(127, 76)
      JacC( 44, 80) = JacC( 44, 80) + dw(127, 80)
      JacC( 76, 76) = JacC( 76, 76) - dw(127, 76)
      JacC( 76, 80) = JacC( 76, 80) - dw(127, 80)
      JacC( 80, 76) = JacC( 80, 76) - dw(127, 76)
      JacC( 80, 80) = JacC( 80, 80) - dw(127, 80)
      JacC( 44, 44) = JacC( 44, 44) - dw(128, 44)
      JacC( 76, 44) = JacC( 76, 44) + dw(128, 44)
      JacC( 80, 44) = JacC( 80, 44) + dw(128, 44)
      JacC( 42, 79) = JacC( 42, 79) + dw(129, 79)
      JacC( 42, 80) = JacC( 42, 80) + dw(129, 80)
      JacC( 79, 79) = JacC( 79, 79) - dw(129, 79)
      JacC( 79, 80) = JacC( 79, 80) - dw(129, 80)
      JacC( 80, 79) = JacC( 80, 79) - dw(129, 79)
      JacC( 80, 80) = JacC( 80, 80) - dw(129, 80)
      JacC( 42, 42) = JacC( 42, 42) - dw(130, 42)
      JacC( 79, 42) = JacC( 79, 42) + dw(130, 42)
      JacC( 80, 42) = JacC( 80, 42) + dw(130, 42)
      JacC( 73, 73) = JacC( 73, 73) - dw(131, 73)
      JacC( 73, 78) = JacC( 73, 78) - dw(131, 78)
      JacC( 74, 73) = JacC( 74, 73) + dw(131, 73)
      JacC( 74, 78) = JacC( 74, 78) + dw(131, 78)
      JacC( 78, 73) = JacC( 78, 73) - dw(131, 73)
      JacC( 78, 78) = JacC( 78, 78) - dw(131, 78)
      JacC( 80, 73) = JacC( 80, 73) + dw(131, 73)
      JacC( 80, 78) = JacC( 80, 78) + dw(131, 78)
      JacC( 81, 73) = JacC( 81, 73) + dw(131, 73)
      JacC( 81, 78) = JacC( 81, 78) + dw(131, 78)
      JacC( 70, 70) = JacC( 70, 70) - dw(132, 70)
      JacC( 70, 78) = JacC( 70, 78) - dw(132, 78)
      JacC( 71, 70) = JacC( 71, 70) + dw(132, 70)
      JacC( 71, 78) = JacC( 71, 78) + dw(132, 78)
      JacC( 78, 70) = JacC( 78, 70) - dw(132, 70)
      JacC( 78, 78) = JacC( 78, 78) - dw(132, 78)
      JacC( 80, 70) = JacC( 80, 70) + dw(132, 70)
      JacC( 80, 78) = JacC( 80, 78) + dw(132, 78)
      JacC( 81, 70) = JacC( 81, 70) + dw(132, 70)
      JacC( 81, 78) = JacC( 81, 78) + dw(132, 78)
      JacC( 61, 68) = JacC( 61, 68)+ 0.6300000000000000D-01*dw(133, 68)
      JacC( 61, 78) = JacC( 61, 78)+ 0.6300000000000000D-01*dw(133, 78)
      JacC( 68, 68) = JacC( 68, 68) - dw(133, 68)
      JacC( 68, 78) = JacC( 68, 78) - dw(133, 78)
      JacC( 69, 68) = JacC( 69, 68)+ 0.6230000000000000D+00*dw(133, 68)
      JacC( 69, 78) = JacC( 69, 78)+ 0.6230000000000000D+00*dw(133, 78)
      JacC( 70, 68) = JacC( 70, 68)+ 0.4800000000000000D-01*dw(133, 68)
      JacC( 70, 78) = JacC( 70, 78)+ 0.4800000000000000D-01*dw(133, 78)
      JacC( 71, 68) = JacC( 71, 68)+ 0.2330000000000000D+00*dw(133, 68)
      JacC( 71, 78) = JacC( 71, 78)+ 0.2330000000000000D+00*dw(133, 78)
      JacC( 72, 68) = JacC( 72, 68)+ 0.4800000000000000D-01*dw(133, 68)
      JacC( 72, 78) = JacC( 72, 78)+ 0.4800000000000000D-01*dw(133, 78)
      JacC( 73, 68) = JacC( 73, 68)+ 0.1500000000000000D+00*dw(133, 68)
      JacC( 73, 78) = JacC( 73, 78)+ 0.1500000000000000D+00*dw(133, 78)
      JacC( 74, 68) = JacC( 74, 68)+ 0.4700000000000000D-01*dw(133, 68)
      JacC( 74, 78) = JacC( 74, 78)+ 0.4700000000000000D-01*dw(133, 78)
      JacC( 78, 68) = JacC( 78, 68) - dw(133, 68)
      JacC( 78, 78) = JacC( 78, 78) - dw(133, 78)
      JacC( 80, 68) = JacC( 80, 68)+ 0.9409999999999999D+00*dw(133, 68)
      JacC( 80, 78) = JacC( 80, 78)+ 0.9409999999999999D+00*dw(133, 78)
      JacC( 81, 68) = JacC( 81, 68)+ 0.7420000000000000D+00*dw(133, 68)
      JacC( 81, 78) = JacC( 81, 78)+ 0.7420000000000000D+00*dw(133, 78)
      JacC( 82, 68) = JacC( 82, 68)+ 0.5900000000000000D-01*dw(133, 68)
      JacC( 82, 78) = JacC( 82, 78)+ 0.5900000000000000D-01*dw(133, 78)
      JacC( 48, 48) = JacC( 48, 48) - dw(134, 48)
      JacC( 48, 78) = JacC( 48, 78) - dw(134, 78)
      JacC( 69, 48) = JacC( 69, 48)+ 0.7220000000000000D+00*dw(134, 48)
      JacC( 69, 78) = JacC( 69, 78)+ 0.7220000000000000D+00*dw(134, 78)
      JacC( 70, 48) = JacC( 70, 48)+ 0.2450000000000000D+00*dw(134, 48)
      JacC( 70, 78) = JacC( 70, 78)+ 0.2450000000000000D+00*dw(134, 78)
      JacC( 71, 48) = JacC( 71, 48)+ 0.2110000000000000D+00*dw(134, 48)
      JacC( 71, 78) = JacC( 71, 78)+ 0.2110000000000000D+00*dw(134, 78)
      JacC( 72, 48) = JacC( 72, 48)+ 0.3340000000000000D+00*dw(134, 48)
      JacC( 72, 78) = JacC( 72, 78)+ 0.3340000000000000D+00*dw(134, 78)
      JacC( 73, 48) = JacC( 73, 48)+ 0.3100000000000000D-01*dw(134, 48)
      JacC( 73, 78) = JacC( 73, 78)+ 0.3100000000000000D-01*dw(134, 78)
      JacC( 74, 48) = JacC( 74, 48)+ 0.2100000000000000D-01*dw(134, 48)
      JacC( 74, 78) = JacC( 74, 78)+ 0.2100000000000000D-01*dw(134, 78)
      JacC( 78, 48) = JacC( 78, 48) - dw(134, 48)
      JacC( 78, 78) = JacC( 78, 78) - dw(134, 78)
      JacC( 80, 48) = JacC( 80, 48)+ 0.8760000000000000D+00*dw(134, 48)
      JacC( 80, 78) = JacC( 80, 78)+ 0.8760000000000000D+00*dw(134, 78)
      JacC( 81, 48) = JacC( 81, 48)+ 0.5990000000000000D+00*dw(134, 48)
      JacC( 81, 78) = JacC( 81, 78)+ 0.5990000000000000D+00*dw(134, 78)
      JacC( 82, 48) = JacC( 82, 48)+ 0.1240000000000000D+00*dw(134, 48)
      JacC( 82, 78) = JacC( 82, 78)+ 0.1240000000000000D+00*dw(134, 78)
      JacC( 49, 49) = JacC( 49, 49) - dw(135, 49)
      JacC( 49, 78) = JacC( 49, 78) - dw(135, 78)
      JacC( 69, 49) = JacC( 69, 49)+ 0.6420000000000000D+00*dw(135, 49)
      JacC( 69, 78) = JacC( 69, 78)+ 0.6420000000000000D+00*dw(135, 78)
      JacC( 70, 49) = JacC( 70, 49)+ 0.1330000000000000D+00*dw(135, 49)
      JacC( 70, 78) = JacC( 70, 78)+ 0.1330000000000000D+00*dw(135, 78)
      JacC( 71, 49) = JacC( 71, 49)+ 0.1500000000000000D+00*dw(135, 49)
      JacC( 71, 78) = JacC( 71, 78)+ 0.1500000000000000D+00*dw(135, 78)
      JacC( 72, 49) = JacC( 72, 49)+ 0.4160000000000000D+00*dw(135, 49)
      JacC( 72, 78) = JacC( 72, 78)+ 0.4160000000000000D+00*dw(135, 78)
      JacC( 78, 49) = JacC( 78, 49) - dw(135, 49)
      JacC( 78, 78) = JacC( 78, 78) - dw(135, 78)
      JacC( 80, 49) = JacC( 80, 49)+ 0.7390000000000000D+00*dw(135, 49)
      JacC( 80, 78) = JacC( 80, 78)+ 0.7390000000000000D+00*dw(135, 78)
      JacC( 81, 49) = JacC( 81, 49)+ 0.6060000000000000D+00*dw(135, 49)
      JacC( 81, 78) = JacC( 81, 78)+ 0.6060000000000000D+00*dw(135, 78)
      JacC( 82, 49) = JacC( 82, 49)+ 0.2610000000000000D+00*dw(135, 49)
      JacC( 82, 78) = JacC( 82, 78)+ 0.2610000000000000D+00*dw(135, 78)
      JacC( 50, 50) = JacC( 50, 50) - dw(136, 50)
      JacC( 50, 78) = JacC( 50, 78) - dw(136, 78)
      JacC( 71, 50) = JacC( 71, 50)+ 0.2000000000000000D+00*dw(136, 50)
      JacC( 71, 78) = JacC( 71, 78)+ 0.2000000000000000D+00*dw(136, 78)
      JacC( 74, 50) = JacC( 74, 50)+ 0.1600000000000000D+01*dw(136, 50)
      JacC( 74, 78) = JacC( 74, 78)+ 0.1600000000000000D+01*dw(136, 78)
      JacC( 78, 50) = JacC( 78, 50) - dw(136, 50)
      JacC( 78, 78) = JacC( 78, 78) - dw(136, 78)
      JacC( 80, 50) = JacC( 80, 50) + dw(136, 50)
      JacC( 80, 78) = JacC( 80, 78) + dw(136, 78)
      JacC( 81, 50) = JacC( 81, 50) + dw(136, 50)
      JacC( 81, 78) = JacC( 81, 78) + dw(136, 78)
      JacC( 54, 54) = JacC( 54, 54) - dw(137, 54)
      JacC( 54, 78) = JacC( 54, 78) - dw(137, 78)
      JacC( 69, 54) = JacC( 69, 54)+ 0.6000000000000000D-01*dw(137, 54)
      JacC( 69, 78) = JacC( 69, 78)+ 0.6000000000000000D-01*dw(137, 78)
      JacC( 71, 54) = JacC( 71, 54)+ 0.9399999999999999D+00*dw(137, 54)
      JacC( 71, 78) = JacC( 71, 78)+ 0.9399999999999999D+00*dw(137, 78)
      JacC( 74, 54) = JacC( 74, 54) + dw(137, 54)
      JacC( 74, 78) = JacC( 74, 78) + dw(137, 78)
      JacC( 78, 54) = JacC( 78, 54) - dw(137, 54)
      JacC( 78, 78) = JacC( 78, 78) - dw(137, 78)
      JacC( 80, 54) = JacC( 80, 54) + dw(137, 54)
      JacC( 80, 78) = JacC( 80, 78) + dw(137, 78)
      JacC( 81, 54) = JacC( 81, 54) + dw(137, 54)
      JacC( 81, 78) = JacC( 81, 78) + dw(137, 78)
      JacC( 62, 62) = JacC( 62, 62) - dw(138, 62)
      JacC( 62, 78) = JacC( 62, 78) - dw(138, 78)
      JacC( 69, 62) = JacC( 69, 62)+ 0.2900000000000000D+00*dw(138, 62)
      JacC( 69, 78) = JacC( 69, 78)+ 0.2900000000000000D+00*dw(138, 78)
      JacC( 71, 62) = JacC( 71, 62)+ 0.1710000000000000D+01*dw(138, 62)
      JacC( 71, 78) = JacC( 71, 78)+ 0.1710000000000000D+01*dw(138, 78)
      JacC( 78, 62) = JacC( 78, 62) - dw(138, 62)
      JacC( 78, 78) = JacC( 78, 78) - dw(138, 78)
      JacC( 80, 62) = JacC( 80, 62) + dw(138, 62)
      JacC( 80, 78) = JacC( 80, 78) + dw(138, 78)
      JacC( 81, 62) = JacC( 81, 62) + dw(138, 62)
      JacC( 81, 78) = JacC( 81, 78) + dw(138, 78)
      JacC( 51, 51) = JacC( 51, 51) - dw(139, 51)
      JacC( 51, 78) = JacC( 51, 78) - dw(139, 78)
      JacC( 52, 51) = JacC( 52, 51)+ 0.4460000000000000D+00*dw(139, 51)
      JacC( 52, 78) = JacC( 52, 78)+ 0.4460000000000000D+00*dw(139, 78)
      JacC( 53, 51) = JacC( 53, 51)+ 0.3540000000000000D+00*dw(139, 51)
      JacC( 53, 78) = JacC( 53, 78)+ 0.3540000000000000D+00*dw(139, 78)
      JacC( 74, 51) = JacC( 74, 51)+ 0.6060000000000000D+00*dw(139, 51)
      JacC( 74, 78) = JacC( 74, 78)+ 0.6060000000000000D+00*dw(139, 78)
      JacC( 78, 51) = JacC( 78, 51) - dw(139, 51)
      JacC( 78, 78) = JacC( 78, 78) - dw(139, 78)
      JacC( 80, 51) = JacC( 80, 51)+ 0.8470000000000000D+00*dw(139, 51)
      JacC( 80, 78) = JacC( 80, 78)+ 0.8470000000000000D+00*dw(139, 78)
      JacC( 81, 51) = JacC( 81, 51)+ 0.8470000000000000D+00*dw(139, 51)
      JacC( 81, 78) = JacC( 81, 78)+ 0.8470000000000000D+00*dw(139, 78)
      JacC( 82, 51) = JacC( 82, 51)+ 0.1530000000000000D+00*dw(139, 51)
      JacC( 82, 78) = JacC( 82, 78)+ 0.1530000000000000D+00*dw(139, 78)
      JacC( 55, 55) = JacC( 55, 55) - dw(140, 55)
      JacC( 55, 78) = JacC( 55, 78) - dw(140, 78)
      JacC( 69, 55) = JacC( 69, 55)+ 0.8000000000000000D+00*dw(140, 55)
      JacC( 69, 78) = JacC( 69, 78)+ 0.8000000000000000D+00*dw(140, 78)
      JacC( 71, 55) = JacC( 71, 55)+ 0.8000000000000000D+00*dw(140, 55)
      JacC( 71, 78) = JacC( 71, 78)+ 0.8000000000000000D+00*dw(140, 78)
      JacC( 78, 55) = JacC( 78, 55) - dw(140, 55)
      JacC( 78, 78) = JacC( 78, 78) - dw(140, 78)
      JacC( 80, 55) = JacC( 80, 55)+ 0.8000000000000000D+00*dw(140, 55)
      JacC( 80, 78) = JacC( 80, 78)+ 0.8000000000000000D+00*dw(140, 78)
      JacC( 81, 55) = JacC( 81, 55)+ 0.8000000000000000D+00*dw(140, 55)
      JacC( 81, 78) = JacC( 81, 78)+ 0.8000000000000000D+00*dw(140, 78)
      JacC( 82, 55) = JacC( 82, 55)+ 0.2000000000000000D+00*dw(140, 55)
      JacC( 82, 78) = JacC( 82, 78)+ 0.2000000000000000D+00*dw(140, 78)
      JacC( 47, 47) = JacC( 47, 47) - dw(141, 47)
      JacC( 47, 78) = JacC( 47, 78) - dw(141, 78)
      JacC( 52, 47) = JacC( 52, 47)+ 0.4000000000000000D+00*dw(141, 47)
      JacC( 52, 78) = JacC( 52, 78)+ 0.4000000000000000D+00*dw(141, 78)
      JacC( 56, 47) = JacC( 56, 47)+ 0.2500000000000000D+00*dw(141, 47)
      JacC( 56, 78) = JacC( 56, 78)+ 0.2500000000000000D+00*dw(141, 78)
      JacC( 74, 47) = JacC( 74, 47)+ 0.2500000000000000D+00*dw(141, 47)
      JacC( 74, 78) = JacC( 74, 78)+ 0.2500000000000000D+00*dw(141, 78)
      JacC( 78, 47) = JacC( 78, 47) - dw(141, 47)
      JacC( 78, 78) = JacC( 78, 78) - dw(141, 78)
      JacC( 80, 47) = JacC( 80, 47)+ 0.6500000000000000D+00*dw(141, 47)
      JacC( 80, 78) = JacC( 80, 78)+ 0.6500000000000000D+00*dw(141, 78)
      JacC( 81, 47) = JacC( 81, 47)+ 0.6500000000000000D+00*dw(141, 47)
      JacC( 81, 78) = JacC( 81, 78)+ 0.6500000000000000D+00*dw(141, 78)
      JacC( 82, 47) = JacC( 82, 47)+ 0.3500000000000000D+00*dw(141, 47)
      JacC( 82, 78) = JacC( 82, 78)+ 0.3500000000000000D+00*dw(141, 78)
      JacC( 39, 39) = JacC( 39, 39) - dw(142, 39)
      JacC( 39, 78) = JacC( 39, 78) - dw(142, 78)
      JacC( 46, 39) = JacC( 46, 39)+ 0.5000000000000000D+00*dw(142, 39)
      JacC( 46, 78) = JacC( 46, 78)+ 0.5000000000000000D+00*dw(142, 78)
      JacC( 61, 39) = JacC( 61, 39)+ 0.1200000000000000D+01*dw(142, 39)
      JacC( 61, 78) = JacC( 61, 78)+ 0.1200000000000000D+01*dw(142, 78)
      JacC( 66, 39) = JacC( 66, 39)+ 0.6500000000000000D+00*dw(142, 39)
      JacC( 66, 78) = JacC( 66, 78)+ 0.6500000000000000D+00*dw(142, 78)
      JacC( 78, 39) = JacC( 78, 39) - dw(142, 39)
      JacC( 78, 78) = JacC( 78, 78) - dw(142, 78)
      JacC( 80, 39) = JacC( 80, 39)+ 0.9500000000000000D+00*dw(142, 39)
      JacC( 80, 78) = JacC( 80, 78)+ 0.9500000000000000D+00*dw(142, 78)
      JacC( 81, 39) = JacC( 81, 39)+ 0.9500000000000000D+00*dw(142, 39)
      JacC( 81, 78) = JacC( 81, 78)+ 0.9500000000000000D+00*dw(142, 78)
      JacC( 82, 39) = JacC( 82, 39)+ 0.5000000000000000D-01*dw(142, 39)
      JacC( 82, 78) = JacC( 82, 78)+ 0.5000000000000000D-01*dw(142, 78)
      JacC( 40, 40) = JacC( 40, 40) - dw(143, 40)
      JacC( 40, 78) = JacC( 40, 78) - dw(143, 78)
      JacC( 46, 40) = JacC( 46, 40)+ 0.9500000000000000D+00*dw(143, 40)
      JacC( 46, 78) = JacC( 46, 78)+ 0.9500000000000000D+00*dw(143, 78)
      JacC( 61, 40) = JacC( 61, 40)+ 0.3500000000000000D+00*dw(143, 40)
      JacC( 61, 78) = JacC( 61, 78)+ 0.3500000000000000D+00*dw(143, 78)
      JacC( 66, 40) = JacC( 66, 40)+ 0.6000000000000000D+00*dw(143, 40)
      JacC( 66, 78) = JacC( 66, 78)+ 0.6000000000000000D+00*dw(143, 78)
      JacC( 78, 40) = JacC( 78, 40) - dw(143, 40)
      JacC( 78, 78) = JacC( 78, 78) - dw(143, 78)
      JacC( 80, 40) = JacC( 80, 40)+ 0.9500000000000000D+00*dw(143, 40)
      JacC( 80, 78) = JacC( 80, 78)+ 0.9500000000000000D+00*dw(143, 78)
      JacC( 81, 40) = JacC( 81, 40)+ 0.9500000000000000D+00*dw(143, 40)
      JacC( 81, 78) = JacC( 81, 78)+ 0.9500000000000000D+00*dw(143, 78)
      JacC( 82, 40) = JacC( 82, 40)+ 0.5000000000000000D-01*dw(143, 40)
      JacC( 82, 78) = JacC( 82, 78)+ 0.5000000000000000D-01*dw(143, 78)
      JacC( 33, 33) = JacC( 33, 33) - dw(144, 33)
      JacC( 33, 78) = JacC( 33, 78) - dw(144, 78)
      JacC( 61, 33) = JacC( 61, 33) + dw(144, 33)
      JacC( 61, 78) = JacC( 61, 78) + dw(144, 78)
      JacC( 66, 33) = JacC( 66, 33) + dw(144, 33)
      JacC( 66, 78) = JacC( 66, 78) + dw(144, 78)
      JacC( 78, 33) = JacC( 78, 33) - dw(144, 33)
      JacC( 78, 78) = JacC( 78, 78) - dw(144, 78)
      JacC( 80, 33) = JacC( 80, 33) + dw(144, 33)
      JacC( 80, 78) = JacC( 80, 78) + dw(144, 78)
      JacC( 81, 33) = JacC( 81, 33) + dw(144, 33)
      JacC( 81, 78) = JacC( 81, 78) + dw(144, 78)
      JacC( 73, 76) = JacC( 73, 76) + dw(145, 76)
      JacC( 73, 78) = JacC( 73, 78) + dw(145, 78)
      JacC( 76, 76) = JacC( 76, 76) - dw(145, 76)
      JacC( 76, 78) = JacC( 76, 78) - dw(145, 78)
      JacC( 78, 76) = JacC( 78, 76) - dw(145, 76)
      JacC( 78, 78) = JacC( 78, 78) - dw(145, 78)
      JacC( 80, 76) = JacC( 80, 76) + dw(145, 76)
      JacC( 80, 78) = JacC( 80, 78) + dw(145, 78)
      JacC( 74, 79) = JacC( 74, 79) + dw(146, 79)
      JacC( 74, 78) = JacC( 74, 78) + dw(146, 78)
      JacC( 76, 79) = JacC( 76, 79) + dw(146, 79)
      JacC( 76, 78) = JacC( 76, 78) + dw(146, 78)
      JacC( 78, 79) = JacC( 78, 79) - dw(146, 79)
      JacC( 78, 78) = JacC( 78, 78) - dw(146, 78)
      JacC( 79, 79) = JacC( 79, 79) - dw(146, 79)
      JacC( 79, 78) = JacC( 79, 78) - dw(146, 78)
      JacC( 80, 79) = JacC( 80, 79) + dw(146, 79)
      JacC( 80, 78) = JacC( 80, 78) + dw(146, 78)
      JacC( 64, 64) = JacC( 64, 64) - dw(147, 64)
      JacC( 64, 78) = JacC( 64, 78) - dw(147, 78)
      JacC( 66, 64) = JacC( 66, 64)+ 0.5400000000000000D+00*dw(147, 64)
      JacC( 66, 78) = JacC( 66, 78)+ 0.5400000000000000D+00*dw(147, 78)
      JacC( 71, 64) = JacC( 71, 64)+ 0.4600000000000000D+00*dw(147, 64)
      JacC( 71, 78) = JacC( 71, 78)+ 0.4600000000000000D+00*dw(147, 78)
      JacC( 72, 64) = JacC( 72, 64)+ 0.1600000000000000D+00*dw(147, 64)
      JacC( 72, 78) = JacC( 72, 78)+ 0.1600000000000000D+00*dw(147, 78)
      JacC( 76, 64) = JacC( 76, 64)+ 0.2300000000000000D+00*dw(147, 64)
      JacC( 76, 78) = JacC( 76, 78)+ 0.2300000000000000D+00*dw(147, 78)
      JacC( 78, 64) = JacC( 78, 64) - dw(147, 64)
      JacC( 78, 78) = JacC( 78, 78) - dw(147, 78)
      JacC( 80, 64) = JacC( 80, 64) + dw(147, 64)
      JacC( 80, 78) = JacC( 80, 78) + dw(147, 78)
      JacC( 81, 64) = JacC( 81, 64)+ 0.7700000000000000D+00*dw(147, 64)
      JacC( 81, 78) = JacC( 81, 78)+ 0.7700000000000000D+00*dw(147, 78)
      JacC( 57, 57) = JacC( 57, 57) - dw(148, 57)
      JacC( 57, 78) = JacC( 57, 78) - dw(148, 78)
      JacC( 78, 57) = JacC( 78, 57) - dw(148, 57)
      JacC( 78, 78) = JacC( 78, 78) - dw(148, 78)
      JacC( 80, 57) = JacC( 80, 57) + dw(148, 57)
      JacC( 80, 78) = JacC( 80, 78) + dw(148, 78)
      JacC( 81, 57) = JacC( 81, 57) + dw(148, 57)
      JacC( 81, 78) = JacC( 81, 78) + dw(148, 78)
      JacC( 82, 57) = JacC( 82, 57) + dw(148, 57)
      JacC( 82, 78) = JacC( 82, 78) + dw(148, 78)
      JacC( 58, 58) = JacC( 58, 58) - dw(149, 58)
      JacC( 58, 78) = JacC( 58, 78) - dw(149, 78)
      JacC( 69, 58) = JacC( 69, 58)+ 0.4640000000000000D+00*dw(149, 58)
      JacC( 69, 78) = JacC( 69, 78)+ 0.4640000000000000D+00*dw(149, 78)
      JacC( 71, 58) = JacC( 71, 58)+ 0.1240000000000000D+01*dw(149, 58)
      JacC( 71, 78) = JacC( 71, 78)+ 0.1240000000000000D+01*dw(149, 78)
      JacC( 74, 58) = JacC( 74, 58)+ 0.2870000000000000D+00*dw(149, 58)
      JacC( 74, 78) = JacC( 74, 78)+ 0.2870000000000000D+00*dw(149, 78)
      JacC( 78, 58) = JacC( 78, 58) - dw(149, 58)
      JacC( 78, 78) = JacC( 78, 78) - dw(149, 78)
      JacC( 80, 58) = JacC( 80, 58)+ 0.2000000000000000D+01*dw(149, 58)
      JacC( 80, 78) = JacC( 80, 78)+ 0.2000000000000000D+01*dw(149, 78)
      JacC( 25, 73) = JacC( 25, 73) + dw(150, 73)
      JacC( 25, 81) = JacC( 25, 81) + dw(150, 81)
      JacC( 73, 73) = JacC( 73, 73) - dw(150, 73)
      JacC( 73, 81) = JacC( 73, 81) - dw(150, 81)
      JacC( 81, 73) = JacC( 81, 73) - dw(150, 73)
      JacC( 81, 81) = JacC( 81, 81) - dw(150, 81)
      JacC( 65, 70) = JacC( 65, 70) + dw(151, 70)
      JacC( 65, 81) = JacC( 65, 81) + dw(151, 81)
      JacC( 70, 70) = JacC( 70, 70) - dw(151, 70)
      JacC( 70, 81) = JacC( 70, 81) - dw(151, 81)
      JacC( 81, 70) = JacC( 81, 70) - dw(151, 70)
      JacC( 81, 81) = JacC( 81, 81) - dw(151, 81)
      JacC( 65, 68) = JacC( 65, 68) + dw(152, 68)
      JacC( 65, 81) = JacC( 65, 81) + dw(152, 81)
      JacC( 68, 68) = JacC( 68, 68) - dw(152, 68)
      JacC( 68, 81) = JacC( 68, 81) - dw(152, 81)
      JacC( 81, 68) = JacC( 81, 68) - dw(152, 68)
      JacC( 81, 81) = JacC( 81, 81) - dw(152, 81)
      JacC( 48, 48) = JacC( 48, 48) - dw(153, 48)
      JacC( 48, 81) = JacC( 48, 81) - dw(153, 81)
      JacC( 65, 48) = JacC( 65, 48) + dw(153, 48)
      JacC( 65, 81) = JacC( 65, 81) + dw(153, 81)
      JacC( 81, 48) = JacC( 81, 48) - dw(153, 48)
      JacC( 81, 81) = JacC( 81, 81) - dw(153, 81)
      JacC( 49, 49) = JacC( 49, 49) - dw(154, 49)
      JacC( 49, 81) = JacC( 49, 81) - dw(154, 81)
      JacC( 65, 49) = JacC( 65, 49) + dw(154, 49)
      JacC( 65, 81) = JacC( 65, 81) + dw(154, 81)
      JacC( 81, 49) = JacC( 81, 49) - dw(154, 49)
      JacC( 81, 81) = JacC( 81, 81) - dw(154, 81)
      JacC( 50, 50) = JacC( 50, 50) - dw(155, 50)
      JacC( 50, 81) = JacC( 50, 81) - dw(155, 81)
      JacC( 65, 50) = JacC( 65, 50) + dw(155, 50)
      JacC( 65, 81) = JacC( 65, 81) + dw(155, 81)
      JacC( 81, 50) = JacC( 81, 50) - dw(155, 50)
      JacC( 81, 81) = JacC( 81, 81) - dw(155, 81)
      JacC( 54, 54) = JacC( 54, 54) - dw(156, 54)
      JacC( 54, 81) = JacC( 54, 81) - dw(156, 81)
      JacC( 65, 54) = JacC( 65, 54) + dw(156, 54)
      JacC( 65, 81) = JacC( 65, 81) + dw(156, 81)
      JacC( 81, 54) = JacC( 81, 54) - dw(156, 54)
      JacC( 81, 81) = JacC( 81, 81) - dw(156, 81)
      JacC( 62, 62) = JacC( 62, 62) - dw(157, 62)
      JacC( 62, 81) = JacC( 62, 81) - dw(157, 81)
      JacC( 65, 62) = JacC( 65, 62) + dw(157, 62)
      JacC( 65, 81) = JacC( 65, 81) + dw(157, 81)
      JacC( 81, 62) = JacC( 81, 62) - dw(157, 62)
      JacC( 81, 81) = JacC( 81, 81) - dw(157, 81)
      JacC( 51, 51) = JacC( 51, 51) - dw(158, 51)
      JacC( 51, 81) = JacC( 51, 81) - dw(158, 81)
      JacC( 65, 51) = JacC( 65, 51) + dw(158, 51)
      JacC( 65, 81) = JacC( 65, 81) + dw(158, 81)
      JacC( 81, 51) = JacC( 81, 51) - dw(158, 51)
      JacC( 81, 81) = JacC( 81, 81) - dw(158, 81)
      JacC( 55, 55) = JacC( 55, 55) - dw(159, 55)
      JacC( 55, 81) = JacC( 55, 81) - dw(159, 81)
      JacC( 65, 55) = JacC( 65, 55) + dw(159, 55)
      JacC( 65, 81) = JacC( 65, 81) + dw(159, 81)
      JacC( 81, 55) = JacC( 81, 55) - dw(159, 55)
      JacC( 81, 81) = JacC( 81, 81) - dw(159, 81)
      JacC( 47, 47) = JacC( 47, 47) - dw(160, 47)
      JacC( 47, 81) = JacC( 47, 81) - dw(160, 81)
      JacC( 65, 47) = JacC( 65, 47) + dw(160, 47)
      JacC( 65, 81) = JacC( 65, 81) + dw(160, 81)
      JacC( 81, 47) = JacC( 81, 47) - dw(160, 47)
      JacC( 81, 81) = JacC( 81, 81) - dw(160, 81)
      JacC( 39, 39) = JacC( 39, 39) - dw(161, 39)
      JacC( 39, 81) = JacC( 39, 81) - dw(161, 81)
      JacC( 65, 39) = JacC( 65, 39) + dw(161, 39)
      JacC( 65, 81) = JacC( 65, 81) + dw(161, 81)
      JacC( 81, 39) = JacC( 81, 39) - dw(161, 39)
      JacC( 81, 81) = JacC( 81, 81) - dw(161, 81)
      JacC( 40, 40) = JacC( 40, 40) - dw(162, 40)
      JacC( 40, 81) = JacC( 40, 81) - dw(162, 81)
      JacC( 65, 40) = JacC( 65, 40) + dw(162, 40)
      JacC( 65, 81) = JacC( 65, 81) + dw(162, 81)
      JacC( 81, 40) = JacC( 81, 40) - dw(162, 40)
      JacC( 81, 81) = JacC( 81, 81) - dw(162, 81)
      JacC( 33, 33) = JacC( 33, 33) - dw(163, 33)
      JacC( 33, 81) = JacC( 33, 81) - dw(163, 81)
      JacC( 65, 33) = JacC( 65, 33) + dw(163, 33)
      JacC( 65, 81) = JacC( 65, 81) + dw(163, 81)
      JacC( 81, 33) = JacC( 81, 33) - dw(163, 33)
      JacC( 81, 81) = JacC( 81, 81) - dw(163, 81)
      JacC( 35, 76) = JacC( 35, 76) + dw(164, 76)
      JacC( 35, 81) = JacC( 35, 81) + dw(164, 81)
      JacC( 76, 76) = JacC( 76, 76) - dw(164, 76)
      JacC( 76, 81) = JacC( 76, 81) - dw(164, 81)
      JacC( 81, 76) = JacC( 81, 76) - dw(164, 76)
      JacC( 81, 81) = JacC( 81, 81) - dw(164, 81)
      JacC( 59, 76) = JacC( 59, 76) + dw(165, 76)
      JacC( 59, 81) = JacC( 59, 81) + dw(165, 81)
      JacC( 63, 76) = JacC( 63, 76) + dw(165, 76)
      JacC( 63, 81) = JacC( 63, 81) + dw(165, 81)
      JacC( 76, 76) = JacC( 76, 76) - dw(165, 76)
      JacC( 76, 81) = JacC( 76, 81) - dw(165, 81)
      JacC( 81, 76) = JacC( 81, 76) - dw(165, 76)
      JacC( 81, 81) = JacC( 81, 81) - dw(165, 81)
      JacC( 65, 79) = JacC( 65, 79) + dw(166, 79)
      JacC( 65, 81) = JacC( 65, 81) + dw(166, 81)
      JacC( 79, 79) = JacC( 79, 79) - dw(166, 79)
      JacC( 79, 81) = JacC( 79, 81) - dw(166, 81)
      JacC( 81, 79) = JacC( 81, 79) - dw(166, 79)
      JacC( 81, 81) = JacC( 81, 81) - dw(166, 81)
      JacC( 59, 79) = JacC( 59, 79) + dw(167, 79)
      JacC( 59, 81) = JacC( 59, 81) + dw(167, 81)
      JacC( 63, 79) = JacC( 63, 79) + dw(167, 79)
      JacC( 63, 81) = JacC( 63, 81) + dw(167, 81)
      JacC( 79, 79) = JacC( 79, 79) - dw(167, 79)
      JacC( 79, 81) = JacC( 79, 81) - dw(167, 81)
      JacC( 81, 79) = JacC( 81, 79) - dw(167, 79)
      JacC( 81, 81) = JacC( 81, 81) - dw(167, 81)
      JacC( 64, 64) = JacC( 64, 64) - dw(168, 64)
      JacC( 64, 81) = JacC( 64, 81) - dw(168, 81)
      JacC( 65, 64) = JacC( 65, 64) + dw(168, 64)
      JacC( 65, 81) = JacC( 65, 81) + dw(168, 81)
      JacC( 81, 64) = JacC( 81, 64) - dw(168, 64)
      JacC( 81, 81) = JacC( 81, 81) - dw(168, 81)
      JacC( 57, 57) = JacC( 57, 57) - dw(169, 57)
      JacC( 57, 81) = JacC( 57, 81) - dw(169, 81)
      JacC( 81, 57) = JacC( 81, 57) - dw(169, 57)
      JacC( 81, 81) = JacC( 81, 81) - dw(169, 81)
      JacC( 82, 57) = JacC( 82, 57) + dw(169, 57)
      JacC( 82, 81) = JacC( 82, 81) + dw(169, 81)
      JacC( 58, 58) = JacC( 58, 58) - dw(170, 58)
      JacC( 58, 81) = JacC( 58, 81) - dw(170, 81)
      JacC( 81, 58) = JacC( 81, 58) - dw(170, 58)
      JacC( 81, 81) = JacC( 81, 81) - dw(170, 81)
      JacC( 82, 58) = JacC( 82, 58) + dw(170, 58)
      JacC( 82, 81) = JacC( 82, 81) + dw(170, 81)
      JacC( 73, 73) = JacC( 73, 73)- 0.2000000000000000D+01*dw(171, 73)
      JacC( 73, 73) = JacC( 73, 73)- 0.2000000000000000D+01*dw(171, 73)
      JacC( 74, 73) = JacC( 74, 73)+ 0.1330000000000000D+01*dw(171, 73)
      JacC( 74, 73) = JacC( 74, 73)+ 0.1330000000000000D+01*dw(171, 73)
      JacC( 81, 73) = JacC( 81, 73)+ 0.6600000000000000D+00*dw(171, 73)
      JacC( 81, 73) = JacC( 81, 73)+ 0.6600000000000000D+00*dw(171, 73)
      JacC( 70, 70) = JacC( 70, 70) - dw(172, 70)
      JacC( 70, 73) = JacC( 70, 73) - dw(172, 73)
      JacC( 71, 70) = JacC( 71, 70)+ 0.7500000000000000D+00*dw(172, 70)
      JacC( 71, 73) = JacC( 71, 73)+ 0.7500000000000000D+00*dw(172, 73)
      JacC( 73, 70) = JacC( 73, 70) - dw(172, 70)
      JacC( 73, 73) = JacC( 73, 73) - dw(172, 73)
      JacC( 74, 70) = JacC( 74, 70)+ 0.7500000000000000D+00*dw(172, 70)
      JacC( 74, 73) = JacC( 74, 73)+ 0.7500000000000000D+00*dw(172, 73)
      JacC( 81, 70) = JacC( 81, 70) + dw(172, 70)
      JacC( 81, 73) = JacC( 81, 73) + dw(172, 73)
      JacC( 61, 68) = JacC( 61, 68)+ 0.1190000000000000D+00*dw(173, 68)
      JacC( 61, 73) = JacC( 61, 73)+ 0.1190000000000000D+00*dw(173, 73)
      JacC( 66, 68) = JacC( 66, 68)+ 0.5000000000000000D-02*dw(173, 68)
      JacC( 66, 73) = JacC( 66, 73)+ 0.5000000000000000D-02*dw(173, 73)
      JacC( 68, 68) = JacC( 68, 68) - dw(173, 68)
      JacC( 68, 73) = JacC( 68, 73) - dw(173, 73)
      JacC( 69, 68) = JacC( 69, 68)+ 0.1800000000000000D-01*dw(173, 68)
      JacC( 69, 73) = JacC( 69, 73)+ 0.1800000000000000D-01*dw(173, 73)
      JacC( 71, 68) = JacC( 71, 68)+ 0.5800000000000000D+00*dw(173, 68)
      JacC( 71, 73) = JacC( 71, 73)+ 0.5800000000000000D+00*dw(173, 73)
      JacC( 72, 68) = JacC( 72, 68)+ 0.8500000000000001D-01*dw(173, 68)
      JacC( 72, 73) = JacC( 72, 73)+ 0.8500000000000001D-01*dw(173, 73)
      JacC( 73, 68) = JacC( 73, 68)- 0.9930000000000000D+00*dw(173, 68)
      JacC( 73, 73) = JacC( 73, 73)- 0.9930000000000000D+00*dw(173, 73)
      JacC( 74, 68) = JacC( 74, 68)+ 0.8100000000000001D+00*dw(173, 68)
      JacC( 74, 73) = JacC( 74, 73)+ 0.8100000000000001D+00*dw(173, 73)
      JacC( 81, 68) = JacC( 81, 68)+ 0.9920000000000000D+00*dw(173, 68)
      JacC( 81, 73) = JacC( 81, 73)+ 0.9920000000000000D+00*dw(173, 73)
      JacC( 48, 48) = JacC( 48, 48) - dw(174, 48)
      JacC( 48, 73) = JacC( 48, 73) - dw(174, 73)
      JacC( 69, 48) = JacC( 69, 48)+ 0.2400000000000000D+00*dw(174, 48)
      JacC( 69, 73) = JacC( 69, 73)+ 0.2400000000000000D+00*dw(174, 73)
      JacC( 70, 48) = JacC( 70, 48)+ 0.1400000000000000D-01*dw(174, 48)
      JacC( 70, 73) = JacC( 70, 73)+ 0.1400000000000000D-01*dw(174, 73)
      JacC( 71, 48) = JacC( 71, 48)+ 0.5230000000000000D+00*dw(174, 48)
      JacC( 71, 73) = JacC( 71, 73)+ 0.5230000000000000D+00*dw(174, 73)
      JacC( 72, 48) = JacC( 72, 48)+ 0.2450000000000000D+00*dw(174, 48)
      JacC( 72, 73) = JacC( 72, 73)+ 0.2450000000000000D+00*dw(174, 73)
      JacC( 73, 48) = JacC( 73, 48)- 0.9510000000000000D+00*dw(174, 48)
      JacC( 73, 73) = JacC( 73, 73)- 0.9510000000000000D+00*dw(174, 73)
      JacC( 74, 48) = JacC( 74, 48)+ 0.8290000000000000D+00*dw(174, 48)
      JacC( 74, 73) = JacC( 74, 73)+ 0.8290000000000000D+00*dw(174, 73)
      JacC( 81, 48) = JacC( 81, 48)+ 0.9460000000000000D+00*dw(174, 48)
      JacC( 81, 73) = JacC( 81, 73)+ 0.9460000000000000D+00*dw(174, 73)
      JacC( 49, 49) = JacC( 49, 49) - dw(175, 49)
      JacC( 49, 73) = JacC( 49, 73) - dw(175, 73)
      JacC( 69, 49) = JacC( 69, 49)+ 0.4190000000000000D+00*dw(175, 49)
      JacC( 69, 73) = JacC( 69, 73)+ 0.4190000000000000D+00*dw(175, 73)
      JacC( 70, 49) = JacC( 70, 49)+ 0.1300000000000000D-01*dw(175, 49)
      JacC( 70, 73) = JacC( 70, 73)+ 0.1300000000000000D-01*dw(175, 73)
      JacC( 71, 49) = JacC( 71, 49)+ 0.4110000000000000D+00*dw(175, 49)
      JacC( 71, 73) = JacC( 71, 73)+ 0.4110000000000000D+00*dw(175, 73)
      JacC( 72, 49) = JacC( 72, 49)+ 0.3220000000000000D+00*dw(175, 49)
      JacC( 72, 73) = JacC( 72, 73)+ 0.3220000000000000D+00*dw(175, 73)
      JacC( 73, 49) = JacC( 73, 49) - dw(175, 49)
      JacC( 73, 73) = JacC( 73, 73) - dw(175, 73)
      JacC( 74, 49) = JacC( 74, 49)+ 0.7530000000000000D+00*dw(175, 49)
      JacC( 74, 73) = JacC( 74, 73)+ 0.7530000000000000D+00*dw(175, 73)
      JacC( 81, 49) = JacC( 81, 49)+ 0.9930000000000000D+00*dw(175, 49)
      JacC( 81, 73) = JacC( 81, 73)+ 0.9930000000000000D+00*dw(175, 73)
      JacC( 50, 50) = JacC( 50, 50) - dw(176, 50)
      JacC( 50, 73) = JacC( 50, 73) - dw(176, 73)
      JacC( 71, 50) = JacC( 71, 50)+ 0.3500000000000000D+00*dw(176, 50)
      JacC( 71, 73) = JacC( 71, 73)+ 0.3500000000000000D+00*dw(176, 73)
      JacC( 73, 50) = JacC( 73, 50) - dw(176, 50)
      JacC( 73, 73) = JacC( 73, 73) - dw(176, 73)
      JacC( 74, 50) = JacC( 74, 50)+ 0.1550000000000000D+01*dw(176, 50)
      JacC( 74, 73) = JacC( 74, 73)+ 0.1550000000000000D+01*dw(176, 73)
      JacC( 81, 50) = JacC( 81, 50) + dw(176, 50)
      JacC( 81, 73) = JacC( 81, 73) + dw(176, 73)
      JacC( 54, 54) = JacC( 54, 54) - dw(177, 54)
      JacC( 54, 73) = JacC( 54, 73) - dw(177, 73)
      JacC( 69, 54) = JacC( 69, 54)+ 0.8100000000000000D-01*dw(177, 54)
      JacC( 69, 73) = JacC( 69, 73)+ 0.8100000000000000D-01*dw(177, 73)
      JacC( 71, 54) = JacC( 71, 54)+ 0.6690000000000000D+00*dw(177, 54)
      JacC( 71, 73) = JacC( 71, 73)+ 0.6690000000000000D+00*dw(177, 73)
      JacC( 73, 54) = JacC( 73, 54) - dw(177, 54)
      JacC( 73, 73) = JacC( 73, 73) - dw(177, 73)
      JacC( 74, 54) = JacC( 74, 54)+ 0.1250000000000000D+01*dw(177, 54)
      JacC( 74, 73) = JacC( 74, 73)+ 0.1250000000000000D+01*dw(177, 73)
      JacC( 81, 54) = JacC( 81, 54) + dw(177, 54)
      JacC( 81, 73) = JacC( 81, 73) + dw(177, 73)
      JacC( 62, 62) = JacC( 62, 62) - dw(178, 62)
      JacC( 62, 73) = JacC( 62, 73) - dw(178, 73)
      JacC( 69, 62) = JacC( 69, 62)+ 0.3130000000000000D+00*dw(178, 62)
      JacC( 69, 73) = JacC( 69, 73)+ 0.3130000000000000D+00*dw(178, 73)
      JacC( 71, 62) = JacC( 71, 62)+ 0.9320000000000001D+00*dw(178, 62)
      JacC( 71, 73) = JacC( 71, 73)+ 0.9320000000000001D+00*dw(178, 73)
      JacC( 73, 62) = JacC( 73, 62) - dw(178, 62)
      JacC( 73, 73) = JacC( 73, 73) - dw(178, 73)
      JacC( 74, 62) = JacC( 74, 62)+ 0.7550000000000000D+00*dw(178, 62)
      JacC( 74, 73) = JacC( 74, 73)+ 0.7550000000000000D+00*dw(178, 73)
      JacC( 81, 62) = JacC( 81, 62) + dw(178, 62)
      JacC( 81, 73) = JacC( 81, 73) + dw(178, 73)
      JacC( 51, 51) = JacC( 51, 51) - dw(179, 51)
      JacC( 51, 73) = JacC( 51, 73) - dw(179, 73)
      JacC( 52, 51) = JacC( 52, 51)+ 0.5500000000000000D+00*dw(179, 51)
      JacC( 52, 73) = JacC( 52, 73)+ 0.5500000000000000D+00*dw(179, 73)
      JacC( 53, 51) = JacC( 53, 51)+ 0.3700000000000000D+00*dw(179, 51)
      JacC( 53, 73) = JacC( 53, 73)+ 0.3700000000000000D+00*dw(179, 73)
      JacC( 56, 51) = JacC( 56, 51)+ 0.8000000000000000D-01*dw(179, 51)
      JacC( 56, 73) = JacC( 56, 73)+ 0.8000000000000000D-01*dw(179, 73)
      JacC( 73, 51) = JacC( 73, 51) - dw(179, 51)
      JacC( 73, 73) = JacC( 73, 73) - dw(179, 73)
      JacC( 74, 51) = JacC( 74, 51)+ 0.1090000000000000D+01*dw(179, 51)
      JacC( 74, 73) = JacC( 74, 73)+ 0.1090000000000000D+01*dw(179, 73)
      JacC( 81, 51) = JacC( 81, 51) + dw(179, 51)
      JacC( 81, 73) = JacC( 81, 73) + dw(179, 73)
      JacC( 55, 55) = JacC( 55, 55) - dw(180, 55)
      JacC( 55, 73) = JacC( 55, 73) - dw(180, 73)
      JacC( 69, 55) = JacC( 69, 55) + dw(180, 55)
      JacC( 69, 73) = JacC( 69, 73) + dw(180, 73)
      JacC( 71, 55) = JacC( 71, 55) + dw(180, 55)
      JacC( 71, 73) = JacC( 71, 73) + dw(180, 73)
      JacC( 73, 55) = JacC( 73, 55) - dw(180, 55)
      JacC( 73, 73) = JacC( 73, 73) - dw(180, 73)
      JacC( 74, 55) = JacC( 74, 55) + dw(180, 55)
      JacC( 74, 73) = JacC( 74, 73) + dw(180, 73)
      JacC( 81, 55) = JacC( 81, 55)+ 0.2000000000000000D+01*dw(180, 55)
      JacC( 81, 73) = JacC( 81, 73)+ 0.2000000000000000D+01*dw(180, 73)
      JacC( 47, 47) = JacC( 47, 47) - dw(181, 47)
      JacC( 47, 73) = JacC( 47, 73) - dw(181, 73)
      JacC( 52, 47) = JacC( 52, 47)+ 0.6000000000000000D+00*dw(181, 47)
      JacC( 52, 73) = JacC( 52, 73)+ 0.6000000000000000D+00*dw(181, 73)
      JacC( 56, 47) = JacC( 56, 47)+ 0.4000000000000000D+00*dw(181, 47)
      JacC( 56, 73) = JacC( 56, 73)+ 0.4000000000000000D+00*dw(181, 73)
      JacC( 73, 47) = JacC( 73, 47) - dw(181, 47)
      JacC( 73, 73) = JacC( 73, 73) - dw(181, 73)
      JacC( 74, 47) = JacC( 74, 47)+ 0.1400000000000000D+01*dw(181, 47)
      JacC( 74, 73) = JacC( 74, 73)+ 0.1400000000000000D+01*dw(181, 73)
      JacC( 81, 47) = JacC( 81, 47)+ 0.2000000000000000D+01*dw(181, 47)
      JacC( 81, 73) = JacC( 81, 73)+ 0.2000000000000000D+01*dw(181, 73)
      JacC( 39, 39) = JacC( 39, 39) - dw(182, 39)
      JacC( 39, 73) = JacC( 39, 73) - dw(182, 73)
      JacC( 46, 39) = JacC( 46, 39) + dw(182, 39)
      JacC( 46, 73) = JacC( 46, 73) + dw(182, 73)
      JacC( 61, 39) = JacC( 61, 39)+ 0.6500000000000000D+00*dw(182, 39)
      JacC( 61, 73) = JacC( 61, 73)+ 0.6500000000000000D+00*dw(182, 73)
      JacC( 66, 39) = JacC( 66, 39)+ 0.3500000000000000D+00*dw(182, 39)
      JacC( 66, 73) = JacC( 66, 73)+ 0.3500000000000000D+00*dw(182, 73)
      JacC( 73, 39) = JacC( 73, 39) - dw(182, 39)
      JacC( 73, 73) = JacC( 73, 73) - dw(182, 73)
      JacC( 74, 39) = JacC( 74, 39) + dw(182, 39)
      JacC( 74, 73) = JacC( 74, 73) + dw(182, 73)
      JacC( 81, 39) = JacC( 81, 39) + dw(182, 39)
      JacC( 81, 73) = JacC( 81, 73) + dw(182, 73)
      JacC( 40, 40) = JacC( 40, 40) - dw(183, 40)
      JacC( 40, 73) = JacC( 40, 73) - dw(183, 73)
      JacC( 46, 40) = JacC( 46, 40) + dw(183, 40)
      JacC( 46, 73) = JacC( 46, 73) + dw(183, 73)
      JacC( 61, 40) = JacC( 61, 40)+ 0.3700000000000000D+00*dw(183, 40)
      JacC( 61, 73) = JacC( 61, 73)+ 0.3700000000000000D+00*dw(183, 73)
      JacC( 66, 40) = JacC( 66, 40)+ 0.6300000000000000D+00*dw(183, 40)
      JacC( 66, 73) = JacC( 66, 73)+ 0.6300000000000000D+00*dw(183, 73)
      JacC( 73, 40) = JacC( 73, 40) - dw(183, 40)
      JacC( 73, 73) = JacC( 73, 73) - dw(183, 73)
      JacC( 74, 40) = JacC( 74, 40) + dw(183, 40)
      JacC( 74, 73) = JacC( 74, 73) + dw(183, 73)
      JacC( 81, 40) = JacC( 81, 40) + dw(183, 40)
      JacC( 81, 73) = JacC( 81, 73) + dw(183, 73)
      JacC( 33, 33) = JacC( 33, 33) - dw(184, 33)
      JacC( 33, 73) = JacC( 33, 73) - dw(184, 73)
      JacC( 61, 33) = JacC( 61, 33) + dw(184, 33)
      JacC( 61, 73) = JacC( 61, 73) + dw(184, 73)
      JacC( 66, 33) = JacC( 66, 33) + dw(184, 33)
      JacC( 66, 73) = JacC( 66, 73) + dw(184, 73)
      JacC( 73, 33) = JacC( 73, 33) - dw(184, 33)
      JacC( 73, 73) = JacC( 73, 73) - dw(184, 73)
      JacC( 74, 33) = JacC( 74, 33) + dw(184, 33)
      JacC( 74, 73) = JacC( 74, 73) + dw(184, 73)
      JacC( 81, 33) = JacC( 81, 33)+ 0.2000000000000000D+01*dw(184, 33)
      JacC( 81, 73) = JacC( 81, 73)+ 0.2000000000000000D+01*dw(184, 73)
      JacC( 74, 76) = JacC( 74, 76) + dw(185, 76)
      JacC( 74, 73) = JacC( 74, 73) + dw(185, 73)
      JacC( 76, 76) = JacC( 76, 76) - dw(185, 76)
      JacC( 76, 73) = JacC( 76, 73) - dw(185, 73)
      JacC( 81, 76) = JacC( 81, 76) + dw(185, 76)
      JacC( 81, 73) = JacC( 81, 73) + dw(185, 73)
      JacC( 63, 76) = JacC( 63, 76) + dw(186, 76)
      JacC( 63, 73) = JacC( 63, 73) + dw(186, 73)
      JacC( 73, 76) = JacC( 73, 76) - dw(186, 76)
      JacC( 73, 73) = JacC( 73, 73) - dw(186, 73)
      JacC( 74, 76) = JacC( 74, 76) + dw(186, 76)
      JacC( 74, 73) = JacC( 74, 73) + dw(186, 73)
      JacC( 76, 76) = JacC( 76, 76) - dw(186, 76)
      JacC( 76, 73) = JacC( 76, 73) - dw(186, 73)
      JacC( 73, 79) = JacC( 73, 79) - dw(187, 79)
      JacC( 73, 73) = JacC( 73, 73) - dw(187, 73)
      JacC( 74, 79) = JacC( 74, 79)+ 0.2000000000000000D+01*dw(187, 79)
      JacC( 74, 73) = JacC( 74, 73)+ 0.2000000000000000D+01*dw(187, 73)
      JacC( 76, 79) = JacC( 76, 79) + dw(187, 79)
      JacC( 76, 73) = JacC( 76, 73) + dw(187, 73)
      JacC( 79, 79) = JacC( 79, 79) - dw(187, 79)
      JacC( 79, 73) = JacC( 79, 73) - dw(187, 73)
      JacC( 81, 79) = JacC( 81, 79) + dw(187, 79)
      JacC( 81, 73) = JacC( 81, 73) + dw(187, 73)
      JacC( 63, 79) = JacC( 63, 79) + dw(188, 79)
      JacC( 63, 73) = JacC( 63, 73) + dw(188, 73)
      JacC( 73, 79) = JacC( 73, 79) - dw(188, 79)
      JacC( 73, 73) = JacC( 73, 73) - dw(188, 73)
      JacC( 74, 79) = JacC( 74, 79) + dw(188, 79)
      JacC( 74, 73) = JacC( 74, 73) + dw(188, 73)
      JacC( 79, 79) = JacC( 79, 79) - dw(188, 79)
      JacC( 79, 73) = JacC( 79, 73) - dw(188, 73)
      JacC( 41, 64) = JacC( 41, 64)+ 0.3000000000000000D+00*dw(189, 64)
      JacC( 41, 73) = JacC( 41, 73)+ 0.3000000000000000D+00*dw(189, 73)
      JacC( 64, 64) = JacC( 64, 64) - dw(189, 64)
      JacC( 64, 73) = JacC( 64, 73) - dw(189, 73)
      JacC( 66, 64) = JacC( 66, 64)+ 0.4000000000000000D+00*dw(189, 64)
      JacC( 66, 73) = JacC( 66, 73)+ 0.4000000000000000D+00*dw(189, 73)
      JacC( 71, 64) = JacC( 71, 64)+ 0.3000000000000000D+00*dw(189, 64)
      JacC( 71, 73) = JacC( 71, 73)+ 0.3000000000000000D+00*dw(189, 73)
      JacC( 72, 64) = JacC( 72, 64)+ 0.8000000000000000D-01*dw(189, 64)
      JacC( 72, 73) = JacC( 72, 73)+ 0.8000000000000000D-01*dw(189, 73)
      JacC( 73, 64) = JacC( 73, 64) - dw(189, 64)
      JacC( 73, 73) = JacC( 73, 73) - dw(189, 73)
      JacC( 74, 64) = JacC( 74, 64)+ 0.7500000000000000D+00*dw(189, 64)
      JacC( 74, 73) = JacC( 74, 73)+ 0.7500000000000000D+00*dw(189, 73)
      JacC( 76, 64) = JacC( 76, 64)+ 0.1200000000000000D+00*dw(189, 64)
      JacC( 76, 73) = JacC( 76, 73)+ 0.1200000000000000D+00*dw(189, 73)
      JacC( 81, 64) = JacC( 81, 64)+ 0.8800000000000000D+00*dw(189, 64)
      JacC( 81, 73) = JacC( 81, 73)+ 0.8800000000000000D+00*dw(189, 73)
      JacC( 57, 57) = JacC( 57, 57) - dw(190, 57)
      JacC( 57, 73) = JacC( 57, 73) - dw(190, 73)
      JacC( 73, 57) = JacC( 73, 57) - dw(190, 57)
      JacC( 73, 73) = JacC( 73, 73) - dw(190, 73)
      JacC( 74, 57) = JacC( 74, 57)+ 0.7500000000000000D+00*dw(190, 57)
      JacC( 74, 73) = JacC( 74, 73)+ 0.7500000000000000D+00*dw(190, 73)
      JacC( 81, 57) = JacC( 81, 57) + dw(190, 57)
      JacC( 81, 73) = JacC( 81, 73) + dw(190, 73)
      JacC( 82, 57) = JacC( 82, 57) + dw(190, 57)
      JacC( 82, 73) = JacC( 82, 73) + dw(190, 73)
      JacC( 58, 58) = JacC( 58, 58) - dw(191, 58)
      JacC( 58, 73) = JacC( 58, 73) - dw(191, 73)
      JacC( 69, 58) = JacC( 69, 58)+ 0.1490000000000000D+00*dw(191, 58)
      JacC( 69, 73) = JacC( 69, 73)+ 0.1490000000000000D+00*dw(191, 73)
      JacC( 71, 58) = JacC( 71, 58)+ 0.6400000000000000D+00*dw(191, 58)
      JacC( 71, 73) = JacC( 71, 73)+ 0.6400000000000000D+00*dw(191, 73)
      JacC( 73, 58) = JacC( 73, 58) - dw(191, 58)
      JacC( 73, 73) = JacC( 73, 73) - dw(191, 73)
      JacC( 74, 58) = JacC( 74, 58)+ 0.9600000000000000D+00*dw(191, 58)
      JacC( 74, 73) = JacC( 74, 73)+ 0.9600000000000000D+00*dw(191, 73)
      JacC( 80, 58) = JacC( 80, 58)+ 0.5000000000000000D+00*dw(191, 58)
      JacC( 80, 73) = JacC( 80, 73)+ 0.5000000000000000D+00*dw(191, 73)
      JacC( 81, 58) = JacC( 81, 58)+ 0.5000000000000000D+00*dw(191, 58)
      JacC( 81, 73) = JacC( 81, 73)+ 0.5000000000000000D+00*dw(191, 73)
      JacC( 82, 58) = JacC( 82, 58)+ 0.5000000000000000D+00*dw(191, 58)
      JacC( 82, 73) = JacC( 82, 73)+ 0.5000000000000000D+00*dw(191, 73)
      JacC( 63, 70) = JacC( 63, 70)+ 0.5000000000000000D+00*dw(192, 70)
      JacC( 63, 76) = JacC( 63, 76)+ 0.5000000000000000D+00*dw(192, 76)
      JacC( 70, 70) = JacC( 70, 70) - dw(192, 70)
      JacC( 70, 76) = JacC( 70, 76) - dw(192, 76)
      JacC( 71, 70) = JacC( 71, 70) + dw(192, 70)
      JacC( 71, 76) = JacC( 71, 76) + dw(192, 76)
      JacC( 73, 70) = JacC( 73, 70)+ 0.5000000000000000D+00*dw(192, 70)
      JacC( 73, 76) = JacC( 73, 76)+ 0.5000000000000000D+00*dw(192, 76)
      JacC( 76, 70) = JacC( 76, 70) - dw(192, 70)
      JacC( 76, 76) = JacC( 76, 76) - dw(192, 76)
      JacC( 81, 70) = JacC( 81, 70)+ 0.5000000000000000D+00*dw(192, 70)
      JacC( 81, 76) = JacC( 81, 76)+ 0.5000000000000000D+00*dw(192, 76)
      JacC( 61, 68) = JacC( 61, 68)+ 0.1000000000000000D+00*dw(193, 68)
      JacC( 61, 76) = JacC( 61, 76)+ 0.1000000000000000D+00*dw(193, 76)
      JacC( 63, 68) = JacC( 63, 68)+ 0.4990000000000000D+00*dw(193, 68)
      JacC( 63, 76) = JacC( 63, 76)+ 0.4990000000000000D+00*dw(193, 76)
      JacC( 66, 68) = JacC( 66, 68)+ 0.4000000000000000D-02*dw(193, 68)
      JacC( 66, 76) = JacC( 66, 76)+ 0.4000000000000000D-02*dw(193, 76)
      JacC( 68, 68) = JacC( 68, 68) - dw(193, 68)
      JacC( 68, 76) = JacC( 68, 76) - dw(193, 76)
      JacC( 69, 68) = JacC( 69, 68)+ 0.1270000000000000D+00*dw(193, 68)
      JacC( 69, 76) = JacC( 69, 76)+ 0.1270000000000000D+00*dw(193, 76)
      JacC( 70, 68) = JacC( 70, 68)+ 0.6000000000000000D-02*dw(193, 68)
      JacC( 70, 76) = JacC( 70, 76)+ 0.6000000000000000D-02*dw(193, 76)
      JacC( 71, 68) = JacC( 71, 68)+ 0.7240000000000000D+00*dw(193, 68)
      JacC( 71, 76) = JacC( 71, 76)+ 0.7240000000000000D+00*dw(193, 76)
      JacC( 72, 68) = JacC( 72, 68)+ 0.7099999999999999D-01*dw(193, 68)
      JacC( 72, 76) = JacC( 72, 76)+ 0.7099999999999999D-01*dw(193, 76)
      JacC( 73, 68) = JacC( 73, 68)+ 0.5080000000000000D+00*dw(193, 68)
      JacC( 73, 76) = JacC( 73, 76)+ 0.5080000000000000D+00*dw(193, 76)
      JacC( 74, 68) = JacC( 74, 68)+ 0.9100000000000000D-01*dw(193, 68)
      JacC( 74, 76) = JacC( 74, 76)+ 0.9100000000000000D-01*dw(193, 76)
      JacC( 76, 68) = JacC( 76, 68) - dw(193, 68)
      JacC( 76, 76) = JacC( 76, 76) - dw(193, 76)
      JacC( 81, 68) = JacC( 81, 68)+ 0.4880000000000000D+00*dw(193, 68)
      JacC( 81, 76) = JacC( 81, 76)+ 0.4880000000000000D+00*dw(193, 76)
      JacC( 48, 48) = JacC( 48, 48) - dw(194, 48)
      JacC( 48, 76) = JacC( 48, 76) - dw(194, 76)
      JacC( 63, 48) = JacC( 63, 48)+ 0.4950000000000000D+00*dw(194, 48)
      JacC( 63, 76) = JacC( 63, 76)+ 0.4950000000000000D+00*dw(194, 76)
      JacC( 69, 48) = JacC( 69, 48)+ 0.3300000000000000D+00*dw(194, 48)
      JacC( 69, 76) = JacC( 69, 76)+ 0.3300000000000000D+00*dw(194, 76)
      JacC( 70, 48) = JacC( 70, 48)+ 0.1800000000000000D-01*dw(194, 48)
      JacC( 70, 76) = JacC( 70, 76)+ 0.1800000000000000D-01*dw(194, 76)
      JacC( 71, 48) = JacC( 71, 48)+ 0.6770000000000000D+00*dw(194, 48)
      JacC( 71, 76) = JacC( 71, 76)+ 0.6770000000000000D+00*dw(194, 76)
      JacC( 72, 48) = JacC( 72, 48)+ 0.2370000000000000D+00*dw(194, 48)
      JacC( 72, 76) = JacC( 72, 76)+ 0.2370000000000000D+00*dw(194, 76)
      JacC( 73, 48) = JacC( 73, 48)+ 0.5540000000000000D+00*dw(194, 48)
      JacC( 73, 76) = JacC( 73, 76)+ 0.5540000000000000D+00*dw(194, 76)
      JacC( 74, 48) = JacC( 74, 48)+ 0.7600000000000000D-01*dw(194, 48)
      JacC( 74, 76) = JacC( 74, 76)+ 0.7600000000000000D-01*dw(194, 76)
      JacC( 76, 48) = JacC( 76, 48) - dw(194, 48)
      JacC( 76, 76) = JacC( 76, 76) - dw(194, 76)
      JacC( 81, 48) = JacC( 81, 48)+ 0.4380000000000000D+00*dw(194, 48)
      JacC( 81, 76) = JacC( 81, 76)+ 0.4380000000000000D+00*dw(194, 76)
      JacC( 49, 49) = JacC( 49, 49) - dw(195, 49)
      JacC( 49, 76) = JacC( 49, 76) - dw(195, 76)
      JacC( 63, 49) = JacC( 63, 49)+ 0.4950000000000000D+00*dw(195, 49)
      JacC( 63, 76) = JacC( 63, 76)+ 0.4950000000000000D+00*dw(195, 76)
      JacC( 69, 49) = JacC( 69, 49)+ 0.5810000000000000D+00*dw(195, 49)
      JacC( 69, 76) = JacC( 69, 76)+ 0.5810000000000000D+00*dw(195, 76)
      JacC( 70, 49) = JacC( 70, 49)+ 0.1500000000000000D-01*dw(195, 49)
      JacC( 70, 76) = JacC( 70, 76)+ 0.1500000000000000D-01*dw(195, 76)
      JacC( 71, 49) = JacC( 71, 49)+ 0.4970000000000000D+00*dw(195, 49)
      JacC( 71, 76) = JacC( 71, 76)+ 0.4970000000000000D+00*dw(195, 76)
      JacC( 72, 49) = JacC( 72, 49)+ 0.3180000000000000D+00*dw(195, 49)
      JacC( 72, 76) = JacC( 72, 76)+ 0.3180000000000000D+00*dw(195, 76)
      JacC( 73, 49) = JacC( 73, 49)+ 0.5070000000000000D+00*dw(195, 49)
      JacC( 73, 76) = JacC( 73, 76)+ 0.5070000000000000D+00*dw(195, 76)
      JacC( 76, 49) = JacC( 76, 49) - dw(195, 49)
      JacC( 76, 76) = JacC( 76, 76) - dw(195, 76)
      JacC( 81, 49) = JacC( 81, 49)+ 0.4890000000000000D+00*dw(195, 49)
      JacC( 81, 76) = JacC( 81, 76)+ 0.4890000000000000D+00*dw(195, 76)
      JacC( 50, 50) = JacC( 50, 50) - dw(196, 50)
      JacC( 50, 76) = JacC( 50, 76) - dw(196, 76)
      JacC( 63, 50) = JacC( 63, 50)+ 0.5000000000000000D+00*dw(196, 50)
      JacC( 63, 76) = JacC( 63, 76)+ 0.5000000000000000D+00*dw(196, 76)
      JacC( 71, 50) = JacC( 71, 50)+ 0.6000000000000000D+00*dw(196, 50)
      JacC( 71, 76) = JacC( 71, 76)+ 0.6000000000000000D+00*dw(196, 76)
      JacC( 73, 50) = JacC( 73, 50)+ 0.5000000000000000D+00*dw(196, 50)
      JacC( 73, 76) = JacC( 73, 76)+ 0.5000000000000000D+00*dw(196, 76)
      JacC( 74, 50) = JacC( 74, 50)+ 0.8000000000000000D+00*dw(196, 50)
      JacC( 74, 76) = JacC( 74, 76)+ 0.8000000000000000D+00*dw(196, 76)
      JacC( 76, 50) = JacC( 76, 50) - dw(196, 50)
      JacC( 76, 76) = JacC( 76, 76) - dw(196, 76)
      JacC( 81, 50) = JacC( 81, 50)+ 0.5000000000000000D+00*dw(196, 50)
      JacC( 81, 76) = JacC( 81, 76)+ 0.5000000000000000D+00*dw(196, 76)
      JacC( 54, 54) = JacC( 54, 54) - dw(197, 54)
      JacC( 54, 76) = JacC( 54, 76) - dw(197, 76)
      JacC( 63, 54) = JacC( 63, 54)+ 0.4990000000000000D+00*dw(197, 54)
      JacC( 63, 76) = JacC( 63, 76)+ 0.4990000000000000D+00*dw(197, 76)
      JacC( 69, 54) = JacC( 69, 54)+ 0.1410000000000000D+00*dw(197, 54)
      JacC( 69, 76) = JacC( 69, 76)+ 0.1410000000000000D+00*dw(197, 76)
      JacC( 71, 54) = JacC( 71, 54)+ 0.8590000000000000D+00*dw(197, 54)
      JacC( 71, 76) = JacC( 71, 76)+ 0.8590000000000000D+00*dw(197, 76)
      JacC( 73, 54) = JacC( 73, 54)+ 0.5010000000000000D+00*dw(197, 54)
      JacC( 73, 76) = JacC( 73, 76)+ 0.5010000000000000D+00*dw(197, 76)
      JacC( 74, 54) = JacC( 74, 54)+ 0.5010000000000000D+00*dw(197, 54)
      JacC( 74, 76) = JacC( 74, 76)+ 0.5010000000000000D+00*dw(197, 76)
      JacC( 76, 54) = JacC( 76, 54) - dw(197, 54)
      JacC( 76, 76) = JacC( 76, 76) - dw(197, 76)
      JacC( 81, 54) = JacC( 81, 54)+ 0.5010000000000000D+00*dw(197, 54)
      JacC( 81, 76) = JacC( 81, 76)+ 0.5010000000000000D+00*dw(197, 76)
      JacC( 62, 62) = JacC( 62, 62) - dw(198, 62)
      JacC( 62, 76) = JacC( 62, 76) - dw(198, 76)
      JacC( 63, 62) = JacC( 63, 62)+ 0.4900000000000000D+00*dw(198, 62)
      JacC( 63, 76) = JacC( 63, 76)+ 0.4900000000000000D+00*dw(198, 76)
      JacC( 69, 62) = JacC( 69, 62)+ 0.5690000000000000D+00*dw(198, 62)
      JacC( 69, 76) = JacC( 69, 76)+ 0.5690000000000000D+00*dw(198, 76)
      JacC( 71, 62) = JacC( 71, 62)+ 0.9409999999999999D+00*dw(198, 62)
      JacC( 71, 76) = JacC( 71, 76)+ 0.9409999999999999D+00*dw(198, 76)
      JacC( 73, 62) = JacC( 73, 62)+ 0.5100000000000000D+00*dw(198, 62)
      JacC( 73, 76) = JacC( 73, 76)+ 0.5100000000000000D+00*dw(198, 76)
      JacC( 76, 62) = JacC( 76, 62) - dw(198, 62)
      JacC( 76, 76) = JacC( 76, 76) - dw(198, 76)
      JacC( 81, 62) = JacC( 81, 62)+ 0.5100000000000000D+00*dw(198, 62)
      JacC( 81, 76) = JacC( 81, 76)+ 0.5100000000000000D+00*dw(198, 76)
      JacC( 51, 51) = JacC( 51, 51) - dw(199, 51)
      JacC( 51, 76) = JacC( 51, 76) - dw(199, 76)
      JacC( 52, 51) = JacC( 52, 51)+ 0.7710000000000000D+00*dw(199, 51)
      JacC( 52, 76) = JacC( 52, 76)+ 0.7710000000000000D+00*dw(199, 76)
      JacC( 53, 51) = JacC( 53, 51)+ 0.2290000000000000D+00*dw(199, 51)
      JacC( 53, 76) = JacC( 53, 76)+ 0.2290000000000000D+00*dw(199, 76)
      JacC( 63, 51) = JacC( 63, 51)+ 0.4940000000000000D+00*dw(199, 51)
      JacC( 63, 76) = JacC( 63, 76)+ 0.4940000000000000D+00*dw(199, 76)
      JacC( 73, 51) = JacC( 73, 51)+ 0.5060000000000000D+00*dw(199, 51)
      JacC( 73, 76) = JacC( 73, 76)+ 0.5060000000000000D+00*dw(199, 76)
      JacC( 74, 51) = JacC( 74, 51)+ 0.3400000000000000D+00*dw(199, 51)
      JacC( 74, 76) = JacC( 74, 76)+ 0.3400000000000000D+00*dw(199, 76)
      JacC( 76, 51) = JacC( 76, 51) - dw(199, 51)
      JacC( 76, 76) = JacC( 76, 76) - dw(199, 76)
      JacC( 81, 51) = JacC( 81, 51)+ 0.5060000000000000D+00*dw(199, 51)
      JacC( 81, 76) = JacC( 81, 76)+ 0.5060000000000000D+00*dw(199, 76)
      JacC( 55, 55) = JacC( 55, 55) - dw(200, 55)
      JacC( 55, 76) = JacC( 55, 76) - dw(200, 76)
      JacC( 69, 55) = JacC( 69, 55) + dw(200, 55)
      JacC( 69, 76) = JacC( 69, 76) + dw(200, 76)
      JacC( 71, 55) = JacC( 71, 55) + dw(200, 55)
      JacC( 71, 76) = JacC( 71, 76) + dw(200, 76)
      JacC( 73, 55) = JacC( 73, 55) + dw(200, 55)
      JacC( 73, 76) = JacC( 73, 76) + dw(200, 76)
      JacC( 76, 55) = JacC( 76, 55) - dw(200, 55)
      JacC( 76, 76) = JacC( 76, 76) - dw(200, 76)
      JacC( 81, 55) = JacC( 81, 55) + dw(200, 55)
      JacC( 81, 76) = JacC( 81, 76) + dw(200, 76)
      JacC( 47, 47) = JacC( 47, 47) - dw(201, 47)
      JacC( 47, 76) = JacC( 47, 76) - dw(201, 76)
      JacC( 52, 47) = JacC( 52, 47)+ 0.6000000000000000D+00*dw(201, 47)
      JacC( 52, 76) = JacC( 52, 76)+ 0.6000000000000000D+00*dw(201, 76)
      JacC( 56, 47) = JacC( 56, 47)+ 0.4000000000000000D+00*dw(201, 47)
      JacC( 56, 76) = JacC( 56, 76)+ 0.4000000000000000D+00*dw(201, 76)
      JacC( 73, 47) = JacC( 73, 47) + dw(201, 47)
      JacC( 73, 76) = JacC( 73, 76) + dw(201, 76)
      JacC( 74, 47) = JacC( 74, 47)+ 0.4000000000000000D+00*dw(201, 47)
      JacC( 74, 76) = JacC( 74, 76)+ 0.4000000000000000D+00*dw(201, 76)
      JacC( 76, 47) = JacC( 76, 47) - dw(201, 47)
      JacC( 76, 76) = JacC( 76, 76) - dw(201, 76)
      JacC( 81, 47) = JacC( 81, 47) + dw(201, 47)
      JacC( 81, 76) = JacC( 81, 76) + dw(201, 76)
      JacC( 39, 39) = JacC( 39, 39) - dw(202, 39)
      JacC( 39, 76) = JacC( 39, 76) - dw(202, 76)
      JacC( 46, 39) = JacC( 46, 39) + dw(202, 39)
      JacC( 46, 76) = JacC( 46, 76) + dw(202, 76)
      JacC( 61, 39) = JacC( 61, 39)+ 0.6500000000000000D+00*dw(202, 39)
      JacC( 61, 76) = JacC( 61, 76)+ 0.6500000000000000D+00*dw(202, 76)
      JacC( 66, 39) = JacC( 66, 39)+ 0.3500000000000000D+00*dw(202, 39)
      JacC( 66, 76) = JacC( 66, 76)+ 0.3500000000000000D+00*dw(202, 76)
      JacC( 73, 39) = JacC( 73, 39) + dw(202, 39)
      JacC( 73, 76) = JacC( 73, 76) + dw(202, 76)
      JacC( 76, 39) = JacC( 76, 39) - dw(202, 39)
      JacC( 76, 76) = JacC( 76, 76) - dw(202, 76)
      JacC( 81, 39) = JacC( 81, 39) + dw(202, 39)
      JacC( 81, 76) = JacC( 81, 76) + dw(202, 76)
      JacC( 40, 40) = JacC( 40, 40) - dw(203, 40)
      JacC( 40, 76) = JacC( 40, 76) - dw(203, 76)
      JacC( 46, 40) = JacC( 46, 40) + dw(203, 40)
      JacC( 46, 76) = JacC( 46, 76) + dw(203, 76)
      JacC( 61, 40) = JacC( 61, 40)+ 0.3700000000000000D+00*dw(203, 40)
      JacC( 61, 76) = JacC( 61, 76)+ 0.3700000000000000D+00*dw(203, 76)
      JacC( 66, 40) = JacC( 66, 40)+ 0.6300000000000000D+00*dw(203, 40)
      JacC( 66, 76) = JacC( 66, 76)+ 0.6300000000000000D+00*dw(203, 76)
      JacC( 73, 40) = JacC( 73, 40) + dw(203, 40)
      JacC( 73, 76) = JacC( 73, 76) + dw(203, 76)
      JacC( 76, 40) = JacC( 76, 40) - dw(203, 40)
      JacC( 76, 76) = JacC( 76, 76) - dw(203, 76)
      JacC( 81, 40) = JacC( 81, 40) + dw(203, 40)
      JacC( 81, 76) = JacC( 81, 76) + dw(203, 76)
      JacC( 33, 33) = JacC( 33, 33) - dw(204, 33)
      JacC( 33, 76) = JacC( 33, 76) - dw(204, 76)
      JacC( 61, 33) = JacC( 61, 33) + dw(204, 33)
      JacC( 61, 76) = JacC( 61, 76) + dw(204, 76)
      JacC( 66, 33) = JacC( 66, 33) + dw(204, 33)
      JacC( 66, 76) = JacC( 66, 76) + dw(204, 76)
      JacC( 73, 33) = JacC( 73, 33) + dw(204, 33)
      JacC( 73, 76) = JacC( 73, 76) + dw(204, 76)
      JacC( 76, 33) = JacC( 76, 33) - dw(204, 33)
      JacC( 76, 76) = JacC( 76, 76) - dw(204, 76)
      JacC( 81, 33) = JacC( 81, 33) + dw(204, 33)
      JacC( 81, 76) = JacC( 81, 76) + dw(204, 76)
      JacC( 73, 76) = JacC( 73, 76)+ 0.2000000000000000D+01*dw(205, 76)
      JacC( 73, 76) = JacC( 73, 76)+ 0.2000000000000000D+01*dw(205, 76)
      JacC( 76, 76) = JacC( 76, 76)- 0.2000000000000000D+01*dw(205, 76)
      JacC( 76, 76) = JacC( 76, 76)- 0.2000000000000000D+01*dw(205, 76)
      JacC( 73, 79) = JacC( 73, 79) + dw(206, 79)
      JacC( 73, 76) = JacC( 73, 76) + dw(206, 76)
      JacC( 74, 79) = JacC( 74, 79) + dw(206, 79)
      JacC( 74, 76) = JacC( 74, 76) + dw(206, 76)
      JacC( 79, 79) = JacC( 79, 79) - dw(206, 79)
      JacC( 79, 76) = JacC( 79, 76) - dw(206, 76)
      JacC( 63, 64) = JacC( 63, 64)+ 0.5000000000000000D+00*dw(207, 64)
      JacC( 63, 76) = JacC( 63, 76)+ 0.5000000000000000D+00*dw(207, 76)
      JacC( 64, 64) = JacC( 64, 64) - dw(207, 64)
      JacC( 64, 76) = JacC( 64, 76) - dw(207, 76)
      JacC( 66, 64) = JacC( 66, 64)+ 0.5400000000000000D+00*dw(207, 64)
      JacC( 66, 76) = JacC( 66, 76)+ 0.5400000000000000D+00*dw(207, 76)
      JacC( 69, 64) = JacC( 69, 64)+ 0.1100000000000000D+00*dw(207, 64)
      JacC( 69, 76) = JacC( 69, 76)+ 0.1100000000000000D+00*dw(207, 76)
      JacC( 71, 64) = JacC( 71, 64)+ 0.3500000000000000D+00*dw(207, 64)
      JacC( 71, 76) = JacC( 71, 76)+ 0.3500000000000000D+00*dw(207, 76)
      JacC( 72, 64) = JacC( 72, 64)+ 0.8000000000000000D-01*dw(207, 64)
      JacC( 72, 76) = JacC( 72, 76)+ 0.8000000000000000D-01*dw(207, 76)
      JacC( 73, 64) = JacC( 73, 64)+ 0.5000000000000000D+00*dw(207, 64)
      JacC( 73, 76) = JacC( 73, 76)+ 0.5000000000000000D+00*dw(207, 76)
      JacC( 76, 64) = JacC( 76, 64)- 0.8800000000000000D+00*dw(207, 64)
      JacC( 76, 76) = JacC( 76, 76)- 0.8800000000000000D+00*dw(207, 76)
      JacC( 81, 64) = JacC( 81, 64)+ 0.3800000000000000D+00*dw(207, 64)
      JacC( 81, 76) = JacC( 81, 76)+ 0.3800000000000000D+00*dw(207, 76)
      JacC( 57, 57) = JacC( 57, 57) - dw(208, 57)
      JacC( 57, 76) = JacC( 57, 76) - dw(208, 76)
      JacC( 63, 57) = JacC( 63, 57)+ 0.5000000000000000D+00*dw(208, 57)
      JacC( 63, 76) = JacC( 63, 76)+ 0.5000000000000000D+00*dw(208, 76)
      JacC( 73, 57) = JacC( 73, 57)+ 0.5000000000000000D+00*dw(208, 57)
      JacC( 73, 76) = JacC( 73, 76)+ 0.5000000000000000D+00*dw(208, 76)
      JacC( 76, 57) = JacC( 76, 57) - dw(208, 57)
      JacC( 76, 76) = JacC( 76, 76) - dw(208, 76)
      JacC( 81, 57) = JacC( 81, 57)+ 0.5000000000000000D+00*dw(208, 57)
      JacC( 81, 76) = JacC( 81, 76)+ 0.5000000000000000D+00*dw(208, 76)
      JacC( 82, 57) = JacC( 82, 57) + dw(208, 57)
      JacC( 82, 76) = JacC( 82, 76) + dw(208, 76)
      JacC( 58, 58) = JacC( 58, 58) - dw(209, 58)
      JacC( 58, 76) = JacC( 58, 76) - dw(209, 76)
      JacC( 63, 58) = JacC( 63, 58)+ 0.4840000000000000D+00*dw(209, 58)
      JacC( 63, 76) = JacC( 63, 76)+ 0.4840000000000000D+00*dw(209, 76)
      JacC( 69, 58) = JacC( 69, 58)+ 0.1670000000000000D+00*dw(209, 58)
      JacC( 69, 76) = JacC( 69, 76)+ 0.1670000000000000D+00*dw(209, 76)
      JacC( 71, 58) = JacC( 71, 58)+ 0.6500000000000000D+00*dw(209, 58)
      JacC( 71, 76) = JacC( 71, 76)+ 0.6500000000000000D+00*dw(209, 76)
      JacC( 73, 58) = JacC( 73, 58)+ 0.5160000000000000D+00*dw(209, 58)
      JacC( 73, 76) = JacC( 73, 76)+ 0.5160000000000000D+00*dw(209, 76)
      JacC( 74, 58) = JacC( 74, 58)+ 0.2070000000000000D+00*dw(209, 58)
      JacC( 74, 76) = JacC( 74, 76)+ 0.2070000000000000D+00*dw(209, 76)
      JacC( 76, 58) = JacC( 76, 58) - dw(209, 58)
      JacC( 76, 76) = JacC( 76, 76) - dw(209, 76)
      JacC( 80, 58) = JacC( 80, 58)+ 0.5160000000000000D+00*dw(209, 58)
      JacC( 80, 76) = JacC( 80, 76)+ 0.5160000000000000D+00*dw(209, 76)
      JacC( 82, 58) = JacC( 82, 58)+ 0.4840000000000000D+00*dw(209, 58)
      JacC( 82, 76) = JacC( 82, 76)+ 0.4840000000000000D+00*dw(209, 76)
      JacC( 57, 57) = JacC( 57, 57)- 0.2000000000000000D+01*dw(210, 57)
      JacC( 57, 57) = JacC( 57, 57)- 0.2000000000000000D+01*dw(210, 57)
      JacC( 81, 57) = JacC( 81, 57) + dw(210, 57)
      JacC( 81, 57) = JacC( 81, 57) + dw(210, 57)
      JacC( 82, 57) = JacC( 82, 57)+ 0.2000000000000000D+01*dw(210, 57)
      JacC( 82, 57) = JacC( 82, 57)+ 0.2000000000000000D+01*dw(210, 57)
      JacC( 57, 57) = JacC( 57, 57) - dw(211, 57)
      JacC( 57, 58) = JacC( 57, 58) - dw(211, 58)
      JacC( 58, 57) = JacC( 58, 57) - dw(211, 57)
      JacC( 58, 58) = JacC( 58, 58) - dw(211, 58)
      JacC( 69, 57) = JacC( 69, 57)+ 0.1490000000000000D+00*dw(211, 57)
      JacC( 69, 58) = JacC( 69, 58)+ 0.1490000000000000D+00*dw(211, 58)
      JacC( 71, 57) = JacC( 71, 57)+ 0.6400000000000000D+00*dw(211, 57)
      JacC( 71, 58) = JacC( 71, 58)+ 0.6400000000000000D+00*dw(211, 58)
      JacC( 74, 57) = JacC( 74, 57)+ 0.2020000000000000D+00*dw(211, 57)
      JacC( 74, 58) = JacC( 74, 58)+ 0.2020000000000000D+00*dw(211, 58)
      JacC( 80, 57) = JacC( 80, 57)+ 0.5000000000000000D+00*dw(211, 57)
      JacC( 80, 58) = JacC( 80, 58)+ 0.5000000000000000D+00*dw(211, 58)
      JacC( 81, 57) = JacC( 81, 57)+ 0.5000000000000000D+00*dw(211, 57)
      JacC( 81, 58) = JacC( 81, 58)+ 0.5000000000000000D+00*dw(211, 58)
      JacC( 82, 57) = JacC( 82, 57)+ 0.1500000000000000D+01*dw(211, 57)
      JacC( 82, 58) = JacC( 82, 58)+ 0.1500000000000000D+01*dw(211, 58)
      JacC( 58, 58) = JacC( 58, 58)- 0.2000000000000000D+01*dw(212, 58)
      JacC( 58, 58) = JacC( 58, 58)- 0.2000000000000000D+01*dw(212, 58)
      JacC( 69, 58) = JacC( 69, 58)+ 0.2850000000000000D+00*dw(212, 58)
      JacC( 69, 58) = JacC( 69, 58)+ 0.2850000000000000D+00*dw(212, 58)
      JacC( 71, 58) = JacC( 71, 58)+ 0.1210000000000000D+01*dw(212, 58)
      JacC( 71, 58) = JacC( 71, 58)+ 0.1210000000000000D+01*dw(212, 58)
      JacC( 74, 58) = JacC( 74, 58)+ 0.5040000000000000D+00*dw(212, 58)
      JacC( 74, 58) = JacC( 74, 58)+ 0.5040000000000000D+00*dw(212, 58)
      JacC( 80, 58) = JacC( 80, 58) + dw(212, 58)
      JacC( 80, 58) = JacC( 80, 58) + dw(212, 58)
      JacC( 82, 58) = JacC( 82, 58) + dw(212, 58)
      JacC( 82, 58) = JacC( 82, 58) + dw(212, 58)
      JacC( 73, 73) = JacC( 73, 73) - dw(213, 73)
      JacC( 73, 77) = JacC( 73, 77) - dw(213, 77)
      JacC( 74, 73) = JacC( 74, 73) + dw(213, 73)
      JacC( 74, 77) = JacC( 74, 77) + dw(213, 77)
      JacC( 77, 73) = JacC( 77, 73) - dw(213, 73)
      JacC( 77, 77) = JacC( 77, 77) - dw(213, 77)
      JacC( 80, 73) = JacC( 80, 73) + dw(213, 73)
      JacC( 80, 77) = JacC( 80, 77) + dw(213, 77)
      JacC( 81, 73) = JacC( 81, 73) + dw(213, 73)
      JacC( 81, 77) = JacC( 81, 77) + dw(213, 77)
      JacC( 70, 70) = JacC( 70, 70) - dw(214, 70)
      JacC( 70, 77) = JacC( 70, 77) - dw(214, 77)
      JacC( 71, 70) = JacC( 71, 70) + dw(214, 70)
      JacC( 71, 77) = JacC( 71, 77) + dw(214, 77)
      JacC( 77, 70) = JacC( 77, 70) - dw(214, 70)
      JacC( 77, 77) = JacC( 77, 77) - dw(214, 77)
      JacC( 80, 70) = JacC( 80, 70) + dw(214, 70)
      JacC( 80, 77) = JacC( 80, 77) + dw(214, 77)
      JacC( 81, 70) = JacC( 81, 70) + dw(214, 70)
      JacC( 81, 77) = JacC( 81, 77) + dw(214, 77)
      JacC( 61, 68) = JacC( 61, 68)+ 0.6300000000000000D-01*dw(215, 68)
      JacC( 61, 77) = JacC( 61, 77)+ 0.6300000000000000D-01*dw(215, 77)
      JacC( 68, 68) = JacC( 68, 68) - dw(215, 68)
      JacC( 68, 77) = JacC( 68, 77) - dw(215, 77)
      JacC( 69, 68) = JacC( 69, 68)+ 0.6700000000000000D+00*dw(215, 68)
      JacC( 69, 77) = JacC( 69, 77)+ 0.6700000000000000D+00*dw(215, 77)
      JacC( 70, 68) = JacC( 70, 68)+ 0.5300000000000000D-01*dw(215, 68)
      JacC( 70, 77) = JacC( 70, 77)+ 0.5300000000000000D-01*dw(215, 77)
      JacC( 71, 68) = JacC( 71, 68)+ 0.2430000000000000D+00*dw(215, 68)
      JacC( 71, 77) = JacC( 71, 77)+ 0.2430000000000000D+00*dw(215, 77)
      JacC( 72, 68) = JacC( 72, 68)+ 0.5100000000000000D-01*dw(215, 68)
      JacC( 72, 77) = JacC( 72, 77)+ 0.5100000000000000D-01*dw(215, 77)
      JacC( 73, 68) = JacC( 73, 68)+ 0.1550000000000000D+00*dw(215, 68)
      JacC( 73, 77) = JacC( 73, 77)+ 0.1550000000000000D+00*dw(215, 77)
      JacC( 74, 68) = JacC( 74, 68)+ 0.4800000000000000D-01*dw(215, 68)
      JacC( 74, 77) = JacC( 74, 77)+ 0.4800000000000000D-01*dw(215, 77)
      JacC( 77, 68) = JacC( 77, 68) - dw(215, 68)
      JacC( 77, 77) = JacC( 77, 77) - dw(215, 77)
      JacC( 80, 68) = JacC( 80, 68) + dw(215, 68)
      JacC( 80, 77) = JacC( 80, 77) + dw(215, 77)
      JacC( 81, 68) = JacC( 81, 68)+ 0.7920000000000000D+00*dw(215, 68)
      JacC( 81, 77) = JacC( 81, 77)+ 0.7920000000000000D+00*dw(215, 77)
      JacC( 48, 48) = JacC( 48, 48) - dw(216, 48)
      JacC( 48, 77) = JacC( 48, 77) - dw(216, 77)
      JacC( 69, 48) = JacC( 69, 48)+ 0.8280000000000000D+00*dw(216, 48)
      JacC( 69, 77) = JacC( 69, 77)+ 0.8280000000000000D+00*dw(216, 77)
      JacC( 70, 48) = JacC( 70, 48)+ 0.2620000000000000D+00*dw(216, 48)
      JacC( 70, 77) = JacC( 70, 77)+ 0.2620000000000000D+00*dw(216, 77)
      JacC( 71, 48) = JacC( 71, 48)+ 0.2390000000000000D+00*dw(216, 48)
      JacC( 71, 77) = JacC( 71, 77)+ 0.2390000000000000D+00*dw(216, 77)
      JacC( 72, 48) = JacC( 72, 48)+ 0.3910000000000000D+00*dw(216, 48)
      JacC( 72, 77) = JacC( 72, 77)+ 0.3910000000000000D+00*dw(216, 77)
      JacC( 73, 48) = JacC( 73, 48)+ 0.4000000000000000D-01*dw(216, 48)
      JacC( 73, 77) = JacC( 73, 77)+ 0.4000000000000000D-01*dw(216, 77)
      JacC( 74, 48) = JacC( 74, 48)+ 0.2100000000000000D-01*dw(216, 48)
      JacC( 74, 77) = JacC( 74, 77)+ 0.2100000000000000D-01*dw(216, 77)
      JacC( 77, 48) = JacC( 77, 48) - dw(216, 48)
      JacC( 77, 77) = JacC( 77, 77) - dw(216, 77)
      JacC( 80, 48) = JacC( 80, 48) + dw(216, 48)
      JacC( 80, 77) = JacC( 80, 77) + dw(216, 77)
      JacC( 81, 48) = JacC( 81, 48)+ 0.6990000000000000D+00*dw(216, 48)
      JacC( 81, 77) = JacC( 81, 77)+ 0.6990000000000000D+00*dw(216, 77)
      JacC( 49, 49) = JacC( 49, 49) - dw(217, 49)
      JacC( 49, 77) = JacC( 49, 77) - dw(217, 77)
      JacC( 69, 49) = JacC( 69, 49)+ 0.8800000000000000D+00*dw(217, 49)
      JacC( 69, 77) = JacC( 69, 77)+ 0.8800000000000000D+00*dw(217, 77)
      JacC( 70, 49) = JacC( 70, 49)+ 0.1550000000000000D+00*dw(217, 49)
      JacC( 70, 77) = JacC( 70, 77)+ 0.1550000000000000D+00*dw(217, 77)
      JacC( 71, 49) = JacC( 71, 49)+ 0.1870000000000000D+00*dw(217, 49)
      JacC( 71, 77) = JacC( 71, 77)+ 0.1870000000000000D+00*dw(217, 77)
      JacC( 72, 49) = JacC( 72, 49)+ 0.5870000000000000D+00*dw(217, 49)
      JacC( 72, 77) = JacC( 72, 77)+ 0.5870000000000000D+00*dw(217, 77)
      JacC( 77, 49) = JacC( 77, 49) - dw(217, 49)
      JacC( 77, 77) = JacC( 77, 77) - dw(217, 77)
      JacC( 80, 49) = JacC( 80, 49) + dw(217, 49)
      JacC( 80, 77) = JacC( 80, 77) + dw(217, 77)
      JacC( 81, 49) = JacC( 81, 49)+ 0.8450000000000000D+00*dw(217, 49)
      JacC( 81, 77) = JacC( 81, 77)+ 0.8450000000000000D+00*dw(217, 77)
      JacC( 50, 50) = JacC( 50, 50) - dw(218, 50)
      JacC( 50, 77) = JacC( 50, 77) - dw(218, 77)
      JacC( 71, 50) = JacC( 71, 50)+ 0.2000000000000000D+00*dw(218, 50)
      JacC( 71, 77) = JacC( 71, 77)+ 0.2000000000000000D+00*dw(218, 77)
      JacC( 74, 50) = JacC( 74, 50)+ 0.1600000000000000D+01*dw(218, 50)
      JacC( 74, 77) = JacC( 74, 77)+ 0.1600000000000000D+01*dw(218, 77)
      JacC( 77, 50) = JacC( 77, 50) - dw(218, 50)
      JacC( 77, 77) = JacC( 77, 77) - dw(218, 77)
      JacC( 80, 50) = JacC( 80, 50) + dw(218, 50)
      JacC( 80, 77) = JacC( 80, 77) + dw(218, 77)
      JacC( 81, 50) = JacC( 81, 50) + dw(218, 50)
      JacC( 81, 77) = JacC( 81, 77) + dw(218, 77)
      JacC( 54, 54) = JacC( 54, 54) - dw(219, 54)
      JacC( 54, 77) = JacC( 54, 77) - dw(219, 77)
      JacC( 69, 54) = JacC( 69, 54)+ 0.6000000000000000D-01*dw(219, 54)
      JacC( 69, 77) = JacC( 69, 77)+ 0.6000000000000000D-01*dw(219, 77)
      JacC( 71, 54) = JacC( 71, 54)+ 0.9399999999999999D+00*dw(219, 54)
      JacC( 71, 77) = JacC( 71, 77)+ 0.9399999999999999D+00*dw(219, 77)
      JacC( 74, 54) = JacC( 74, 54) + dw(219, 54)
      JacC( 74, 77) = JacC( 74, 77) + dw(219, 77)
      JacC( 77, 54) = JacC( 77, 54) - dw(219, 54)
      JacC( 77, 77) = JacC( 77, 77) - dw(219, 77)
      JacC( 80, 54) = JacC( 80, 54) + dw(219, 54)
      JacC( 80, 77) = JacC( 80, 77) + dw(219, 77)
      JacC( 81, 54) = JacC( 81, 54) + dw(219, 54)
      JacC( 81, 77) = JacC( 81, 77) + dw(219, 77)
      JacC( 62, 62) = JacC( 62, 62) - dw(220, 62)
      JacC( 62, 77) = JacC( 62, 77) - dw(220, 77)
      JacC( 69, 62) = JacC( 69, 62)+ 0.2900000000000000D+00*dw(220, 62)
      JacC( 69, 77) = JacC( 69, 77)+ 0.2900000000000000D+00*dw(220, 77)
      JacC( 71, 62) = JacC( 71, 62)+ 0.1710000000000000D+01*dw(220, 62)
      JacC( 71, 77) = JacC( 71, 77)+ 0.1710000000000000D+01*dw(220, 77)
      JacC( 77, 62) = JacC( 77, 62) - dw(220, 62)
      JacC( 77, 77) = JacC( 77, 77) - dw(220, 77)
      JacC( 80, 62) = JacC( 80, 62) + dw(220, 62)
      JacC( 80, 77) = JacC( 80, 77) + dw(220, 77)
      JacC( 81, 62) = JacC( 81, 62) + dw(220, 62)
      JacC( 81, 77) = JacC( 81, 77) + dw(220, 77)
      JacC( 51, 51) = JacC( 51, 51) - dw(221, 51)
      JacC( 51, 77) = JacC( 51, 77) - dw(221, 77)
      JacC( 52, 51) = JacC( 52, 51)+ 0.6000000000000000D+00*dw(221, 51)
      JacC( 52, 77) = JacC( 52, 77)+ 0.6000000000000000D+00*dw(221, 77)
      JacC( 53, 51) = JacC( 53, 51)+ 0.4000000000000000D+00*dw(221, 51)
      JacC( 53, 77) = JacC( 53, 77)+ 0.4000000000000000D+00*dw(221, 77)
      JacC( 74, 51) = JacC( 74, 51)+ 0.6860000000000001D+00*dw(221, 51)
      JacC( 74, 77) = JacC( 74, 77)+ 0.6860000000000001D+00*dw(221, 77)
      JacC( 77, 51) = JacC( 77, 51) - dw(221, 51)
      JacC( 77, 77) = JacC( 77, 77) - dw(221, 77)
      JacC( 80, 51) = JacC( 80, 51) + dw(221, 51)
      JacC( 80, 77) = JacC( 80, 77) + dw(221, 77)
      JacC( 81, 51) = JacC( 81, 51) + dw(221, 51)
      JacC( 81, 77) = JacC( 81, 77) + dw(221, 77)
      JacC( 55, 55) = JacC( 55, 55) - dw(222, 55)
      JacC( 55, 77) = JacC( 55, 77) - dw(222, 77)
      JacC( 69, 55) = JacC( 69, 55) + dw(222, 55)
      JacC( 69, 77) = JacC( 69, 77) + dw(222, 77)
      JacC( 71, 55) = JacC( 71, 55) + dw(222, 55)
      JacC( 71, 77) = JacC( 71, 77) + dw(222, 77)
      JacC( 77, 55) = JacC( 77, 55) - dw(222, 55)
      JacC( 77, 77) = JacC( 77, 77) - dw(222, 77)
      JacC( 80, 55) = JacC( 80, 55) + dw(222, 55)
      JacC( 80, 77) = JacC( 80, 77) + dw(222, 77)
      JacC( 81, 55) = JacC( 81, 55) + dw(222, 55)
      JacC( 81, 77) = JacC( 81, 77) + dw(222, 77)
      JacC( 47, 47) = JacC( 47, 47) - dw(223, 47)
      JacC( 47, 77) = JacC( 47, 77) - dw(223, 77)
      JacC( 52, 47) = JacC( 52, 47)+ 0.6000000000000000D+00*dw(223, 47)
      JacC( 52, 77) = JacC( 52, 77)+ 0.6000000000000000D+00*dw(223, 77)
      JacC( 56, 47) = JacC( 56, 47)+ 0.4000000000000000D+00*dw(223, 47)
      JacC( 56, 77) = JacC( 56, 77)+ 0.4000000000000000D+00*dw(223, 77)
      JacC( 74, 47) = JacC( 74, 47)+ 0.4000000000000000D+00*dw(223, 47)
      JacC( 74, 77) = JacC( 74, 77)+ 0.4000000000000000D+00*dw(223, 77)
      JacC( 77, 47) = JacC( 77, 47) - dw(223, 47)
      JacC( 77, 77) = JacC( 77, 77) - dw(223, 77)
      JacC( 80, 47) = JacC( 80, 47) + dw(223, 47)
      JacC( 80, 77) = JacC( 80, 77) + dw(223, 77)
      JacC( 81, 47) = JacC( 81, 47) + dw(223, 47)
      JacC( 81, 77) = JacC( 81, 77) + dw(223, 77)
      JacC( 39, 39) = JacC( 39, 39) - dw(224, 39)
      JacC( 39, 77) = JacC( 39, 77) - dw(224, 77)
      JacC( 46, 39) = JacC( 46, 39)+ 0.5000000000000000D+00*dw(224, 39)
      JacC( 46, 77) = JacC( 46, 77)+ 0.5000000000000000D+00*dw(224, 77)
      JacC( 61, 39) = JacC( 61, 39)+ 0.1300000000000000D+01*dw(224, 39)
      JacC( 61, 77) = JacC( 61, 77)+ 0.1300000000000000D+01*dw(224, 77)
      JacC( 66, 39) = JacC( 66, 39)+ 0.7000000000000000D+00*dw(224, 39)
      JacC( 66, 77) = JacC( 66, 77)+ 0.7000000000000000D+00*dw(224, 77)
      JacC( 77, 39) = JacC( 77, 39) - dw(224, 39)
      JacC( 77, 77) = JacC( 77, 77) - dw(224, 77)
      JacC( 80, 39) = JacC( 80, 39) + dw(224, 39)
      JacC( 80, 77) = JacC( 80, 77) + dw(224, 77)
      JacC( 81, 39) = JacC( 81, 39) + dw(224, 39)
      JacC( 81, 77) = JacC( 81, 77) + dw(224, 77)
      JacC( 40, 40) = JacC( 40, 40) - dw(225, 40)
      JacC( 40, 77) = JacC( 40, 77) - dw(225, 77)
      JacC( 46, 40) = JacC( 46, 40) + dw(225, 40)
      JacC( 46, 77) = JacC( 46, 77) + dw(225, 77)
      JacC( 61, 40) = JacC( 61, 40)+ 0.7400000000000000D+00*dw(225, 40)
      JacC( 61, 77) = JacC( 61, 77)+ 0.7400000000000000D+00*dw(225, 77)
      JacC( 66, 40) = JacC( 66, 40)+ 0.1260000000000000D+01*dw(225, 40)
      JacC( 66, 77) = JacC( 66, 77)+ 0.1260000000000000D+01*dw(225, 77)
      JacC( 77, 40) = JacC( 77, 40) - dw(225, 40)
      JacC( 77, 77) = JacC( 77, 77) - dw(225, 77)
      JacC( 80, 40) = JacC( 80, 40) + dw(225, 40)
      JacC( 80, 77) = JacC( 80, 77) + dw(225, 77)
      JacC( 81, 40) = JacC( 81, 40) + dw(225, 40)
      JacC( 81, 77) = JacC( 81, 77) + dw(225, 77)
      JacC( 33, 33) = JacC( 33, 33) - dw(226, 33)
      JacC( 33, 77) = JacC( 33, 77) - dw(226, 77)
      JacC( 61, 33) = JacC( 61, 33) + dw(226, 33)
      JacC( 61, 77) = JacC( 61, 77) + dw(226, 77)
      JacC( 66, 33) = JacC( 66, 33) + dw(226, 33)
      JacC( 66, 77) = JacC( 66, 77) + dw(226, 77)
      JacC( 77, 33) = JacC( 77, 33) - dw(226, 33)
      JacC( 77, 77) = JacC( 77, 77) - dw(226, 77)
      JacC( 80, 33) = JacC( 80, 33) + dw(226, 33)
      JacC( 80, 77) = JacC( 80, 77) + dw(226, 77)
      JacC( 81, 33) = JacC( 81, 33) + dw(226, 33)
      JacC( 81, 77) = JacC( 81, 77) + dw(226, 77)
      JacC( 73, 76) = JacC( 73, 76) + dw(227, 76)
      JacC( 73, 77) = JacC( 73, 77) + dw(227, 77)
      JacC( 76, 76) = JacC( 76, 76) - dw(227, 76)
      JacC( 76, 77) = JacC( 76, 77) - dw(227, 77)
      JacC( 77, 76) = JacC( 77, 76) - dw(227, 76)
      JacC( 77, 77) = JacC( 77, 77) - dw(227, 77)
      JacC( 80, 76) = JacC( 80, 76) + dw(227, 76)
      JacC( 80, 77) = JacC( 80, 77) + dw(227, 77)
      JacC( 74, 79) = JacC( 74, 79) + dw(228, 79)
      JacC( 74, 77) = JacC( 74, 77) + dw(228, 77)
      JacC( 76, 79) = JacC( 76, 79) + dw(228, 79)
      JacC( 76, 77) = JacC( 76, 77) + dw(228, 77)
      JacC( 77, 79) = JacC( 77, 79) - dw(228, 79)
      JacC( 77, 77) = JacC( 77, 77) - dw(228, 77)
      JacC( 79, 79) = JacC( 79, 79) - dw(228, 79)
      JacC( 79, 77) = JacC( 79, 77) - dw(228, 77)
      JacC( 80, 79) = JacC( 80, 79) + dw(228, 79)
      JacC( 80, 77) = JacC( 80, 77) + dw(228, 77)
      JacC( 64, 64) = JacC( 64, 64) - dw(229, 64)
      JacC( 64, 77) = JacC( 64, 77) - dw(229, 77)
      JacC( 66, 64) = JacC( 66, 64)+ 0.5400000000000000D+00*dw(229, 64)
      JacC( 66, 77) = JacC( 66, 77)+ 0.5400000000000000D+00*dw(229, 77)
      JacC( 71, 64) = JacC( 71, 64)+ 0.4600000000000000D+00*dw(229, 64)
      JacC( 71, 77) = JacC( 71, 77)+ 0.4600000000000000D+00*dw(229, 77)
      JacC( 72, 64) = JacC( 72, 64)+ 0.1600000000000000D+00*dw(229, 64)
      JacC( 72, 77) = JacC( 72, 77)+ 0.1600000000000000D+00*dw(229, 77)
      JacC( 76, 64) = JacC( 76, 64)+ 0.2300000000000000D+00*dw(229, 64)
      JacC( 76, 77) = JacC( 76, 77)+ 0.2300000000000000D+00*dw(229, 77)
      JacC( 77, 64) = JacC( 77, 64) - dw(229, 64)
      JacC( 77, 77) = JacC( 77, 77) - dw(229, 77)
      JacC( 80, 64) = JacC( 80, 64) + dw(229, 64)
      JacC( 80, 77) = JacC( 80, 77) + dw(229, 77)
      JacC( 81, 64) = JacC( 81, 64)+ 0.7700000000000000D+00*dw(229, 64)
      JacC( 81, 77) = JacC( 81, 77)+ 0.7700000000000000D+00*dw(229, 77)
      JacC( 57, 57) = JacC( 57, 57) - dw(230, 57)
      JacC( 57, 77) = JacC( 57, 77) - dw(230, 77)
      JacC( 77, 57) = JacC( 77, 57) - dw(230, 57)
      JacC( 77, 77) = JacC( 77, 77) - dw(230, 77)
      JacC( 80, 57) = JacC( 80, 57) + dw(230, 57)
      JacC( 80, 77) = JacC( 80, 77) + dw(230, 77)
      JacC( 81, 57) = JacC( 81, 57) + dw(230, 57)
      JacC( 81, 77) = JacC( 81, 77) + dw(230, 77)
      JacC( 82, 57) = JacC( 82, 57) + dw(230, 57)
      JacC( 82, 77) = JacC( 82, 77) + dw(230, 77)
      JacC( 58, 58) = JacC( 58, 58) - dw(231, 58)
      JacC( 58, 77) = JacC( 58, 77) - dw(231, 77)
      JacC( 69, 58) = JacC( 69, 58)+ 0.4690000000000000D+00*dw(231, 58)
      JacC( 69, 77) = JacC( 69, 77)+ 0.4690000000000000D+00*dw(231, 77)
      JacC( 71, 58) = JacC( 71, 58)+ 0.1240000000000000D+01*dw(231, 58)
      JacC( 71, 77) = JacC( 71, 77)+ 0.1240000000000000D+01*dw(231, 77)
      JacC( 74, 58) = JacC( 74, 58)+ 0.2800000000000000D+00*dw(231, 58)
      JacC( 74, 77) = JacC( 74, 77)+ 0.2800000000000000D+00*dw(231, 77)
      JacC( 77, 58) = JacC( 77, 58) - dw(231, 58)
      JacC( 77, 77) = JacC( 77, 77) - dw(231, 77)
      JacC( 80, 58) = JacC( 80, 58)+ 0.2000000000000000D+01*dw(231, 58)
      JacC( 80, 77) = JacC( 80, 77)+ 0.2000000000000000D+01*dw(231, 77)
      JacC( 65, 72) = JacC( 65, 72) + dw(232, 72)
      JacC( 65, 81) = JacC( 65, 81) + dw(232, 81)
      JacC( 72, 72) = JacC( 72, 72) - dw(232, 72)
      JacC( 72, 81) = JacC( 72, 81) - dw(232, 81)
      JacC( 81, 72) = JacC( 81, 72) - dw(232, 72)
      JacC( 81, 81) = JacC( 81, 81) - dw(232, 81)
      JacC( 72, 72) = JacC( 72, 72) - dw(233, 72)
      JacC( 72, 73) = JacC( 72, 73) - dw(233, 73)
      JacC( 73, 72) = JacC( 73, 72) - dw(233, 72)
      JacC( 73, 73) = JacC( 73, 73) - dw(233, 73)
      JacC( 74, 72) = JacC( 74, 72) + dw(233, 72)
      JacC( 74, 73) = JacC( 74, 73) + dw(233, 73)
      JacC( 81, 72) = JacC( 81, 72) + dw(233, 72)
      JacC( 81, 73) = JacC( 81, 73) + dw(233, 73)
      JacC( 72, 72) = JacC( 72, 72) - dw(234, 72)
      JacC( 72, 76) = JacC( 72, 76) - dw(234, 76)
      JacC( 73, 72) = JacC( 73, 72) + dw(234, 72)
      JacC( 73, 76) = JacC( 73, 76) + dw(234, 76)
      JacC( 76, 72) = JacC( 76, 72) - dw(234, 72)
      JacC( 76, 76) = JacC( 76, 76) - dw(234, 76)
      JacC( 72, 72) = JacC( 72, 72)- 0.2000000000000000D+01*dw(235, 72)
      JacC( 72, 72) = JacC( 72, 72)- 0.2000000000000000D+01*dw(235, 72)
      JacC( 72, 72) = JacC( 72, 72) - dw(236, 72)
      JacC( 72, 78) = JacC( 72, 78) - dw(236, 78)
      JacC( 78, 72) = JacC( 78, 72) - dw(236, 72)
      JacC( 78, 78) = JacC( 78, 78) - dw(236, 78)
      JacC( 80, 72) = JacC( 80, 72) + dw(236, 72)
      JacC( 80, 78) = JacC( 80, 78) + dw(236, 78)
      JacC( 72, 72) = JacC( 72, 72) - dw(237, 72)
      JacC( 72, 77) = JacC( 72, 77) - dw(237, 77)
      JacC( 77, 72) = JacC( 77, 72) - dw(237, 72)
      JacC( 77, 77) = JacC( 77, 77) - dw(237, 77)
      JacC( 80, 72) = JacC( 80, 72) + dw(237, 72)
      JacC( 80, 77) = JacC( 80, 77) + dw(237, 77)
      JacC( 45, 81) = JacC( 45, 81)+ 0.5000000000000000D+00*dw(238, 81)
      JacC( 81, 81) = JacC( 81, 81) - dw(238, 81)
      JacC( 32, 80) = JacC( 32, 80)+ 0.5000000000000000D+00*dw(239, 80)
      JacC( 67, 80) = JacC( 67, 80)+ 0.5000000000000000D+00*dw(239, 80)
      JacC( 80, 80) = JacC( 80, 80) - dw(239, 80)
      JacC( 67, 77) = JacC( 67, 77) + dw(240, 77)
      JacC( 77, 77) = JacC( 77, 77) - dw(240, 77)
      JacC( 13, 13) = JacC( 13, 13) - dw(241, 13)
      JacC( 67, 13) = JacC( 67, 13)+ 0.2000000000000000D+01*dw(241, 13)
      
      RETURN
      END
      
